/*!
 * KoliBri - The accessible HTML-Standard
 */
import{h,Fragment,proxyCustomElement,HTMLElement,Host}from"@stencil/core/internal/client";import{b as validateAccessKey,c as watchBoolean,f as validateHideLabel,g as validateIcons,h as validateLabelWithExpertSlot,s as showExpertSlot}from"./index2.js";import{d as defineCustomElement$1}from"./component.js";var utils$1={};const Aacute="Á",aacute="á",Abreve="Ă",abreve="ă",ac="∾",acd="∿",acE="∾̳",Acirc="Â",acirc="â",acute="´",Acy="А",acy="а",AElig="Æ",aelig="æ",af="⁡",Afr="𝔄",afr="𝔞",Agrave="À",agrave="à",alefsym="ℵ",aleph="ℵ",Alpha="Α",alpha="α",Amacr="Ā",amacr="ā",amalg="⨿",amp="&",AMP="&",andand="⩕",And="⩓",and="∧",andd="⩜",andslope="⩘",andv="⩚",ang="∠",ange="⦤",angle="∠",angmsdaa="⦨",angmsdab="⦩",angmsdac="⦪",angmsdad="⦫",angmsdae="⦬",angmsdaf="⦭",angmsdag="⦮",angmsdah="⦯",angmsd="∡",angrt="∟",angrtvb="⊾",angrtvbd="⦝",angsph="∢",angst="Å",angzarr="⍼",Aogon="Ą",aogon="ą",Aopf="𝔸",aopf="𝕒",apacir="⩯",ap="≈",apE="⩰",ape="≊",apid="≋",apos="'",ApplyFunction="⁡",approx="≈",approxeq="≊",Aring="Å",aring="å",Ascr="𝒜",ascr="𝒶",Assign="≔",ast="*",asymp="≈",asympeq="≍",Atilde="Ã",atilde="ã",Auml="Ä",auml="ä",awconint="∳",awint="⨑",backcong="≌",backepsilon="϶",backprime="‵",backsim="∽",backsimeq="⋍",Backslash="∖",Barv="⫧",barvee="⊽",barwed="⌅",Barwed="⌆",barwedge="⌅",bbrk="⎵",bbrktbrk="⎶",bcong="≌",Bcy="Б",bcy="б",bdquo="„",becaus="∵",because="∵",Because="∵",bemptyv="⦰",bepsi="϶",bernou="ℬ",Bernoullis="ℬ",Beta="Β",beta="β",beth="ℶ",between="≬",Bfr="𝔅",bfr="𝔟",bigcap="⋂",bigcirc="◯",bigcup="⋃",bigodot="⨀",bigoplus="⨁",bigotimes="⨂",bigsqcup="⨆",bigstar="★",bigtriangledown="▽",bigtriangleup="△",biguplus="⨄",bigvee="⋁",bigwedge="⋀",bkarow="⤍",blacklozenge="⧫",blacksquare="▪",blacktriangle="▴",blacktriangledown="▾",blacktriangleleft="◂",blacktriangleright="▸",blank="␣",blk12="▒",blk14="░",blk34="▓",block$1="█",bne="=⃥",bnequiv="≡⃥",bNot="⫭",bnot="⌐",Bopf="𝔹",bopf="𝕓",bot="⊥",bottom="⊥",bowtie="⋈",boxbox="⧉",boxdl="┐",boxdL="╕",boxDl="╖",boxDL="╗",boxdr="┌",boxdR="╒",boxDr="╓",boxDR="╔",boxh="─",boxH="═",boxhd="┬",boxHd="╤",boxhD="╥",boxHD="╦",boxhu="┴",boxHu="╧",boxhU="╨",boxHU="╩",boxminus="⊟",boxplus="⊞",boxtimes="⊠",boxul="┘",boxuL="╛",boxUl="╜",boxUL="╝",boxur="└",boxuR="╘",boxUr="╙",boxUR="╚",boxv="│",boxV="║",boxvh="┼",boxvH="╪",boxVh="╫",boxVH="╬",boxvl="┤",boxvL="╡",boxVl="╢",boxVL="╣",boxvr="├",boxvR="╞",boxVr="╟",boxVR="╠",bprime="‵",breve="˘",Breve="˘",brvbar="¦",bscr="𝒷",Bscr="ℬ",bsemi="⁏",bsim="∽",bsime="⋍",bsolb="⧅",bsol="\\",bsolhsub="⟈",bull="•",bullet="•",bump="≎",bumpE="⪮",bumpe="≏",Bumpeq="≎",bumpeq="≏",Cacute="Ć",cacute="ć",capand="⩄",capbrcup="⩉",capcap="⩋",cap="∩",Cap="⋒",capcup="⩇",capdot="⩀",CapitalDifferentialD="ⅅ",caps="∩︀",caret="⁁",caron="ˇ",Cayleys="ℭ",ccaps="⩍",Ccaron="Č",ccaron="č",Ccedil="Ç",ccedil="ç",Ccirc="Ĉ",ccirc="ĉ",Cconint="∰",ccups="⩌",ccupssm="⩐",Cdot="Ċ",cdot="ċ",cedil="¸",Cedilla="¸",cemptyv="⦲",cent="¢",centerdot="·",CenterDot="·",cfr="𝔠",Cfr="ℭ",CHcy="Ч",chcy="ч",check="✓",checkmark="✓",Chi="Χ",chi="χ",circ="ˆ",circeq="≗",circlearrowleft="↺",circlearrowright="↻",circledast="⊛",circledcirc="⊚",circleddash="⊝",CircleDot="⊙",circledR="®",circledS="Ⓢ",CircleMinus="⊖",CirclePlus="⊕",CircleTimes="⊗",cir="○",cirE="⧃",cire="≗",cirfnint="⨐",cirmid="⫯",cirscir="⧂",ClockwiseContourIntegral="∲",CloseCurlyDoubleQuote="”",CloseCurlyQuote="’",clubs="♣",clubsuit="♣",colon=":",Colon="∷",Colone="⩴",colone="≔",coloneq="≔",comma=",",commat="@",comp="∁",compfn="∘",complement="∁",complexes="ℂ",cong="≅",congdot="⩭",Congruent="≡",conint="∮",Conint="∯",ContourIntegral="∮",copf="𝕔",Copf="ℂ",coprod="∐",Coproduct="∐",copy="©",COPY="©",copysr="℗",CounterClockwiseContourIntegral="∳",crarr="↵",cross="✗",Cross="⨯",Cscr="𝒞",cscr="𝒸",csub="⫏",csube="⫑",csup="⫐",csupe="⫒",ctdot="⋯",cudarrl="⤸",cudarrr="⤵",cuepr="⋞",cuesc="⋟",cularr="↶",cularrp="⤽",cupbrcap="⩈",cupcap="⩆",CupCap="≍",cup="∪",Cup="⋓",cupcup="⩊",cupdot="⊍",cupor="⩅",cups="∪︀",curarr="↷",curarrm="⤼",curlyeqprec="⋞",curlyeqsucc="⋟",curlyvee="⋎",curlywedge="⋏",curren="¤",curvearrowleft="↶",curvearrowright="↷",cuvee="⋎",cuwed="⋏",cwconint="∲",cwint="∱",cylcty="⌭",dagger="†",Dagger="‡",daleth="ℸ",darr="↓",Darr="↡",dArr="⇓",dash="‐",Dashv="⫤",dashv="⊣",dbkarow="⤏",dblac="˝",Dcaron="Ď",dcaron="ď",Dcy="Д",dcy="д",ddagger="‡",ddarr="⇊",DD="ⅅ",dd="ⅆ",DDotrahd="⤑",ddotseq="⩷",deg="°",Del="∇",Delta="Δ",delta="δ",demptyv="⦱",dfisht="⥿",Dfr="𝔇",dfr="𝔡",dHar="⥥",dharl="⇃",dharr="⇂",DiacriticalAcute="´",DiacriticalDot="˙",DiacriticalDoubleAcute="˝",DiacriticalGrave="`",DiacriticalTilde="˜",diam="⋄",diamond="⋄",Diamond="⋄",diamondsuit="♦",diams="♦",die="¨",DifferentialD="ⅆ",digamma="ϝ",disin="⋲",div="÷",divide="÷",divideontimes="⋇",divonx="⋇",DJcy="Ђ",djcy="ђ",dlcorn="⌞",dlcrop="⌍",dollar="$",Dopf="𝔻",dopf="𝕕",Dot="¨",dot="˙",DotDot="⃜",doteq="≐",doteqdot="≑",DotEqual="≐",dotminus="∸",dotplus="∔",dotsquare="⊡",doublebarwedge="⌆",DoubleContourIntegral="∯",DoubleDot="¨",DoubleDownArrow="⇓",DoubleLeftArrow="⇐",DoubleLeftRightArrow="⇔",DoubleLeftTee="⫤",DoubleLongLeftArrow="⟸",DoubleLongLeftRightArrow="⟺",DoubleLongRightArrow="⟹",DoubleRightArrow="⇒",DoubleRightTee="⊨",DoubleUpArrow="⇑",DoubleUpDownArrow="⇕",DoubleVerticalBar="∥",DownArrowBar="⤓",downarrow="↓",DownArrow="↓",Downarrow="⇓",DownArrowUpArrow="⇵",DownBreve="̑",downdownarrows="⇊",downharpoonleft="⇃",downharpoonright="⇂",DownLeftRightVector="⥐",DownLeftTeeVector="⥞",DownLeftVectorBar="⥖",DownLeftVector="↽",DownRightTeeVector="⥟",DownRightVectorBar="⥗",DownRightVector="⇁",DownTeeArrow="↧",DownTee="⊤",drbkarow="⤐",drcorn="⌟",drcrop="⌌",Dscr="𝒟",dscr="𝒹",DScy="Ѕ",dscy="ѕ",dsol="⧶",Dstrok="Đ",dstrok="đ",dtdot="⋱",dtri="▿",dtrif="▾",duarr="⇵",duhar="⥯",dwangle="⦦",DZcy="Џ",dzcy="џ",dzigrarr="⟿",Eacute="É",eacute="é",easter="⩮",Ecaron="Ě",ecaron="ě",Ecirc="Ê",ecirc="ê",ecir="≖",ecolon="≕",Ecy="Э",ecy="э",eDDot="⩷",Edot="Ė",edot="ė",eDot="≑",ee="ⅇ",efDot="≒",Efr="𝔈",efr="𝔢",eg="⪚",Egrave="È",egrave="è",egs="⪖",egsdot="⪘",el="⪙",Element="∈",elinters="⏧",ell="ℓ",els="⪕",elsdot="⪗",Emacr="Ē",emacr="ē",empty="∅",emptyset="∅",EmptySmallSquare="◻",emptyv="∅",EmptyVerySmallSquare="▫",emsp13=" ",emsp14=" ",emsp=" ",ENG="Ŋ",eng="ŋ",ensp=" ",Eogon="Ę",eogon="ę",Eopf="𝔼",eopf="𝕖",epar="⋕",eparsl="⧣",eplus="⩱",epsi="ε",Epsilon="Ε",epsilon="ε",epsiv="ϵ",eqcirc="≖",eqcolon="≕",eqsim="≂",eqslantgtr="⪖",eqslantless="⪕",Equal="⩵",equals="=",EqualTilde="≂",equest="≟",Equilibrium="⇌",equiv="≡",equivDD="⩸",eqvparsl="⧥",erarr="⥱",erDot="≓",escr="ℯ",Escr="ℰ",esdot="≐",Esim="⩳",esim="≂",Eta="Η",eta="η",ETH="Ð",eth="ð",Euml="Ë",euml="ë",euro="€",excl="!",exist="∃",Exists="∃",expectation="ℰ",exponentiale="ⅇ",ExponentialE="ⅇ",fallingdotseq="≒",Fcy="Ф",fcy="ф",female="♀",ffilig="ﬃ",fflig="ﬀ",ffllig="ﬄ",Ffr="𝔉",ffr="𝔣",filig="ﬁ",FilledSmallSquare="◼",FilledVerySmallSquare="▪",fjlig="fj",flat="♭",fllig="ﬂ",fltns="▱",fnof="ƒ",Fopf="𝔽",fopf="𝕗",forall="∀",ForAll="∀",fork="⋔",forkv="⫙",Fouriertrf="ℱ",fpartint="⨍",frac12="½",frac13="⅓",frac14="¼",frac15="⅕",frac16="⅙",frac18="⅛",frac23="⅔",frac25="⅖",frac34="¾",frac35="⅗",frac38="⅜",frac45="⅘",frac56="⅚",frac58="⅝",frac78="⅞",frasl="⁄",frown="⌢",fscr="𝒻",Fscr="ℱ",gacute="ǵ",Gamma="Γ",gamma="γ",Gammad="Ϝ",gammad="ϝ",gap="⪆",Gbreve="Ğ",gbreve="ğ",Gcedil="Ģ",Gcirc="Ĝ",gcirc="ĝ",Gcy="Г",gcy="г",Gdot="Ġ",gdot="ġ",ge="≥",gE="≧",gEl="⪌",gel="⋛",geq="≥",geqq="≧",geqslant="⩾",gescc="⪩",ges="⩾",gesdot="⪀",gesdoto="⪂",gesdotol="⪄",gesl="⋛︀",gesles="⪔",Gfr="𝔊",gfr="𝔤",gg="≫",Gg="⋙",ggg="⋙",gimel="ℷ",GJcy="Ѓ",gjcy="ѓ",gla="⪥",gl="≷",glE="⪒",glj="⪤",gnap="⪊",gnapprox="⪊",gne="⪈",gnE="≩",gneq="⪈",gneqq="≩",gnsim="⋧",Gopf="𝔾",gopf="𝕘",grave="`",GreaterEqual="≥",GreaterEqualLess="⋛",GreaterFullEqual="≧",GreaterGreater="⪢",GreaterLess="≷",GreaterSlantEqual="⩾",GreaterTilde="≳",Gscr="𝒢",gscr="ℊ",gsim="≳",gsime="⪎",gsiml="⪐",gtcc="⪧",gtcir="⩺",gt=">",GT=">",Gt="≫",gtdot="⋗",gtlPar="⦕",gtquest="⩼",gtrapprox="⪆",gtrarr="⥸",gtrdot="⋗",gtreqless="⋛",gtreqqless="⪌",gtrless="≷",gtrsim="≳",gvertneqq="≩︀",gvnE="≩︀",Hacek="ˇ",hairsp=" ",half="½",hamilt="ℋ",HARDcy="Ъ",hardcy="ъ",harrcir="⥈",harr="↔",hArr="⇔",harrw="↭",Hat="^",hbar="ℏ",Hcirc="Ĥ",hcirc="ĥ",hearts="♥",heartsuit="♥",hellip="…",hercon="⊹",hfr="𝔥",Hfr="ℌ",HilbertSpace="ℋ",hksearow="⤥",hkswarow="⤦",hoarr="⇿",homtht="∻",hookleftarrow="↩",hookrightarrow="↪",hopf="𝕙",Hopf="ℍ",horbar="―",HorizontalLine="─",hscr="𝒽",Hscr="ℋ",hslash="ℏ",Hstrok="Ħ",hstrok="ħ",HumpDownHump="≎",HumpEqual="≏",hybull="⁃",hyphen="‐",Iacute="Í",iacute="í",ic="⁣",Icirc="Î",icirc="î",Icy="И",icy="и",Idot="İ",IEcy="Е",iecy="е",iexcl="¡",iff="⇔",ifr="𝔦",Ifr="ℑ",Igrave="Ì",igrave="ì",ii="ⅈ",iiiint="⨌",iiint="∭",iinfin="⧜",iiota="℩",IJlig="Ĳ",ijlig="ĳ",Imacr="Ī",imacr="ī",image$1="ℑ",ImaginaryI="ⅈ",imagline="ℐ",imagpart="ℑ",imath="ı",Im="ℑ",imof="⊷",imped="Ƶ",Implies="⇒",incare="℅",infin="∞",infintie="⧝",inodot="ı",intcal="⊺",int="∫",Int="∬",integers="ℤ",Integral="∫",intercal="⊺",Intersection="⋂",intlarhk="⨗",intprod="⨼",InvisibleComma="⁣",InvisibleTimes="⁢",IOcy="Ё",iocy="ё",Iogon="Į",iogon="į",Iopf="𝕀",iopf="𝕚",Iota="Ι",iota="ι",iprod="⨼",iquest="¿",iscr="𝒾",Iscr="ℐ",isin="∈",isindot="⋵",isinE="⋹",isins="⋴",isinsv="⋳",isinv="∈",it="⁢",Itilde="Ĩ",itilde="ĩ",Iukcy="І",iukcy="і",Iuml="Ï",iuml="ï",Jcirc="Ĵ",jcirc="ĵ",Jcy="Й",jcy="й",Jfr="𝔍",jfr="𝔧",jmath="ȷ",Jopf="𝕁",jopf="𝕛",Jscr="𝒥",jscr="𝒿",Jsercy="Ј",jsercy="ј",Jukcy="Є",jukcy="є",Kappa="Κ",kappa="κ",kappav="ϰ",Kcedil="Ķ",kcedil="ķ",Kcy="К",kcy="к",Kfr="𝔎",kfr="𝔨",kgreen="ĸ",KHcy="Х",khcy="х",KJcy="Ќ",kjcy="ќ",Kopf="𝕂",kopf="𝕜",Kscr="𝒦",kscr="𝓀",lAarr="⇚",Lacute="Ĺ",lacute="ĺ",laemptyv="⦴",lagran="ℒ",Lambda="Λ",lambda="λ",lang="⟨",Lang="⟪",langd="⦑",langle="⟨",lap="⪅",Laplacetrf="ℒ",laquo="«",larrb="⇤",larrbfs="⤟",larr="←",Larr="↞",lArr="⇐",larrfs="⤝",larrhk="↩",larrlp="↫",larrpl="⤹",larrsim="⥳",larrtl="↢",latail="⤙",lAtail="⤛",lat="⪫",late="⪭",lates="⪭︀",lbarr="⤌",lBarr="⤎",lbbrk="❲",lbrace="{",lbrack="[",lbrke="⦋",lbrksld="⦏",lbrkslu="⦍",Lcaron="Ľ",lcaron="ľ",Lcedil="Ļ",lcedil="ļ",lceil="⌈",lcub="{",Lcy="Л",lcy="л",ldca="⤶",ldquo="“",ldquor="„",ldrdhar="⥧",ldrushar="⥋",ldsh="↲",le="≤",lE="≦",LeftAngleBracket="⟨",LeftArrowBar="⇤",leftarrow="←",LeftArrow="←",Leftarrow="⇐",LeftArrowRightArrow="⇆",leftarrowtail="↢",LeftCeiling="⌈",LeftDoubleBracket="⟦",LeftDownTeeVector="⥡",LeftDownVectorBar="⥙",LeftDownVector="⇃",LeftFloor="⌊",leftharpoondown="↽",leftharpoonup="↼",leftleftarrows="⇇",leftrightarrow="↔",LeftRightArrow="↔",Leftrightarrow="⇔",leftrightarrows="⇆",leftrightharpoons="⇋",leftrightsquigarrow="↭",LeftRightVector="⥎",LeftTeeArrow="↤",LeftTee="⊣",LeftTeeVector="⥚",leftthreetimes="⋋",LeftTriangleBar="⧏",LeftTriangle="⊲",LeftTriangleEqual="⊴",LeftUpDownVector="⥑",LeftUpTeeVector="⥠",LeftUpVectorBar="⥘",LeftUpVector="↿",LeftVectorBar="⥒",LeftVector="↼",lEg="⪋",leg="⋚",leq="≤",leqq="≦",leqslant="⩽",lescc="⪨",les="⩽",lesdot="⩿",lesdoto="⪁",lesdotor="⪃",lesg="⋚︀",lesges="⪓",lessapprox="⪅",lessdot="⋖",lesseqgtr="⋚",lesseqqgtr="⪋",LessEqualGreater="⋚",LessFullEqual="≦",LessGreater="≶",lessgtr="≶",LessLess="⪡",lesssim="≲",LessSlantEqual="⩽",LessTilde="≲",lfisht="⥼",lfloor="⌊",Lfr="𝔏",lfr="𝔩",lg="≶",lgE="⪑",lHar="⥢",lhard="↽",lharu="↼",lharul="⥪",lhblk="▄",LJcy="Љ",ljcy="љ",llarr="⇇",ll="≪",Ll="⋘",llcorner="⌞",Lleftarrow="⇚",llhard="⥫",lltri="◺",Lmidot="Ŀ",lmidot="ŀ",lmoustache="⎰",lmoust="⎰",lnap="⪉",lnapprox="⪉",lne="⪇",lnE="≨",lneq="⪇",lneqq="≨",lnsim="⋦",loang="⟬",loarr="⇽",lobrk="⟦",longleftarrow="⟵",LongLeftArrow="⟵",Longleftarrow="⟸",longleftrightarrow="⟷",LongLeftRightArrow="⟷",Longleftrightarrow="⟺",longmapsto="⟼",longrightarrow="⟶",LongRightArrow="⟶",Longrightarrow="⟹",looparrowleft="↫",looparrowright="↬",lopar="⦅",Lopf="𝕃",lopf="𝕝",loplus="⨭",lotimes="⨴",lowast="∗",lowbar="_",LowerLeftArrow="↙",LowerRightArrow="↘",loz="◊",lozenge="◊",lozf="⧫",lpar="(",lparlt="⦓",lrarr="⇆",lrcorner="⌟",lrhar="⇋",lrhard="⥭",lrm="‎",lrtri="⊿",lsaquo="‹",lscr="𝓁",Lscr="ℒ",lsh="↰",Lsh="↰",lsim="≲",lsime="⪍",lsimg="⪏",lsqb="[",lsquo="‘",lsquor="‚",Lstrok="Ł",lstrok="ł",ltcc="⪦",ltcir="⩹",lt="<",LT="<",Lt="≪",ltdot="⋖",lthree="⋋",ltimes="⋉",ltlarr="⥶",ltquest="⩻",ltri="◃",ltrie="⊴",ltrif="◂",ltrPar="⦖",lurdshar="⥊",luruhar="⥦",lvertneqq="≨︀",lvnE="≨︀",macr="¯",male="♂",malt="✠",maltese="✠",map$1="↦",mapsto="↦",mapstodown="↧",mapstoleft="↤",mapstoup="↥",marker="▮",mcomma="⨩",Mcy="М",mcy="м",mdash="—",mDDot="∺",measuredangle="∡",MediumSpace=" ",Mellintrf="ℳ",Mfr="𝔐",mfr="𝔪",mho="℧",micro="µ",midast="*",midcir="⫰",mid="∣",middot="·",minusb="⊟",minus="−",minusd="∸",minusdu="⨪",MinusPlus="∓",mlcp="⫛",mldr="…",mnplus="∓",models="⊧",Mopf="𝕄",mopf="𝕞",mp="∓",mscr="𝓂",Mscr="ℳ",mstpos="∾",Mu="Μ",mu="μ",multimap="⊸",mumap="⊸",nabla="∇",Nacute="Ń",nacute="ń",nang="∠⃒",nap="≉",napE="⩰̸",napid="≋̸",napos="ŉ",napprox="≉",natural="♮",naturals="ℕ",natur="♮",nbsp=" ",nbump="≎̸",nbumpe="≏̸",ncap="⩃",Ncaron="Ň",ncaron="ň",Ncedil="Ņ",ncedil="ņ",ncong="≇",ncongdot="⩭̸",ncup="⩂",Ncy="Н",ncy="н",ndash="–",nearhk="⤤",nearr="↗",neArr="⇗",nearrow="↗",ne="≠",nedot="≐̸",NegativeMediumSpace="​",NegativeThickSpace="​",NegativeThinSpace="​",NegativeVeryThinSpace="​",nequiv="≢",nesear="⤨",nesim="≂̸",NestedGreaterGreater="≫",NestedLessLess="≪",NewLine="\n",nexist="∄",nexists="∄",Nfr="𝔑",nfr="𝔫",ngE="≧̸",nge="≱",ngeq="≱",ngeqq="≧̸",ngeqslant="⩾̸",nges="⩾̸",nGg="⋙̸",ngsim="≵",nGt="≫⃒",ngt="≯",ngtr="≯",nGtv="≫̸",nharr="↮",nhArr="⇎",nhpar="⫲",ni="∋",nis="⋼",nisd="⋺",niv="∋",NJcy="Њ",njcy="њ",nlarr="↚",nlArr="⇍",nldr="‥",nlE="≦̸",nle="≰",nleftarrow="↚",nLeftarrow="⇍",nleftrightarrow="↮",nLeftrightarrow="⇎",nleq="≰",nleqq="≦̸",nleqslant="⩽̸",nles="⩽̸",nless="≮",nLl="⋘̸",nlsim="≴",nLt="≪⃒",nlt="≮",nltri="⋪",nltrie="⋬",nLtv="≪̸",nmid="∤",NoBreak="⁠",NonBreakingSpace=" ",nopf="𝕟",Nopf="ℕ",Not="⫬",not="¬",NotCongruent="≢",NotCupCap="≭",NotDoubleVerticalBar="∦",NotElement="∉",NotEqual="≠",NotEqualTilde="≂̸",NotExists="∄",NotGreater="≯",NotGreaterEqual="≱",NotGreaterFullEqual="≧̸",NotGreaterGreater="≫̸",NotGreaterLess="≹",NotGreaterSlantEqual="⩾̸",NotGreaterTilde="≵",NotHumpDownHump="≎̸",NotHumpEqual="≏̸",notin="∉",notindot="⋵̸",notinE="⋹̸",notinva="∉",notinvb="⋷",notinvc="⋶",NotLeftTriangleBar="⧏̸",NotLeftTriangle="⋪",NotLeftTriangleEqual="⋬",NotLess="≮",NotLessEqual="≰",NotLessGreater="≸",NotLessLess="≪̸",NotLessSlantEqual="⩽̸",NotLessTilde="≴",NotNestedGreaterGreater="⪢̸",NotNestedLessLess="⪡̸",notni="∌",notniva="∌",notnivb="⋾",notnivc="⋽",NotPrecedes="⊀",NotPrecedesEqual="⪯̸",NotPrecedesSlantEqual="⋠",NotReverseElement="∌",NotRightTriangleBar="⧐̸",NotRightTriangle="⋫",NotRightTriangleEqual="⋭",NotSquareSubset="⊏̸",NotSquareSubsetEqual="⋢",NotSquareSuperset="⊐̸",NotSquareSupersetEqual="⋣",NotSubset="⊂⃒",NotSubsetEqual="⊈",NotSucceeds="⊁",NotSucceedsEqual="⪰̸",NotSucceedsSlantEqual="⋡",NotSucceedsTilde="≿̸",NotSuperset="⊃⃒",NotSupersetEqual="⊉",NotTilde="≁",NotTildeEqual="≄",NotTildeFullEqual="≇",NotTildeTilde="≉",NotVerticalBar="∤",nparallel="∦",npar="∦",nparsl="⫽⃥",npart="∂̸",npolint="⨔",npr="⊀",nprcue="⋠",nprec="⊀",npreceq="⪯̸",npre="⪯̸",nrarrc="⤳̸",nrarr="↛",nrArr="⇏",nrarrw="↝̸",nrightarrow="↛",nRightarrow="⇏",nrtri="⋫",nrtrie="⋭",nsc="⊁",nsccue="⋡",nsce="⪰̸",Nscr="𝒩",nscr="𝓃",nshortmid="∤",nshortparallel="∦",nsim="≁",nsime="≄",nsimeq="≄",nsmid="∤",nspar="∦",nsqsube="⋢",nsqsupe="⋣",nsub="⊄",nsubE="⫅̸",nsube="⊈",nsubset="⊂⃒",nsubseteq="⊈",nsubseteqq="⫅̸",nsucc="⊁",nsucceq="⪰̸",nsup="⊅",nsupE="⫆̸",nsupe="⊉",nsupset="⊃⃒",nsupseteq="⊉",nsupseteqq="⫆̸",ntgl="≹",Ntilde="Ñ",ntilde="ñ",ntlg="≸",ntriangleleft="⋪",ntrianglelefteq="⋬",ntriangleright="⋫",ntrianglerighteq="⋭",Nu="Ν",nu="ν",num="#",numero="№",numsp=" ",nvap="≍⃒",nvdash="⊬",nvDash="⊭",nVdash="⊮",nVDash="⊯",nvge="≥⃒",nvgt=">⃒",nvHarr="⤄",nvinfin="⧞",nvlArr="⤂",nvle="≤⃒",nvlt="<⃒",nvltrie="⊴⃒",nvrArr="⤃",nvrtrie="⊵⃒",nvsim="∼⃒",nwarhk="⤣",nwarr="↖",nwArr="⇖",nwarrow="↖",nwnear="⤧",Oacute="Ó",oacute="ó",oast="⊛",Ocirc="Ô",ocirc="ô",ocir="⊚",Ocy="О",ocy="о",odash="⊝",Odblac="Ő",odblac="ő",odiv="⨸",odot="⊙",odsold="⦼",OElig="Œ",oelig="œ",ofcir="⦿",Ofr="𝔒",ofr="𝔬",ogon="˛",Ograve="Ò",ograve="ò",ogt="⧁",ohbar="⦵",ohm="Ω",oint="∮",olarr="↺",olcir="⦾",olcross="⦻",oline="‾",olt="⧀",Omacr="Ō",omacr="ō",Omega="Ω",omega="ω",Omicron="Ο",omicron="ο",omid="⦶",ominus="⊖",Oopf="𝕆",oopf="𝕠",opar="⦷",OpenCurlyDoubleQuote="“",OpenCurlyQuote="‘",operp="⦹",oplus="⊕",orarr="↻",Or="⩔",or="∨",ord="⩝",order="ℴ",orderof="ℴ",ordf="ª",ordm="º",origof="⊶",oror="⩖",orslope="⩗",orv="⩛",oS="Ⓢ",Oscr="𝒪",oscr="ℴ",Oslash="Ø",oslash="ø",osol="⊘",Otilde="Õ",otilde="õ",otimesas="⨶",Otimes="⨷",otimes="⊗",Ouml="Ö",ouml="ö",ovbar="⌽",OverBar="‾",OverBrace="⏞",OverBracket="⎴",OverParenthesis="⏜",para="¶",parallel="∥",par="∥",parsim="⫳",parsl="⫽",part="∂",PartialD="∂",Pcy="П",pcy="п",percnt="%",period=".",permil="‰",perp="⊥",pertenk="‱",Pfr="𝔓",pfr="𝔭",Phi="Φ",phi="φ",phiv="ϕ",phmmat="ℳ",phone="☎",Pi="Π",pi="π",pitchfork="⋔",piv="ϖ",planck="ℏ",planckh="ℎ",plankv="ℏ",plusacir="⨣",plusb="⊞",pluscir="⨢",plus="+",plusdo="∔",plusdu="⨥",pluse="⩲",PlusMinus="±",plusmn="±",plussim="⨦",plustwo="⨧",pm="±",Poincareplane="ℌ",pointint="⨕",popf="𝕡",Popf="ℙ",pound="£",prap="⪷",Pr="⪻",pr="≺",prcue="≼",precapprox="⪷",prec="≺",preccurlyeq="≼",Precedes="≺",PrecedesEqual="⪯",PrecedesSlantEqual="≼",PrecedesTilde="≾",preceq="⪯",precnapprox="⪹",precneqq="⪵",precnsim="⋨",pre="⪯",prE="⪳",precsim="≾",prime="′",Prime="″",primes="ℙ",prnap="⪹",prnE="⪵",prnsim="⋨",prod="∏",Product="∏",profalar="⌮",profline="⌒",profsurf="⌓",prop="∝",Proportional="∝",Proportion="∷",propto="∝",prsim="≾",prurel="⊰",Pscr="𝒫",pscr="𝓅",Psi="Ψ",psi="ψ",puncsp=" ",Qfr="𝔔",qfr="𝔮",qint="⨌",qopf="𝕢",Qopf="ℚ",qprime="⁗",Qscr="𝒬",qscr="𝓆",quaternions="ℍ",quatint="⨖",quest="?",questeq="≟",quot='"',QUOT='"',rAarr="⇛",race="∽̱",Racute="Ŕ",racute="ŕ",radic="√",raemptyv="⦳",rang="⟩",Rang="⟫",rangd="⦒",range="⦥",rangle="⟩",raquo="»",rarrap="⥵",rarrb="⇥",rarrbfs="⤠",rarrc="⤳",rarr="→",Rarr="↠",rArr="⇒",rarrfs="⤞",rarrhk="↪",rarrlp="↬",rarrpl="⥅",rarrsim="⥴",Rarrtl="⤖",rarrtl="↣",rarrw="↝",ratail="⤚",rAtail="⤜",ratio="∶",rationals="ℚ",rbarr="⤍",rBarr="⤏",RBarr="⤐",rbbrk="❳",rbrace="}",rbrack="]",rbrke="⦌",rbrksld="⦎",rbrkslu="⦐",Rcaron="Ř",rcaron="ř",Rcedil="Ŗ",rcedil="ŗ",rceil="⌉",rcub="}",Rcy="Р",rcy="р",rdca="⤷",rdldhar="⥩",rdquo="”",rdquor="”",rdsh="↳",real="ℜ",realine="ℛ",realpart="ℜ",reals="ℝ",Re="ℜ",rect="▭",reg="®",REG="®",ReverseElement="∋",ReverseEquilibrium="⇋",ReverseUpEquilibrium="⥯",rfisht="⥽",rfloor="⌋",rfr="𝔯",Rfr="ℜ",rHar="⥤",rhard="⇁",rharu="⇀",rharul="⥬",Rho="Ρ",rho="ρ",rhov="ϱ",RightAngleBracket="⟩",RightArrowBar="⇥",rightarrow="→",RightArrow="→",Rightarrow="⇒",RightArrowLeftArrow="⇄",rightarrowtail="↣",RightCeiling="⌉",RightDoubleBracket="⟧",RightDownTeeVector="⥝",RightDownVectorBar="⥕",RightDownVector="⇂",RightFloor="⌋",rightharpoondown="⇁",rightharpoonup="⇀",rightleftarrows="⇄",rightleftharpoons="⇌",rightrightarrows="⇉",rightsquigarrow="↝",RightTeeArrow="↦",RightTee="⊢",RightTeeVector="⥛",rightthreetimes="⋌",RightTriangleBar="⧐",RightTriangle="⊳",RightTriangleEqual="⊵",RightUpDownVector="⥏",RightUpTeeVector="⥜",RightUpVectorBar="⥔",RightUpVector="↾",RightVectorBar="⥓",RightVector="⇀",ring="˚",risingdotseq="≓",rlarr="⇄",rlhar="⇌",rlm="‏",rmoustache="⎱",rmoust="⎱",rnmid="⫮",roang="⟭",roarr="⇾",robrk="⟧",ropar="⦆",ropf="𝕣",Ropf="ℝ",roplus="⨮",rotimes="⨵",RoundImplies="⥰",rpar=")",rpargt="⦔",rppolint="⨒",rrarr="⇉",Rrightarrow="⇛",rsaquo="›",rscr="𝓇",Rscr="ℛ",rsh="↱",Rsh="↱",rsqb="]",rsquo="’",rsquor="’",rthree="⋌",rtimes="⋊",rtri="▹",rtrie="⊵",rtrif="▸",rtriltri="⧎",RuleDelayed="⧴",ruluhar="⥨",rx="℞",Sacute="Ś",sacute="ś",sbquo="‚",scap="⪸",Scaron="Š",scaron="š",Sc="⪼",sc="≻",sccue="≽",sce="⪰",scE="⪴",Scedil="Ş",scedil="ş",Scirc="Ŝ",scirc="ŝ",scnap="⪺",scnE="⪶",scnsim="⋩",scpolint="⨓",scsim="≿",Scy="С",scy="с",sdotb="⊡",sdot="⋅",sdote="⩦",searhk="⤥",searr="↘",seArr="⇘",searrow="↘",sect="§",semi=";",seswar="⤩",setminus="∖",setmn="∖",sext="✶",Sfr="𝔖",sfr="𝔰",sfrown="⌢",sharp="♯",SHCHcy="Щ",shchcy="щ",SHcy="Ш",shcy="ш",ShortDownArrow="↓",ShortLeftArrow="←",shortmid="∣",shortparallel="∥",ShortRightArrow="→",ShortUpArrow="↑",shy="­",Sigma="Σ",sigma="σ",sigmaf="ς",sigmav="ς",sim="∼",simdot="⩪",sime="≃",simeq="≃",simg="⪞",simgE="⪠",siml="⪝",simlE="⪟",simne="≆",simplus="⨤",simrarr="⥲",slarr="←",SmallCircle="∘",smallsetminus="∖",smashp="⨳",smeparsl="⧤",smid="∣",smile="⌣",smt="⪪",smte="⪬",smtes="⪬︀",SOFTcy="Ь",softcy="ь",solbar="⌿",solb="⧄",sol="/",Sopf="𝕊",sopf="𝕤",spades="♠",spadesuit="♠",spar="∥",sqcap="⊓",sqcaps="⊓︀",sqcup="⊔",sqcups="⊔︀",Sqrt="√",sqsub="⊏",sqsube="⊑",sqsubset="⊏",sqsubseteq="⊑",sqsup="⊐",sqsupe="⊒",sqsupset="⊐",sqsupseteq="⊒",square="□",Square="□",SquareIntersection="⊓",SquareSubset="⊏",SquareSubsetEqual="⊑",SquareSuperset="⊐",SquareSupersetEqual="⊒",SquareUnion="⊔",squarf="▪",squ="□",squf="▪",srarr="→",Sscr="𝒮",sscr="𝓈",ssetmn="∖",ssmile="⌣",sstarf="⋆",Star="⋆",star="☆",starf="★",straightepsilon="ϵ",straightphi="ϕ",strns="¯",sub="⊂",Sub="⋐",subdot="⪽",subE="⫅",sube="⊆",subedot="⫃",submult="⫁",subnE="⫋",subne="⊊",subplus="⪿",subrarr="⥹",subset="⊂",Subset="⋐",subseteq="⊆",subseteqq="⫅",SubsetEqual="⊆",subsetneq="⊊",subsetneqq="⫋",subsim="⫇",subsub="⫕",subsup="⫓",succapprox="⪸",succ="≻",succcurlyeq="≽",Succeeds="≻",SucceedsEqual="⪰",SucceedsSlantEqual="≽",SucceedsTilde="≿",succeq="⪰",succnapprox="⪺",succneqq="⪶",succnsim="⋩",succsim="≿",SuchThat="∋",sum="∑",Sum="∑",sung="♪",sup1="¹",sup2="²",sup3="³",sup="⊃",Sup="⋑",supdot="⪾",supdsub="⫘",supE="⫆",supe="⊇",supedot="⫄",Superset="⊃",SupersetEqual="⊇",suphsol="⟉",suphsub="⫗",suplarr="⥻",supmult="⫂",supnE="⫌",supne="⊋",supplus="⫀",supset="⊃",Supset="⋑",supseteq="⊇",supseteqq="⫆",supsetneq="⊋",supsetneqq="⫌",supsim="⫈",supsub="⫔",supsup="⫖",swarhk="⤦",swarr="↙",swArr="⇙",swarrow="↙",swnwar="⤪",szlig="ß",Tab="\t",target="⌖",Tau="Τ",tau="τ",tbrk="⎴",Tcaron="Ť",tcaron="ť",Tcedil="Ţ",tcedil="ţ",Tcy="Т",tcy="т",tdot="⃛",telrec="⌕",Tfr="𝔗",tfr="𝔱",there4="∴",therefore="∴",Therefore="∴",Theta="Θ",theta="θ",thetasym="ϑ",thetav="ϑ",thickapprox="≈",thicksim="∼",ThickSpace="  ",ThinSpace=" ",thinsp=" ",thkap="≈",thksim="∼",THORN="Þ",thorn="þ",tilde="˜",Tilde="∼",TildeEqual="≃",TildeFullEqual="≅",TildeTilde="≈",timesbar="⨱",timesb="⊠",times="×",timesd="⨰",tint="∭",toea="⤨",topbot="⌶",topcir="⫱",top="⊤",Topf="𝕋",topf="𝕥",topfork="⫚",tosa="⤩",tprime="‴",trade="™",TRADE="™",triangle="▵",triangledown="▿",triangleleft="◃",trianglelefteq="⊴",triangleq="≜",triangleright="▹",trianglerighteq="⊵",tridot="◬",trie="≜",triminus="⨺",TripleDot="⃛",triplus="⨹",trisb="⧍",tritime="⨻",trpezium="⏢",Tscr="𝒯",tscr="𝓉",TScy="Ц",tscy="ц",TSHcy="Ћ",tshcy="ћ",Tstrok="Ŧ",tstrok="ŧ",twixt="≬",twoheadleftarrow="↞",twoheadrightarrow="↠",Uacute="Ú",uacute="ú",uarr="↑",Uarr="↟",uArr="⇑",Uarrocir="⥉",Ubrcy="Ў",ubrcy="ў",Ubreve="Ŭ",ubreve="ŭ",Ucirc="Û",ucirc="û",Ucy="У",ucy="у",udarr="⇅",Udblac="Ű",udblac="ű",udhar="⥮",ufisht="⥾",Ufr="𝔘",ufr="𝔲",Ugrave="Ù",ugrave="ù",uHar="⥣",uharl="↿",uharr="↾",uhblk="▀",ulcorn="⌜",ulcorner="⌜",ulcrop="⌏",ultri="◸",Umacr="Ū",umacr="ū",uml="¨",UnderBar="_",UnderBrace="⏟",UnderBracket="⎵",UnderParenthesis="⏝",Union="⋃",UnionPlus="⊎",Uogon="Ų",uogon="ų",Uopf="𝕌",uopf="𝕦",UpArrowBar="⤒",uparrow="↑",UpArrow="↑",Uparrow="⇑",UpArrowDownArrow="⇅",updownarrow="↕",UpDownArrow="↕",Updownarrow="⇕",UpEquilibrium="⥮",upharpoonleft="↿",upharpoonright="↾",uplus="⊎",UpperLeftArrow="↖",UpperRightArrow="↗",upsi="υ",Upsi="ϒ",upsih="ϒ",Upsilon="Υ",upsilon="υ",UpTeeArrow="↥",UpTee="⊥",upuparrows="⇈",urcorn="⌝",urcorner="⌝",urcrop="⌎",Uring="Ů",uring="ů",urtri="◹",Uscr="𝒰",uscr="𝓊",utdot="⋰",Utilde="Ũ",utilde="ũ",utri="▵",utrif="▴",uuarr="⇈",Uuml="Ü",uuml="ü",uwangle="⦧",vangrt="⦜",varepsilon="ϵ",varkappa="ϰ",varnothing="∅",varphi="ϕ",varpi="ϖ",varpropto="∝",varr="↕",vArr="⇕",varrho="ϱ",varsigma="ς",varsubsetneq="⊊︀",varsubsetneqq="⫋︀",varsupsetneq="⊋︀",varsupsetneqq="⫌︀",vartheta="ϑ",vartriangleleft="⊲",vartriangleright="⊳",vBar="⫨",Vbar="⫫",vBarv="⫩",Vcy="В",vcy="в",vdash="⊢",vDash="⊨",Vdash="⊩",VDash="⊫",Vdashl="⫦",veebar="⊻",vee="∨",Vee="⋁",veeeq="≚",vellip="⋮",verbar="|",Verbar="‖",vert="|",Vert="‖",VerticalBar="∣",VerticalLine="|",VerticalSeparator="❘",VerticalTilde="≀",VeryThinSpace=" ",Vfr="𝔙",vfr="𝔳",vltri="⊲",vnsub="⊂⃒",vnsup="⊃⃒",Vopf="𝕍",vopf="𝕧",vprop="∝",vrtri="⊳",Vscr="𝒱",vscr="𝓋",vsubnE="⫋︀",vsubne="⊊︀",vsupnE="⫌︀",vsupne="⊋︀",Vvdash="⊪",vzigzag="⦚",Wcirc="Ŵ",wcirc="ŵ",wedbar="⩟",wedge="∧",Wedge="⋀",wedgeq="≙",weierp="℘",Wfr="𝔚",wfr="𝔴",Wopf="𝕎",wopf="𝕨",wp="℘",wr="≀",wreath="≀",Wscr="𝒲",wscr="𝓌",xcap="⋂",xcirc="◯",xcup="⋃",xdtri="▽",Xfr="𝔛",xfr="𝔵",xharr="⟷",xhArr="⟺",Xi="Ξ",xi="ξ",xlarr="⟵",xlArr="⟸",xmap="⟼",xnis="⋻",xodot="⨀",Xopf="𝕏",xopf="𝕩",xoplus="⨁",xotime="⨂",xrarr="⟶",xrArr="⟹",Xscr="𝒳",xscr="𝓍",xsqcup="⨆",xuplus="⨄",xutri="△",xvee="⋁",xwedge="⋀",Yacute="Ý",yacute="ý",YAcy="Я",yacy="я",Ycirc="Ŷ",ycirc="ŷ",Ycy="Ы",ycy="ы",yen="¥",Yfr="𝔜",yfr="𝔶",YIcy="Ї",yicy="ї",Yopf="𝕐",yopf="𝕪",Yscr="𝒴",yscr="𝓎",YUcy="Ю",yucy="ю",yuml="ÿ",Yuml="Ÿ",Zacute="Ź",zacute="ź",Zcaron="Ž",zcaron="ž",Zcy="З",zcy="з",Zdot="Ż",zdot="ż",zeetrf="ℨ",ZeroWidthSpace="​",Zeta="Ζ",zeta="ζ",zfr="𝔷",Zfr="ℨ",ZHcy="Ж",zhcy="ж",zigrarr="⇝",zopf="𝕫",Zopf="ℤ",Zscr="𝒵",zscr="𝓏",zwj="‍",zwnj="‌",require$$0={Aacute:"Á",aacute:"á",Abreve:"Ă",abreve:"ă",ac:ac,acd:"∿",acE:acE,Acirc:"Â",acirc:"â",acute:"´",Acy:"А",acy:"а",AElig:"Æ",aelig:"æ",af:af,Afr:Afr,afr:afr,Agrave:"À",agrave:"à",alefsym:"ℵ",aleph:"ℵ",Alpha:"Α",alpha:"α",Amacr:"Ā",amacr:"ā",amalg:"⨿",amp:"&",AMP:"&",andand:"⩕",And:"⩓",and:"∧",andd:"⩜",andslope:"⩘",andv:"⩚",ang:"∠",ange:"⦤",angle:"∠",angmsdaa:"⦨",angmsdab:"⦩",angmsdac:"⦪",angmsdad:"⦫",angmsdae:"⦬",angmsdaf:"⦭",angmsdag:"⦮",angmsdah:"⦯",angmsd:"∡",angrt:"∟",angrtvb:"⊾",angrtvbd:"⦝",angsph:"∢",angst:"Å",angzarr:"⍼",Aogon:"Ą",aogon:"ą",Aopf:"𝔸",aopf:"𝕒",apacir:"⩯",ap:ap,apE:"⩰",ape:"≊",apid:"≋",apos:"'",ApplyFunction:"⁡",approx:"≈",approxeq:"≊",Aring:"Å",aring:"å",Ascr:"𝒜",ascr:"𝒶",Assign:"≔",ast:"*",asymp:"≈",asympeq:"≍",Atilde:"Ã",atilde:"ã",Auml:"Ä",auml:"ä",awconint:"∳",awint:"⨑",backcong:"≌",backepsilon:"϶",backprime:"‵",backsim:"∽",backsimeq:"⋍",Backslash:"∖",Barv:"⫧",barvee:"⊽",barwed:"⌅",Barwed:"⌆",barwedge:"⌅",bbrk:"⎵",bbrktbrk:"⎶",bcong:"≌",Bcy:"Б",bcy:"б",bdquo:"„",becaus:"∵",because:"∵",Because:"∵",bemptyv:"⦰",bepsi:"϶",bernou:"ℬ",Bernoullis:"ℬ",Beta:"Β",beta:"β",beth:"ℶ",between:"≬",Bfr:Bfr,bfr:bfr,bigcap:"⋂",bigcirc:"◯",bigcup:"⋃",bigodot:"⨀",bigoplus:"⨁",bigotimes:"⨂",bigsqcup:"⨆",bigstar:"★",bigtriangledown:"▽",bigtriangleup:"△",biguplus:"⨄",bigvee:"⋁",bigwedge:"⋀",bkarow:"⤍",blacklozenge:"⧫",blacksquare:"▪",blacktriangle:"▴",blacktriangledown:"▾",blacktriangleleft:"◂",blacktriangleright:"▸",blank:"␣",blk12:"▒",blk14:"░",blk34:"▓",block:"█",bne:bne,bnequiv:"≡⃥",bNot:"⫭",bnot:"⌐",Bopf:"𝔹",bopf:"𝕓",bot:"⊥",bottom:"⊥",bowtie:"⋈",boxbox:"⧉",boxdl:"┐",boxdL:"╕",boxDl:"╖",boxDL:"╗",boxdr:"┌",boxdR:"╒",boxDr:"╓",boxDR:"╔",boxh:"─",boxH:"═",boxhd:"┬",boxHd:"╤",boxhD:"╥",boxHD:"╦",boxhu:"┴",boxHu:"╧",boxhU:"╨",boxHU:"╩",boxminus:"⊟",boxplus:"⊞",boxtimes:"⊠",boxul:"┘",boxuL:"╛",boxUl:"╜",boxUL:"╝",boxur:"└",boxuR:"╘",boxUr:"╙",boxUR:"╚",boxv:"│",boxV:"║",boxvh:"┼",boxvH:"╪",boxVh:"╫",boxVH:"╬",boxvl:"┤",boxvL:"╡",boxVl:"╢",boxVL:"╣",boxvr:"├",boxvR:"╞",boxVr:"╟",boxVR:"╠",bprime:"‵",breve:"˘",Breve:"˘",brvbar:"¦",bscr:"𝒷",Bscr:"ℬ",bsemi:"⁏",bsim:"∽",bsime:"⋍",bsolb:"⧅",bsol:"\\",bsolhsub:"⟈",bull:"•",bullet:"•",bump:"≎",bumpE:"⪮",bumpe:"≏",Bumpeq:"≎",bumpeq:"≏",Cacute:"Ć",cacute:"ć",capand:"⩄",capbrcup:"⩉",capcap:"⩋",cap:"∩",Cap:"⋒",capcup:"⩇",capdot:"⩀",CapitalDifferentialD:"ⅅ",caps:"∩︀",caret:"⁁",caron:"ˇ",Cayleys:"ℭ",ccaps:"⩍",Ccaron:"Č",ccaron:"č",Ccedil:"Ç",ccedil:"ç",Ccirc:"Ĉ",ccirc:"ĉ",Cconint:"∰",ccups:"⩌",ccupssm:"⩐",Cdot:"Ċ",cdot:"ċ",cedil:"¸",Cedilla:"¸",cemptyv:"⦲",cent:"¢",centerdot:"·",CenterDot:"·",cfr:cfr,Cfr:"ℭ",CHcy:"Ч",chcy:"ч",check:"✓",checkmark:"✓",Chi:"Χ",chi:"χ",circ:"ˆ",circeq:"≗",circlearrowleft:"↺",circlearrowright:"↻",circledast:"⊛",circledcirc:"⊚",circleddash:"⊝",CircleDot:"⊙",circledR:"®",circledS:"Ⓢ",CircleMinus:"⊖",CirclePlus:"⊕",CircleTimes:"⊗",cir:"○",cirE:"⧃",cire:"≗",cirfnint:"⨐",cirmid:"⫯",cirscir:"⧂",ClockwiseContourIntegral:"∲",CloseCurlyDoubleQuote:"”",CloseCurlyQuote:"’",clubs:"♣",clubsuit:"♣",colon:":",Colon:"∷",Colone:"⩴",colone:"≔",coloneq:"≔",comma:",",commat:"@",comp:"∁",compfn:"∘",complement:"∁",complexes:"ℂ",cong:"≅",congdot:"⩭",Congruent:"≡",conint:"∮",Conint:"∯",ContourIntegral:"∮",copf:"𝕔",Copf:"ℂ",coprod:"∐",Coproduct:"∐",copy:"©",COPY:"©",copysr:"℗",CounterClockwiseContourIntegral:"∳",crarr:"↵",cross:"✗",Cross:"⨯",Cscr:"𝒞",cscr:"𝒸",csub:"⫏",csube:"⫑",csup:"⫐",csupe:"⫒",ctdot:"⋯",cudarrl:"⤸",cudarrr:"⤵",cuepr:"⋞",cuesc:"⋟",cularr:"↶",cularrp:"⤽",cupbrcap:"⩈",cupcap:"⩆",CupCap:"≍",cup:"∪",Cup:"⋓",cupcup:"⩊",cupdot:"⊍",cupor:"⩅",cups:"∪︀",curarr:"↷",curarrm:"⤼",curlyeqprec:"⋞",curlyeqsucc:"⋟",curlyvee:"⋎",curlywedge:"⋏",curren:"¤",curvearrowleft:"↶",curvearrowright:"↷",cuvee:"⋎",cuwed:"⋏",cwconint:"∲",cwint:"∱",cylcty:"⌭",dagger:"†",Dagger:"‡",daleth:"ℸ",darr:"↓",Darr:"↡",dArr:"⇓",dash:"‐",Dashv:"⫤",dashv:"⊣",dbkarow:"⤏",dblac:"˝",Dcaron:"Ď",dcaron:"ď",Dcy:"Д",dcy:"д",ddagger:"‡",ddarr:"⇊",DD:DD,dd:dd,DDotrahd:"⤑",ddotseq:"⩷",deg:"°",Del:"∇",Delta:"Δ",delta:"δ",demptyv:"⦱",dfisht:"⥿",Dfr:Dfr,dfr:dfr,dHar:"⥥",dharl:"⇃",dharr:"⇂",DiacriticalAcute:"´",DiacriticalDot:"˙",DiacriticalDoubleAcute:"˝",DiacriticalGrave:"`",DiacriticalTilde:"˜",diam:"⋄",diamond:"⋄",Diamond:"⋄",diamondsuit:"♦",diams:"♦",die:"¨",DifferentialD:"ⅆ",digamma:"ϝ",disin:"⋲",div:"÷",divide:"÷",divideontimes:"⋇",divonx:"⋇",DJcy:"Ђ",djcy:"ђ",dlcorn:"⌞",dlcrop:"⌍",dollar:"$",Dopf:"𝔻",dopf:"𝕕",Dot:"¨",dot:"˙",DotDot:"⃜",doteq:"≐",doteqdot:"≑",DotEqual:"≐",dotminus:"∸",dotplus:"∔",dotsquare:"⊡",doublebarwedge:"⌆",DoubleContourIntegral:"∯",DoubleDot:"¨",DoubleDownArrow:"⇓",DoubleLeftArrow:"⇐",DoubleLeftRightArrow:"⇔",DoubleLeftTee:"⫤",DoubleLongLeftArrow:"⟸",DoubleLongLeftRightArrow:"⟺",DoubleLongRightArrow:"⟹",DoubleRightArrow:"⇒",DoubleRightTee:"⊨",DoubleUpArrow:"⇑",DoubleUpDownArrow:"⇕",DoubleVerticalBar:"∥",DownArrowBar:"⤓",downarrow:"↓",DownArrow:"↓",Downarrow:"⇓",DownArrowUpArrow:"⇵",DownBreve:"̑",downdownarrows:"⇊",downharpoonleft:"⇃",downharpoonright:"⇂",DownLeftRightVector:"⥐",DownLeftTeeVector:"⥞",DownLeftVectorBar:"⥖",DownLeftVector:"↽",DownRightTeeVector:"⥟",DownRightVectorBar:"⥗",DownRightVector:"⇁",DownTeeArrow:"↧",DownTee:"⊤",drbkarow:"⤐",drcorn:"⌟",drcrop:"⌌",Dscr:"𝒟",dscr:"𝒹",DScy:"Ѕ",dscy:"ѕ",dsol:"⧶",Dstrok:"Đ",dstrok:"đ",dtdot:"⋱",dtri:"▿",dtrif:"▾",duarr:"⇵",duhar:"⥯",dwangle:"⦦",DZcy:"Џ",dzcy:"џ",dzigrarr:"⟿",Eacute:"É",eacute:"é",easter:"⩮",Ecaron:"Ě",ecaron:"ě",Ecirc:"Ê",ecirc:"ê",ecir:"≖",ecolon:"≕",Ecy:"Э",ecy:"э",eDDot:"⩷",Edot:"Ė",edot:"ė",eDot:"≑",ee:ee,efDot:"≒",Efr:Efr,efr:efr,eg:eg,Egrave:"È",egrave:"è",egs:"⪖",egsdot:"⪘",el:el,Element:"∈",elinters:"⏧",ell:"ℓ",els:"⪕",elsdot:"⪗",Emacr:"Ē",emacr:"ē",empty:"∅",emptyset:"∅",EmptySmallSquare:"◻",emptyv:"∅",EmptyVerySmallSquare:"▫",emsp13:" ",emsp14:" ",emsp:" ",ENG:"Ŋ",eng:"ŋ",ensp:" ",Eogon:"Ę",eogon:"ę",Eopf:"𝔼",eopf:"𝕖",epar:"⋕",eparsl:"⧣",eplus:"⩱",epsi:"ε",Epsilon:"Ε",epsilon:"ε",epsiv:"ϵ",eqcirc:"≖",eqcolon:"≕",eqsim:"≂",eqslantgtr:"⪖",eqslantless:"⪕",Equal:"⩵",equals:"=",EqualTilde:"≂",equest:"≟",Equilibrium:"⇌",equiv:"≡",equivDD:"⩸",eqvparsl:"⧥",erarr:"⥱",erDot:"≓",escr:"ℯ",Escr:"ℰ",esdot:"≐",Esim:"⩳",esim:"≂",Eta:"Η",eta:"η",ETH:"Ð",eth:"ð",Euml:"Ë",euml:"ë",euro:"€",excl:"!",exist:"∃",Exists:"∃",expectation:"ℰ",exponentiale:"ⅇ",ExponentialE:"ⅇ",fallingdotseq:"≒",Fcy:"Ф",fcy:"ф",female:"♀",ffilig:"ﬃ",fflig:"ﬀ",ffllig:"ﬄ",Ffr:Ffr,ffr:ffr,filig:"ﬁ",FilledSmallSquare:"◼",FilledVerySmallSquare:"▪",fjlig:"fj",flat:"♭",fllig:"ﬂ",fltns:"▱",fnof:"ƒ",Fopf:"𝔽",fopf:"𝕗",forall:"∀",ForAll:"∀",fork:"⋔",forkv:"⫙",Fouriertrf:"ℱ",fpartint:"⨍",frac12:"½",frac13:"⅓",frac14:"¼",frac15:"⅕",frac16:"⅙",frac18:"⅛",frac23:"⅔",frac25:"⅖",frac34:"¾",frac35:"⅗",frac38:"⅜",frac45:"⅘",frac56:"⅚",frac58:"⅝",frac78:"⅞",frasl:"⁄",frown:"⌢",fscr:"𝒻",Fscr:"ℱ",gacute:"ǵ",Gamma:"Γ",gamma:"γ",Gammad:"Ϝ",gammad:"ϝ",gap:"⪆",Gbreve:"Ğ",gbreve:"ğ",Gcedil:"Ģ",Gcirc:"Ĝ",gcirc:"ĝ",Gcy:"Г",gcy:"г",Gdot:"Ġ",gdot:"ġ",ge:ge,gE:gE,gEl:"⪌",gel:"⋛",geq:"≥",geqq:"≧",geqslant:"⩾",gescc:"⪩",ges:"⩾",gesdot:"⪀",gesdoto:"⪂",gesdotol:"⪄",gesl:"⋛︀",gesles:"⪔",Gfr:Gfr,gfr:gfr,gg:gg,Gg:Gg,ggg:"⋙",gimel:"ℷ",GJcy:"Ѓ",gjcy:"ѓ",gla:"⪥",gl:gl,glE:"⪒",glj:"⪤",gnap:"⪊",gnapprox:"⪊",gne:"⪈",gnE:"≩",gneq:"⪈",gneqq:"≩",gnsim:"⋧",Gopf:"𝔾",gopf:"𝕘",grave:"`",GreaterEqual:"≥",GreaterEqualLess:"⋛",GreaterFullEqual:"≧",GreaterGreater:"⪢",GreaterLess:"≷",GreaterSlantEqual:"⩾",GreaterTilde:"≳",Gscr:"𝒢",gscr:"ℊ",gsim:"≳",gsime:"⪎",gsiml:"⪐",gtcc:"⪧",gtcir:"⩺",gt:gt,GT:GT,Gt:Gt,gtdot:"⋗",gtlPar:"⦕",gtquest:"⩼",gtrapprox:"⪆",gtrarr:"⥸",gtrdot:"⋗",gtreqless:"⋛",gtreqqless:"⪌",gtrless:"≷",gtrsim:"≳",gvertneqq:"≩︀",gvnE:"≩︀",Hacek:"ˇ",hairsp:" ",half:"½",hamilt:"ℋ",HARDcy:"Ъ",hardcy:"ъ",harrcir:"⥈",harr:"↔",hArr:"⇔",harrw:"↭",Hat:"^",hbar:"ℏ",Hcirc:"Ĥ",hcirc:"ĥ",hearts:"♥",heartsuit:"♥",hellip:"…",hercon:"⊹",hfr:hfr,Hfr:"ℌ",HilbertSpace:"ℋ",hksearow:"⤥",hkswarow:"⤦",hoarr:"⇿",homtht:"∻",hookleftarrow:"↩",hookrightarrow:"↪",hopf:"𝕙",Hopf:"ℍ",horbar:"―",HorizontalLine:"─",hscr:"𝒽",Hscr:"ℋ",hslash:"ℏ",Hstrok:"Ħ",hstrok:"ħ",HumpDownHump:"≎",HumpEqual:"≏",hybull:"⁃",hyphen:"‐",Iacute:"Í",iacute:"í",ic:ic,Icirc:"Î",icirc:"î",Icy:"И",icy:"и",Idot:"İ",IEcy:"Е",iecy:"е",iexcl:"¡",iff:"⇔",ifr:ifr,Ifr:"ℑ",Igrave:"Ì",igrave:"ì",ii:ii,iiiint:"⨌",iiint:"∭",iinfin:"⧜",iiota:"℩",IJlig:"Ĳ",ijlig:"ĳ",Imacr:"Ī",imacr:"ī",image:"ℑ",ImaginaryI:"ⅈ",imagline:"ℐ",imagpart:"ℑ",imath:"ı",Im:Im,imof:"⊷",imped:"Ƶ",Implies:"⇒",incare:"℅",in:"∈",infin:"∞",infintie:"⧝",inodot:"ı",intcal:"⊺",int:"∫",Int:"∬",integers:"ℤ",Integral:"∫",intercal:"⊺",Intersection:"⋂",intlarhk:"⨗",intprod:"⨼",InvisibleComma:"⁣",InvisibleTimes:"⁢",IOcy:"Ё",iocy:"ё",Iogon:"Į",iogon:"į",Iopf:"𝕀",iopf:"𝕚",Iota:"Ι",iota:"ι",iprod:"⨼",iquest:"¿",iscr:"𝒾",Iscr:"ℐ",isin:"∈",isindot:"⋵",isinE:"⋹",isins:"⋴",isinsv:"⋳",isinv:"∈",it:it,Itilde:"Ĩ",itilde:"ĩ",Iukcy:"І",iukcy:"і",Iuml:"Ï",iuml:"ï",Jcirc:"Ĵ",jcirc:"ĵ",Jcy:"Й",jcy:"й",Jfr:Jfr,jfr:jfr,jmath:"ȷ",Jopf:"𝕁",jopf:"𝕛",Jscr:"𝒥",jscr:"𝒿",Jsercy:"Ј",jsercy:"ј",Jukcy:"Є",jukcy:"є",Kappa:"Κ",kappa:"κ",kappav:"ϰ",Kcedil:"Ķ",kcedil:"ķ",Kcy:"К",kcy:"к",Kfr:Kfr,kfr:kfr,kgreen:"ĸ",KHcy:"Х",khcy:"х",KJcy:"Ќ",kjcy:"ќ",Kopf:"𝕂",kopf:"𝕜",Kscr:"𝒦",kscr:"𝓀",lAarr:"⇚",Lacute:"Ĺ",lacute:"ĺ",laemptyv:"⦴",lagran:"ℒ",Lambda:"Λ",lambda:"λ",lang:"⟨",Lang:"⟪",langd:"⦑",langle:"⟨",lap:"⪅",Laplacetrf:"ℒ",laquo:"«",larrb:"⇤",larrbfs:"⤟",larr:"←",Larr:"↞",lArr:"⇐",larrfs:"⤝",larrhk:"↩",larrlp:"↫",larrpl:"⤹",larrsim:"⥳",larrtl:"↢",latail:"⤙",lAtail:"⤛",lat:"⪫",late:"⪭",lates:"⪭︀",lbarr:"⤌",lBarr:"⤎",lbbrk:"❲",lbrace:"{",lbrack:"[",lbrke:"⦋",lbrksld:"⦏",lbrkslu:"⦍",Lcaron:"Ľ",lcaron:"ľ",Lcedil:"Ļ",lcedil:"ļ",lceil:"⌈",lcub:"{",Lcy:"Л",lcy:"л",ldca:"⤶",ldquo:"“",ldquor:"„",ldrdhar:"⥧",ldrushar:"⥋",ldsh:"↲",le:le,lE:lE,LeftAngleBracket:"⟨",LeftArrowBar:"⇤",leftarrow:"←",LeftArrow:"←",Leftarrow:"⇐",LeftArrowRightArrow:"⇆",leftarrowtail:"↢",LeftCeiling:"⌈",LeftDoubleBracket:"⟦",LeftDownTeeVector:"⥡",LeftDownVectorBar:"⥙",LeftDownVector:"⇃",LeftFloor:"⌊",leftharpoondown:"↽",leftharpoonup:"↼",leftleftarrows:"⇇",leftrightarrow:"↔",LeftRightArrow:"↔",Leftrightarrow:"⇔",leftrightarrows:"⇆",leftrightharpoons:"⇋",leftrightsquigarrow:"↭",LeftRightVector:"⥎",LeftTeeArrow:"↤",LeftTee:"⊣",LeftTeeVector:"⥚",leftthreetimes:"⋋",LeftTriangleBar:"⧏",LeftTriangle:"⊲",LeftTriangleEqual:"⊴",LeftUpDownVector:"⥑",LeftUpTeeVector:"⥠",LeftUpVectorBar:"⥘",LeftUpVector:"↿",LeftVectorBar:"⥒",LeftVector:"↼",lEg:"⪋",leg:"⋚",leq:"≤",leqq:"≦",leqslant:"⩽",lescc:"⪨",les:"⩽",lesdot:"⩿",lesdoto:"⪁",lesdotor:"⪃",lesg:"⋚︀",lesges:"⪓",lessapprox:"⪅",lessdot:"⋖",lesseqgtr:"⋚",lesseqqgtr:"⪋",LessEqualGreater:"⋚",LessFullEqual:"≦",LessGreater:"≶",lessgtr:"≶",LessLess:"⪡",lesssim:"≲",LessSlantEqual:"⩽",LessTilde:"≲",lfisht:"⥼",lfloor:"⌊",Lfr:Lfr,lfr:lfr,lg:lg,lgE:"⪑",lHar:"⥢",lhard:"↽",lharu:"↼",lharul:"⥪",lhblk:"▄",LJcy:"Љ",ljcy:"љ",llarr:"⇇",ll:ll,Ll:Ll,llcorner:"⌞",Lleftarrow:"⇚",llhard:"⥫",lltri:"◺",Lmidot:"Ŀ",lmidot:"ŀ",lmoustache:"⎰",lmoust:"⎰",lnap:"⪉",lnapprox:"⪉",lne:"⪇",lnE:"≨",lneq:"⪇",lneqq:"≨",lnsim:"⋦",loang:"⟬",loarr:"⇽",lobrk:"⟦",longleftarrow:"⟵",LongLeftArrow:"⟵",Longleftarrow:"⟸",longleftrightarrow:"⟷",LongLeftRightArrow:"⟷",Longleftrightarrow:"⟺",longmapsto:"⟼",longrightarrow:"⟶",LongRightArrow:"⟶",Longrightarrow:"⟹",looparrowleft:"↫",looparrowright:"↬",lopar:"⦅",Lopf:"𝕃",lopf:"𝕝",loplus:"⨭",lotimes:"⨴",lowast:"∗",lowbar:"_",LowerLeftArrow:"↙",LowerRightArrow:"↘",loz:"◊",lozenge:"◊",lozf:"⧫",lpar:"(",lparlt:"⦓",lrarr:"⇆",lrcorner:"⌟",lrhar:"⇋",lrhard:"⥭",lrm:"‎",lrtri:"⊿",lsaquo:"‹",lscr:"𝓁",Lscr:"ℒ",lsh:"↰",Lsh:"↰",lsim:"≲",lsime:"⪍",lsimg:"⪏",lsqb:"[",lsquo:"‘",lsquor:"‚",Lstrok:"Ł",lstrok:"ł",ltcc:"⪦",ltcir:"⩹",lt:lt,LT:LT,Lt:Lt,ltdot:"⋖",lthree:"⋋",ltimes:"⋉",ltlarr:"⥶",ltquest:"⩻",ltri:"◃",ltrie:"⊴",ltrif:"◂",ltrPar:"⦖",lurdshar:"⥊",luruhar:"⥦",lvertneqq:"≨︀",lvnE:"≨︀",macr:"¯",male:"♂",malt:"✠",maltese:"✠",Map:"⤅",map:"↦",mapsto:"↦",mapstodown:"↧",mapstoleft:"↤",mapstoup:"↥",marker:"▮",mcomma:"⨩",Mcy:"М",mcy:"м",mdash:"—",mDDot:"∺",measuredangle:"∡",MediumSpace:" ",Mellintrf:"ℳ",Mfr:Mfr,mfr:mfr,mho:"℧",micro:"µ",midast:"*",midcir:"⫰",mid:"∣",middot:"·",minusb:"⊟",minus:"−",minusd:"∸",minusdu:"⨪",MinusPlus:"∓",mlcp:"⫛",mldr:"…",mnplus:"∓",models:"⊧",Mopf:"𝕄",mopf:"𝕞",mp:mp,mscr:"𝓂",Mscr:"ℳ",mstpos:"∾",Mu:Mu,mu:mu,multimap:"⊸",mumap:"⊸",nabla:"∇",Nacute:"Ń",nacute:"ń",nang:"∠⃒",nap:"≉",napE:"⩰̸",napid:"≋̸",napos:"ŉ",napprox:"≉",natural:"♮",naturals:"ℕ",natur:"♮",nbsp:" ",nbump:"≎̸",nbumpe:"≏̸",ncap:"⩃",Ncaron:"Ň",ncaron:"ň",Ncedil:"Ņ",ncedil:"ņ",ncong:"≇",ncongdot:"⩭̸",ncup:"⩂",Ncy:"Н",ncy:"н",ndash:"–",nearhk:"⤤",nearr:"↗",neArr:"⇗",nearrow:"↗",ne:ne,nedot:"≐̸",NegativeMediumSpace:"​",NegativeThickSpace:"​",NegativeThinSpace:"​",NegativeVeryThinSpace:"​",nequiv:"≢",nesear:"⤨",nesim:"≂̸",NestedGreaterGreater:"≫",NestedLessLess:"≪",NewLine:"\n",nexist:"∄",nexists:"∄",Nfr:Nfr,nfr:nfr,ngE:ngE,nge:"≱",ngeq:"≱",ngeqq:"≧̸",ngeqslant:"⩾̸",nges:"⩾̸",nGg:nGg,ngsim:"≵",nGt:nGt,ngt:"≯",ngtr:"≯",nGtv:"≫̸",nharr:"↮",nhArr:"⇎",nhpar:"⫲",ni:ni,nis:"⋼",nisd:"⋺",niv:"∋",NJcy:"Њ",njcy:"њ",nlarr:"↚",nlArr:"⇍",nldr:"‥",nlE:nlE,nle:"≰",nleftarrow:"↚",nLeftarrow:"⇍",nleftrightarrow:"↮",nLeftrightarrow:"⇎",nleq:"≰",nleqq:"≦̸",nleqslant:"⩽̸",nles:"⩽̸",nless:"≮",nLl:nLl,nlsim:"≴",nLt:nLt,nlt:"≮",nltri:"⋪",nltrie:"⋬",nLtv:"≪̸",nmid:"∤",NoBreak:"⁠",NonBreakingSpace:" ",nopf:"𝕟",Nopf:"ℕ",Not:"⫬",not:"¬",NotCongruent:"≢",NotCupCap:"≭",NotDoubleVerticalBar:"∦",NotElement:"∉",NotEqual:"≠",NotEqualTilde:"≂̸",NotExists:"∄",NotGreater:"≯",NotGreaterEqual:"≱",NotGreaterFullEqual:"≧̸",NotGreaterGreater:"≫̸",NotGreaterLess:"≹",NotGreaterSlantEqual:"⩾̸",NotGreaterTilde:"≵",NotHumpDownHump:"≎̸",NotHumpEqual:"≏̸",notin:"∉",notindot:"⋵̸",notinE:"⋹̸",notinva:"∉",notinvb:"⋷",notinvc:"⋶",NotLeftTriangleBar:"⧏̸",NotLeftTriangle:"⋪",NotLeftTriangleEqual:"⋬",NotLess:"≮",NotLessEqual:"≰",NotLessGreater:"≸",NotLessLess:"≪̸",NotLessSlantEqual:"⩽̸",NotLessTilde:"≴",NotNestedGreaterGreater:"⪢̸",NotNestedLessLess:"⪡̸",notni:"∌",notniva:"∌",notnivb:"⋾",notnivc:"⋽",NotPrecedes:"⊀",NotPrecedesEqual:"⪯̸",NotPrecedesSlantEqual:"⋠",NotReverseElement:"∌",NotRightTriangleBar:"⧐̸",NotRightTriangle:"⋫",NotRightTriangleEqual:"⋭",NotSquareSubset:"⊏̸",NotSquareSubsetEqual:"⋢",NotSquareSuperset:"⊐̸",NotSquareSupersetEqual:"⋣",NotSubset:"⊂⃒",NotSubsetEqual:"⊈",NotSucceeds:"⊁",NotSucceedsEqual:"⪰̸",NotSucceedsSlantEqual:"⋡",NotSucceedsTilde:"≿̸",NotSuperset:"⊃⃒",NotSupersetEqual:"⊉",NotTilde:"≁",NotTildeEqual:"≄",NotTildeFullEqual:"≇",NotTildeTilde:"≉",NotVerticalBar:"∤",nparallel:"∦",npar:"∦",nparsl:"⫽⃥",npart:"∂̸",npolint:"⨔",npr:"⊀",nprcue:"⋠",nprec:"⊀",npreceq:"⪯̸",npre:"⪯̸",nrarrc:"⤳̸",nrarr:"↛",nrArr:"⇏",nrarrw:"↝̸",nrightarrow:"↛",nRightarrow:"⇏",nrtri:"⋫",nrtrie:"⋭",nsc:"⊁",nsccue:"⋡",nsce:"⪰̸",Nscr:"𝒩",nscr:"𝓃",nshortmid:"∤",nshortparallel:"∦",nsim:"≁",nsime:"≄",nsimeq:"≄",nsmid:"∤",nspar:"∦",nsqsube:"⋢",nsqsupe:"⋣",nsub:"⊄",nsubE:"⫅̸",nsube:"⊈",nsubset:"⊂⃒",nsubseteq:"⊈",nsubseteqq:"⫅̸",nsucc:"⊁",nsucceq:"⪰̸",nsup:"⊅",nsupE:"⫆̸",nsupe:"⊉",nsupset:"⊃⃒",nsupseteq:"⊉",nsupseteqq:"⫆̸",ntgl:"≹",Ntilde:"Ñ",ntilde:"ñ",ntlg:"≸",ntriangleleft:"⋪",ntrianglelefteq:"⋬",ntriangleright:"⋫",ntrianglerighteq:"⋭",Nu:Nu,nu:nu,num:"#",numero:"№",numsp:" ",nvap:"≍⃒",nvdash:"⊬",nvDash:"⊭",nVdash:"⊮",nVDash:"⊯",nvge:"≥⃒",nvgt:">⃒",nvHarr:"⤄",nvinfin:"⧞",nvlArr:"⤂",nvle:"≤⃒",nvlt:"<⃒",nvltrie:"⊴⃒",nvrArr:"⤃",nvrtrie:"⊵⃒",nvsim:"∼⃒",nwarhk:"⤣",nwarr:"↖",nwArr:"⇖",nwarrow:"↖",nwnear:"⤧",Oacute:"Ó",oacute:"ó",oast:"⊛",Ocirc:"Ô",ocirc:"ô",ocir:"⊚",Ocy:"О",ocy:"о",odash:"⊝",Odblac:"Ő",odblac:"ő",odiv:"⨸",odot:"⊙",odsold:"⦼",OElig:"Œ",oelig:"œ",ofcir:"⦿",Ofr:Ofr,ofr:ofr,ogon:"˛",Ograve:"Ò",ograve:"ò",ogt:"⧁",ohbar:"⦵",ohm:"Ω",oint:"∮",olarr:"↺",olcir:"⦾",olcross:"⦻",oline:"‾",olt:"⧀",Omacr:"Ō",omacr:"ō",Omega:"Ω",omega:"ω",Omicron:"Ο",omicron:"ο",omid:"⦶",ominus:"⊖",Oopf:"𝕆",oopf:"𝕠",opar:"⦷",OpenCurlyDoubleQuote:"“",OpenCurlyQuote:"‘",operp:"⦹",oplus:"⊕",orarr:"↻",Or:Or,or:or,ord:"⩝",order:"ℴ",orderof:"ℴ",ordf:"ª",ordm:"º",origof:"⊶",oror:"⩖",orslope:"⩗",orv:"⩛",oS:oS,Oscr:"𝒪",oscr:"ℴ",Oslash:"Ø",oslash:"ø",osol:"⊘",Otilde:"Õ",otilde:"õ",otimesas:"⨶",Otimes:"⨷",otimes:"⊗",Ouml:"Ö",ouml:"ö",ovbar:"⌽",OverBar:"‾",OverBrace:"⏞",OverBracket:"⎴",OverParenthesis:"⏜",para:"¶",parallel:"∥",par:"∥",parsim:"⫳",parsl:"⫽",part:"∂",PartialD:"∂",Pcy:"П",pcy:"п",percnt:"%",period:".",permil:"‰",perp:"⊥",pertenk:"‱",Pfr:Pfr,pfr:pfr,Phi:"Φ",phi:"φ",phiv:"ϕ",phmmat:"ℳ",phone:"☎",Pi:Pi,pi:pi,pitchfork:"⋔",piv:"ϖ",planck:"ℏ",planckh:"ℎ",plankv:"ℏ",plusacir:"⨣",plusb:"⊞",pluscir:"⨢",plus:"+",plusdo:"∔",plusdu:"⨥",pluse:"⩲",PlusMinus:"±",plusmn:"±",plussim:"⨦",plustwo:"⨧",pm:pm,Poincareplane:"ℌ",pointint:"⨕",popf:"𝕡",Popf:"ℙ",pound:"£",prap:"⪷",Pr:Pr,pr:pr,prcue:"≼",precapprox:"⪷",prec:"≺",preccurlyeq:"≼",Precedes:"≺",PrecedesEqual:"⪯",PrecedesSlantEqual:"≼",PrecedesTilde:"≾",preceq:"⪯",precnapprox:"⪹",precneqq:"⪵",precnsim:"⋨",pre:"⪯",prE:"⪳",precsim:"≾",prime:"′",Prime:"″",primes:"ℙ",prnap:"⪹",prnE:"⪵",prnsim:"⋨",prod:"∏",Product:"∏",profalar:"⌮",profline:"⌒",profsurf:"⌓",prop:"∝",Proportional:"∝",Proportion:"∷",propto:"∝",prsim:"≾",prurel:"⊰",Pscr:"𝒫",pscr:"𝓅",Psi:"Ψ",psi:"ψ",puncsp:" ",Qfr:Qfr,qfr:qfr,qint:"⨌",qopf:"𝕢",Qopf:"ℚ",qprime:"⁗",Qscr:"𝒬",qscr:"𝓆",quaternions:"ℍ",quatint:"⨖",quest:"?",questeq:"≟",quot:'"',QUOT:'"',rAarr:"⇛",race:"∽̱",Racute:"Ŕ",racute:"ŕ",radic:"√",raemptyv:"⦳",rang:"⟩",Rang:"⟫",rangd:"⦒",range:"⦥",rangle:"⟩",raquo:"»",rarrap:"⥵",rarrb:"⇥",rarrbfs:"⤠",rarrc:"⤳",rarr:"→",Rarr:"↠",rArr:"⇒",rarrfs:"⤞",rarrhk:"↪",rarrlp:"↬",rarrpl:"⥅",rarrsim:"⥴",Rarrtl:"⤖",rarrtl:"↣",rarrw:"↝",ratail:"⤚",rAtail:"⤜",ratio:"∶",rationals:"ℚ",rbarr:"⤍",rBarr:"⤏",RBarr:"⤐",rbbrk:"❳",rbrace:"}",rbrack:"]",rbrke:"⦌",rbrksld:"⦎",rbrkslu:"⦐",Rcaron:"Ř",rcaron:"ř",Rcedil:"Ŗ",rcedil:"ŗ",rceil:"⌉",rcub:"}",Rcy:"Р",rcy:"р",rdca:"⤷",rdldhar:"⥩",rdquo:"”",rdquor:"”",rdsh:"↳",real:"ℜ",realine:"ℛ",realpart:"ℜ",reals:"ℝ",Re:Re,rect:"▭",reg:"®",REG:"®",ReverseElement:"∋",ReverseEquilibrium:"⇋",ReverseUpEquilibrium:"⥯",rfisht:"⥽",rfloor:"⌋",rfr:rfr,Rfr:"ℜ",rHar:"⥤",rhard:"⇁",rharu:"⇀",rharul:"⥬",Rho:"Ρ",rho:"ρ",rhov:"ϱ",RightAngleBracket:"⟩",RightArrowBar:"⇥",rightarrow:"→",RightArrow:"→",Rightarrow:"⇒",RightArrowLeftArrow:"⇄",rightarrowtail:"↣",RightCeiling:"⌉",RightDoubleBracket:"⟧",RightDownTeeVector:"⥝",RightDownVectorBar:"⥕",RightDownVector:"⇂",RightFloor:"⌋",rightharpoondown:"⇁",rightharpoonup:"⇀",rightleftarrows:"⇄",rightleftharpoons:"⇌",rightrightarrows:"⇉",rightsquigarrow:"↝",RightTeeArrow:"↦",RightTee:"⊢",RightTeeVector:"⥛",rightthreetimes:"⋌",RightTriangleBar:"⧐",RightTriangle:"⊳",RightTriangleEqual:"⊵",RightUpDownVector:"⥏",RightUpTeeVector:"⥜",RightUpVectorBar:"⥔",RightUpVector:"↾",RightVectorBar:"⥓",RightVector:"⇀",ring:"˚",risingdotseq:"≓",rlarr:"⇄",rlhar:"⇌",rlm:"‏",rmoustache:"⎱",rmoust:"⎱",rnmid:"⫮",roang:"⟭",roarr:"⇾",robrk:"⟧",ropar:"⦆",ropf:"𝕣",Ropf:"ℝ",roplus:"⨮",rotimes:"⨵",RoundImplies:"⥰",rpar:")",rpargt:"⦔",rppolint:"⨒",rrarr:"⇉",Rrightarrow:"⇛",rsaquo:"›",rscr:"𝓇",Rscr:"ℛ",rsh:"↱",Rsh:"↱",rsqb:"]",rsquo:"’",rsquor:"’",rthree:"⋌",rtimes:"⋊",rtri:"▹",rtrie:"⊵",rtrif:"▸",rtriltri:"⧎",RuleDelayed:"⧴",ruluhar:"⥨",rx:rx,Sacute:"Ś",sacute:"ś",sbquo:"‚",scap:"⪸",Scaron:"Š",scaron:"š",Sc:Sc,sc:sc,sccue:"≽",sce:"⪰",scE:"⪴",Scedil:"Ş",scedil:"ş",Scirc:"Ŝ",scirc:"ŝ",scnap:"⪺",scnE:"⪶",scnsim:"⋩",scpolint:"⨓",scsim:"≿",Scy:"С",scy:"с",sdotb:"⊡",sdot:"⋅",sdote:"⩦",searhk:"⤥",searr:"↘",seArr:"⇘",searrow:"↘",sect:"§",semi:";",seswar:"⤩",setminus:"∖",setmn:"∖",sext:"✶",Sfr:Sfr,sfr:sfr,sfrown:"⌢",sharp:"♯",SHCHcy:"Щ",shchcy:"щ",SHcy:"Ш",shcy:"ш",ShortDownArrow:"↓",ShortLeftArrow:"←",shortmid:"∣",shortparallel:"∥",ShortRightArrow:"→",ShortUpArrow:"↑",shy:"­",Sigma:"Σ",sigma:"σ",sigmaf:"ς",sigmav:"ς",sim:"∼",simdot:"⩪",sime:"≃",simeq:"≃",simg:"⪞",simgE:"⪠",siml:"⪝",simlE:"⪟",simne:"≆",simplus:"⨤",simrarr:"⥲",slarr:"←",SmallCircle:"∘",smallsetminus:"∖",smashp:"⨳",smeparsl:"⧤",smid:"∣",smile:"⌣",smt:"⪪",smte:"⪬",smtes:"⪬︀",SOFTcy:"Ь",softcy:"ь",solbar:"⌿",solb:"⧄",sol:"/",Sopf:"𝕊",sopf:"𝕤",spades:"♠",spadesuit:"♠",spar:"∥",sqcap:"⊓",sqcaps:"⊓︀",sqcup:"⊔",sqcups:"⊔︀",Sqrt:"√",sqsub:"⊏",sqsube:"⊑",sqsubset:"⊏",sqsubseteq:"⊑",sqsup:"⊐",sqsupe:"⊒",sqsupset:"⊐",sqsupseteq:"⊒",square:"□",Square:"□",SquareIntersection:"⊓",SquareSubset:"⊏",SquareSubsetEqual:"⊑",SquareSuperset:"⊐",SquareSupersetEqual:"⊒",SquareUnion:"⊔",squarf:"▪",squ:"□",squf:"▪",srarr:"→",Sscr:"𝒮",sscr:"𝓈",ssetmn:"∖",ssmile:"⌣",sstarf:"⋆",Star:"⋆",star:"☆",starf:"★",straightepsilon:"ϵ",straightphi:"ϕ",strns:"¯",sub:"⊂",Sub:"⋐",subdot:"⪽",subE:"⫅",sube:"⊆",subedot:"⫃",submult:"⫁",subnE:"⫋",subne:"⊊",subplus:"⪿",subrarr:"⥹",subset:"⊂",Subset:"⋐",subseteq:"⊆",subseteqq:"⫅",SubsetEqual:"⊆",subsetneq:"⊊",subsetneqq:"⫋",subsim:"⫇",subsub:"⫕",subsup:"⫓",succapprox:"⪸",succ:"≻",succcurlyeq:"≽",Succeeds:"≻",SucceedsEqual:"⪰",SucceedsSlantEqual:"≽",SucceedsTilde:"≿",succeq:"⪰",succnapprox:"⪺",succneqq:"⪶",succnsim:"⋩",succsim:"≿",SuchThat:"∋",sum:"∑",Sum:"∑",sung:"♪",sup1:"¹",sup2:"²",sup3:"³",sup:"⊃",Sup:"⋑",supdot:"⪾",supdsub:"⫘",supE:"⫆",supe:"⊇",supedot:"⫄",Superset:"⊃",SupersetEqual:"⊇",suphsol:"⟉",suphsub:"⫗",suplarr:"⥻",supmult:"⫂",supnE:"⫌",supne:"⊋",supplus:"⫀",supset:"⊃",Supset:"⋑",supseteq:"⊇",supseteqq:"⫆",supsetneq:"⊋",supsetneqq:"⫌",supsim:"⫈",supsub:"⫔",supsup:"⫖",swarhk:"⤦",swarr:"↙",swArr:"⇙",swarrow:"↙",swnwar:"⤪",szlig:"ß",Tab:"\t",target:"⌖",Tau:"Τ",tau:"τ",tbrk:"⎴",Tcaron:"Ť",tcaron:"ť",Tcedil:"Ţ",tcedil:"ţ",Tcy:"Т",tcy:"т",tdot:"⃛",telrec:"⌕",Tfr:Tfr,tfr:tfr,there4:"∴",therefore:"∴",Therefore:"∴",Theta:"Θ",theta:"θ",thetasym:"ϑ",thetav:"ϑ",thickapprox:"≈",thicksim:"∼",ThickSpace:"  ",ThinSpace:" ",thinsp:" ",thkap:"≈",thksim:"∼",THORN:"Þ",thorn:"þ",tilde:"˜",Tilde:"∼",TildeEqual:"≃",TildeFullEqual:"≅",TildeTilde:"≈",timesbar:"⨱",timesb:"⊠",times:"×",timesd:"⨰",tint:"∭",toea:"⤨",topbot:"⌶",topcir:"⫱",top:"⊤",Topf:"𝕋",topf:"𝕥",topfork:"⫚",tosa:"⤩",tprime:"‴",trade:"™",TRADE:"™",triangle:"▵",triangledown:"▿",triangleleft:"◃",trianglelefteq:"⊴",triangleq:"≜",triangleright:"▹",trianglerighteq:"⊵",tridot:"◬",trie:"≜",triminus:"⨺",TripleDot:"⃛",triplus:"⨹",trisb:"⧍",tritime:"⨻",trpezium:"⏢",Tscr:"𝒯",tscr:"𝓉",TScy:"Ц",tscy:"ц",TSHcy:"Ћ",tshcy:"ћ",Tstrok:"Ŧ",tstrok:"ŧ",twixt:"≬",twoheadleftarrow:"↞",twoheadrightarrow:"↠",Uacute:"Ú",uacute:"ú",uarr:"↑",Uarr:"↟",uArr:"⇑",Uarrocir:"⥉",Ubrcy:"Ў",ubrcy:"ў",Ubreve:"Ŭ",ubreve:"ŭ",Ucirc:"Û",ucirc:"û",Ucy:"У",ucy:"у",udarr:"⇅",Udblac:"Ű",udblac:"ű",udhar:"⥮",ufisht:"⥾",Ufr:Ufr,ufr:ufr,Ugrave:"Ù",ugrave:"ù",uHar:"⥣",uharl:"↿",uharr:"↾",uhblk:"▀",ulcorn:"⌜",ulcorner:"⌜",ulcrop:"⌏",ultri:"◸",Umacr:"Ū",umacr:"ū",uml:"¨",UnderBar:"_",UnderBrace:"⏟",UnderBracket:"⎵",UnderParenthesis:"⏝",Union:"⋃",UnionPlus:"⊎",Uogon:"Ų",uogon:"ų",Uopf:"𝕌",uopf:"𝕦",UpArrowBar:"⤒",uparrow:"↑",UpArrow:"↑",Uparrow:"⇑",UpArrowDownArrow:"⇅",updownarrow:"↕",UpDownArrow:"↕",Updownarrow:"⇕",UpEquilibrium:"⥮",upharpoonleft:"↿",upharpoonright:"↾",uplus:"⊎",UpperLeftArrow:"↖",UpperRightArrow:"↗",upsi:"υ",Upsi:"ϒ",upsih:"ϒ",Upsilon:"Υ",upsilon:"υ",UpTeeArrow:"↥",UpTee:"⊥",upuparrows:"⇈",urcorn:"⌝",urcorner:"⌝",urcrop:"⌎",Uring:"Ů",uring:"ů",urtri:"◹",Uscr:"𝒰",uscr:"𝓊",utdot:"⋰",Utilde:"Ũ",utilde:"ũ",utri:"▵",utrif:"▴",uuarr:"⇈",Uuml:"Ü",uuml:"ü",uwangle:"⦧",vangrt:"⦜",varepsilon:"ϵ",varkappa:"ϰ",varnothing:"∅",varphi:"ϕ",varpi:"ϖ",varpropto:"∝",varr:"↕",vArr:"⇕",varrho:"ϱ",varsigma:"ς",varsubsetneq:"⊊︀",varsubsetneqq:"⫋︀",varsupsetneq:"⊋︀",varsupsetneqq:"⫌︀",vartheta:"ϑ",vartriangleleft:"⊲",vartriangleright:"⊳",vBar:"⫨",Vbar:"⫫",vBarv:"⫩",Vcy:"В",vcy:"в",vdash:"⊢",vDash:"⊨",Vdash:"⊩",VDash:"⊫",Vdashl:"⫦",veebar:"⊻",vee:"∨",Vee:"⋁",veeeq:"≚",vellip:"⋮",verbar:"|",Verbar:"‖",vert:"|",Vert:"‖",VerticalBar:"∣",VerticalLine:"|",VerticalSeparator:"❘",VerticalTilde:"≀",VeryThinSpace:" ",Vfr:Vfr,vfr:vfr,vltri:"⊲",vnsub:"⊂⃒",vnsup:"⊃⃒",Vopf:"𝕍",vopf:"𝕧",vprop:"∝",vrtri:"⊳",Vscr:"𝒱",vscr:"𝓋",vsubnE:"⫋︀",vsubne:"⊊︀",vsupnE:"⫌︀",vsupne:"⊋︀",Vvdash:"⊪",vzigzag:"⦚",Wcirc:"Ŵ",wcirc:"ŵ",wedbar:"⩟",wedge:"∧",Wedge:"⋀",wedgeq:"≙",weierp:"℘",Wfr:Wfr,wfr:wfr,Wopf:"𝕎",wopf:"𝕨",wp:wp,wr:wr,wreath:"≀",Wscr:"𝒲",wscr:"𝓌",xcap:"⋂",xcirc:"◯",xcup:"⋃",xdtri:"▽",Xfr:Xfr,xfr:xfr,xharr:"⟷",xhArr:"⟺",Xi:Xi,xi:xi,xlarr:"⟵",xlArr:"⟸",xmap:"⟼",xnis:"⋻",xodot:"⨀",Xopf:"𝕏",xopf:"𝕩",xoplus:"⨁",xotime:"⨂",xrarr:"⟶",xrArr:"⟹",Xscr:"𝒳",xscr:"𝓍",xsqcup:"⨆",xuplus:"⨄",xutri:"△",xvee:"⋁",xwedge:"⋀",Yacute:"Ý",yacute:"ý",YAcy:"Я",yacy:"я",Ycirc:"Ŷ",ycirc:"ŷ",Ycy:"Ы",ycy:"ы",yen:"¥",Yfr:Yfr,yfr:yfr,YIcy:"Ї",yicy:"ї",Yopf:"𝕐",yopf:"𝕪",Yscr:"𝒴",yscr:"𝓎",YUcy:"Ю",yucy:"ю",yuml:"ÿ",Yuml:"Ÿ",Zacute:"Ź",zacute:"ź",Zcaron:"Ž",zcaron:"ž",Zcy:"З",zcy:"з",Zdot:"Ż",zdot:"ż",zeetrf:"ℨ",ZeroWidthSpace:"​",Zeta:"Ζ",zeta:"ζ",zfr:zfr,Zfr:"ℨ",ZHcy:"Ж",zhcy:"ж",zigrarr:"⇝",zopf:"𝕫",Zopf:"ℤ",Zscr:"𝒵",zscr:"𝓏",zwj:"‍",zwnj:"‌"};var entities$1=require$$0,regex$4=/[!-#%-\*,-\/:;\?@\[-\]_\{\}\xA1\xA7\xAB\xB6\xB7\xBB\xBF\u037E\u0387\u055A-\u055F\u0589\u058A\u05BE\u05C0\u05C3\u05C6\u05F3\u05F4\u0609\u060A\u060C\u060D\u061B\u061E\u061F\u066A-\u066D\u06D4\u0700-\u070D\u07F7-\u07F9\u0830-\u083E\u085E\u0964\u0965\u0970\u09FD\u0A76\u0AF0\u0C84\u0DF4\u0E4F\u0E5A\u0E5B\u0F04-\u0F12\u0F14\u0F3A-\u0F3D\u0F85\u0FD0-\u0FD4\u0FD9\u0FDA\u104A-\u104F\u10FB\u1360-\u1368\u1400\u166D\u166E\u169B\u169C\u16EB-\u16ED\u1735\u1736\u17D4-\u17D6\u17D8-\u17DA\u1800-\u180A\u1944\u1945\u1A1E\u1A1F\u1AA0-\u1AA6\u1AA8-\u1AAD\u1B5A-\u1B60\u1BFC-\u1BFF\u1C3B-\u1C3F\u1C7E\u1C7F\u1CC0-\u1CC7\u1CD3\u2010-\u2027\u2030-\u2043\u2045-\u2051\u2053-\u205E\u207D\u207E\u208D\u208E\u2308-\u230B\u2329\u232A\u2768-\u2775\u27C5\u27C6\u27E6-\u27EF\u2983-\u2998\u29D8-\u29DB\u29FC\u29FD\u2CF9-\u2CFC\u2CFE\u2CFF\u2D70\u2E00-\u2E2E\u2E30-\u2E4E\u3001-\u3003\u3008-\u3011\u3014-\u301F\u3030\u303D\u30A0\u30FB\uA4FE\uA4FF\uA60D-\uA60F\uA673\uA67E\uA6F2-\uA6F7\uA874-\uA877\uA8CE\uA8CF\uA8F8-\uA8FA\uA8FC\uA92E\uA92F\uA95F\uA9C1-\uA9CD\uA9DE\uA9DF\uAA5C-\uAA5F\uAADE\uAADF\uAAF0\uAAF1\uABEB\uFD3E\uFD3F\uFE10-\uFE19\uFE30-\uFE52\uFE54-\uFE61\uFE63\uFE68\uFE6A\uFE6B\uFF01-\uFF03\uFF05-\uFF0A\uFF0C-\uFF0F\uFF1A\uFF1B\uFF1F\uFF20\uFF3B-\uFF3D\uFF3F\uFF5B\uFF5D\uFF5F-\uFF65]|\uD800[\uDD00-\uDD02\uDF9F\uDFD0]|\uD801\uDD6F|\uD802[\uDC57\uDD1F\uDD3F\uDE50-\uDE58\uDE7F\uDEF0-\uDEF6\uDF39-\uDF3F\uDF99-\uDF9C]|\uD803[\uDF55-\uDF59]|\uD804[\uDC47-\uDC4D\uDCBB\uDCBC\uDCBE-\uDCC1\uDD40-\uDD43\uDD74\uDD75\uDDC5-\uDDC8\uDDCD\uDDDB\uDDDD-\uDDDF\uDE38-\uDE3D\uDEA9]|\uD805[\uDC4B-\uDC4F\uDC5B\uDC5D\uDCC6\uDDC1-\uDDD7\uDE41-\uDE43\uDE60-\uDE6C\uDF3C-\uDF3E]|\uD806[\uDC3B\uDE3F-\uDE46\uDE9A-\uDE9C\uDE9E-\uDEA2]|\uD807[\uDC41-\uDC45\uDC70\uDC71\uDEF7\uDEF8]|\uD809[\uDC70-\uDC74]|\uD81A[\uDE6E\uDE6F\uDEF5\uDF37-\uDF3B\uDF44]|\uD81B[\uDE97-\uDE9A]|\uD82F\uDC9F|\uD836[\uDE87-\uDE8B]|\uD83A[\uDD5E\uDD5F]/,mdurl$1={},encodeCache={};function getEncodeCache(e){var r,t,n=encodeCache[e];if(n)return n;for(n=encodeCache[e]=[],r=0;r<128;r++)t=String.fromCharCode(r),/^[0-9a-z]$/i.test(t)?n.push(t):n.push("%"+("0"+r.toString(16).toUpperCase()).slice(-2));for(r=0;r<e.length;r++)n[e.charCodeAt(r)]=e[r];return n}function encode$1(e,r,t){var n,s,o,a,i,l="";for("string"!=typeof r&&(t=r,r=encode$1.defaultChars),void 0===t&&(t=!0),i=getEncodeCache(r),n=0,s=e.length;n<s;n++)if(o=e.charCodeAt(n),t&&37===o&&n+2<s&&/^[0-9a-f]{2}$/i.test(e.slice(n+1,n+3)))l+=e.slice(n,n+3),n+=2;else if(o<128)l+=i[o];else if(o>=55296&&o<=57343){if(o>=55296&&o<=56319&&n+1<s&&(a=e.charCodeAt(n+1))>=56320&&a<=57343){l+=encodeURIComponent(e[n]+e[n+1]),n++;continue}l+="%EF%BF%BD"}else l+=encodeURIComponent(e[n]);return l}encode$1.defaultChars=";/?:@&=+$,-_.!~*'()#",encode$1.componentChars="-_.!~*'()";var encode_1=encode$1,decodeCache={};function getDecodeCache(e){var r,t,n=decodeCache[e];if(n)return n;for(n=decodeCache[e]=[],r=0;r<128;r++)t=String.fromCharCode(r),n.push(t);for(r=0;r<e.length;r++)n[t=e.charCodeAt(r)]="%"+("0"+t.toString(16).toUpperCase()).slice(-2);return n}function decode$1(e,r){var t;return"string"!=typeof r&&(r=decode$1.defaultChars),t=getDecodeCache(r),e.replace(/(%[a-f0-9]{2})+/gi,(function(e){var r,n,s,o,a,i,l,c="";for(r=0,n=e.length;r<n;r+=3)(s=parseInt(e.slice(r+1,r+3),16))<128?c+=t[s]:192==(224&s)&&r+3<n&&128==(192&(o=parseInt(e.slice(r+4,r+6),16)))?(c+=(l=s<<6&1984|63&o)<128?"��":String.fromCharCode(l),r+=3):224==(240&s)&&r+6<n&&(o=parseInt(e.slice(r+4,r+6),16),a=parseInt(e.slice(r+7,r+9),16),128==(192&o)&&128==(192&a))?(c+=(l=s<<12&61440|o<<6&4032|63&a)<2048||l>=55296&&l<=57343?"���":String.fromCharCode(l),r+=6):240==(248&s)&&r+9<n&&(o=parseInt(e.slice(r+4,r+6),16),a=parseInt(e.slice(r+7,r+9),16),i=parseInt(e.slice(r+10,r+12),16),128==(192&o)&&128==(192&a)&&128==(192&i))?((l=s<<18&1835008|o<<12&258048|a<<6&4032|63&i)<65536||l>1114111?c+="����":(l-=65536,c+=String.fromCharCode(55296+(l>>10),56320+(1023&l))),r+=9):c+="�";return c}))}decode$1.defaultChars=";/?:@&=+$,#",decode$1.componentChars="";var decode_1=decode$1,format=function(e){var r="";return r+=e.protocol||"",r+=e.slashes?"//":"",r+=e.auth?e.auth+"@":"",e.hostname&&-1!==e.hostname.indexOf(":")?r+="["+e.hostname+"]":r+=e.hostname||"",r+=e.port?":"+e.port:"",r+=e.pathname||"",r+=e.search||"",r+=e.hash||""};function Url(){this.protocol=null,this.slashes=null,this.auth=null,this.port=null,this.hostname=null,this.hash=null,this.search=null,this.pathname=null}var protocolPattern=/^([a-z0-9.+-]+:)/i,portPattern=/:[0-9]*$/,simplePathPattern=/^(\/\/?(?!\/)[^\?\s]*)(\?[^\s]*)?$/,delims=["<",">",'"',"`"," ","\r","\n","\t"],unwise=["{","}","|","\\","^","`"].concat(delims),autoEscape=["'"].concat(unwise),nonHostChars=["%","/","?",";","#"].concat(autoEscape),hostEndingChars=["/","?","#"],hostnameMaxLen=255,hostnamePartPattern=/^[+a-z0-9A-Z_-]{0,63}$/,hostnamePartStart=/^([+a-z0-9A-Z_-]{0,63})(.*)$/,hostlessProtocol={javascript:!0,"javascript:":!0},slashedProtocol={http:!0,https:!0,ftp:!0,gopher:!0,file:!0,"http:":!0,"https:":!0,"ftp:":!0,"gopher:":!0,"file:":!0};function urlParse(e,r){if(e&&e instanceof Url)return e;var t=new Url;return t.parse(e,r),t}Url.prototype.parse=function(e,r){var t,n,s,o,a,i=e;if(i=i.trim(),!r&&1===e.split("#").length){var l=simplePathPattern.exec(i);if(l)return this.pathname=l[1],l[2]&&(this.search=l[2]),this}var c=protocolPattern.exec(i);if(c&&(s=(c=c[0]).toLowerCase(),this.protocol=c,i=i.substr(c.length)),(r||c||i.match(/^\/\/[^@\/]+@[^@\/]+/))&&(!(a="//"===i.substr(0,2))||c&&hostlessProtocol[c]||(i=i.substr(2),this.slashes=!0)),!hostlessProtocol[c]&&(a||c&&!slashedProtocol[c])){var u,p,h=-1;for(t=0;t<hostEndingChars.length;t++)-1!==(o=i.indexOf(hostEndingChars[t]))&&(-1===h||o<h)&&(h=o);for(-1!==(p=-1===h?i.lastIndexOf("@"):i.lastIndexOf("@",h))&&(u=i.slice(0,p),i=i.slice(p+1),this.auth=u),h=-1,t=0;t<nonHostChars.length;t++)-1!==(o=i.indexOf(nonHostChars[t]))&&(-1===h||o<h)&&(h=o);-1===h&&(h=i.length),":"===i[h-1]&&h--;var d=i.slice(0,h);i=i.slice(h),this.parseHost(d),this.hostname=this.hostname||"";var f="["===this.hostname[0]&&"]"===this.hostname[this.hostname.length-1];if(!f){var m=this.hostname.split(/\./);for(t=0,n=m.length;t<n;t++){var g=m[t];if(g&&!g.match(hostnamePartPattern)){for(var _="",b=0,k=g.length;b<k;b++)g.charCodeAt(b)>127?_+="x":_+=g[b];if(!_.match(hostnamePartPattern)){var v=m.slice(0,t),y=m.slice(t+1),w=g.match(hostnamePartStart);w&&(v.push(w[1]),y.unshift(w[2])),y.length&&(i=y.join(".")+i),this.hostname=v.join(".");break}}}}this.hostname.length>hostnameMaxLen&&(this.hostname=""),f&&(this.hostname=this.hostname.substr(1,this.hostname.length-2))}var C=i.indexOf("#");-1!==C&&(this.hash=i.substr(C),i=i.slice(0,C));var A=i.indexOf("?");return-1!==A&&(this.search=i.substr(A),i=i.slice(0,A)),i&&(this.pathname=i),slashedProtocol[s]&&this.hostname&&!this.pathname&&(this.pathname=""),this},Url.prototype.parseHost=function(e){var r=portPattern.exec(e);r&&(":"!==(r=r[0])&&(this.port=r.substr(1)),e=e.substr(0,e.length-r.length)),e&&(this.hostname=e)};var parse=urlParse;mdurl$1.encode=encode_1,mdurl$1.decode=decode_1,mdurl$1.format=format,mdurl$1.parse=parse;var uc_micro={},regex$3=/[\0-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/,regex$2=/[\0-\x1F\x7F-\x9F]/,regex$1=/[\xAD\u0600-\u0605\u061C\u06DD\u070F\u08E2\u180E\u200B-\u200F\u202A-\u202E\u2060-\u2064\u2066-\u206F\uFEFF\uFFF9-\uFFFB]|\uD804[\uDCBD\uDCCD]|\uD82F[\uDCA0-\uDCA3]|\uD834[\uDD73-\uDD7A]|\uDB40[\uDC01\uDC20-\uDC7F]/,regex=/[ \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000]/;uc_micro.Any=regex$3,uc_micro.Cc=regex$2,uc_micro.Cf=regex$1,uc_micro.P=regex$4,uc_micro.Z=regex,function(e){var r=Object.prototype.hasOwnProperty;function t(e,t){return r.call(e,t)}function n(e){return!(e>=55296&&e<=57343)&&(!(e>=64976&&e<=65007)&&(65535!=(65535&e)&&65534!=(65535&e)&&(!(e>=0&&e<=8)&&(11!==e&&(!(e>=14&&e<=31)&&(!(e>=127&&e<=159)&&!(e>1114111)))))))}function s(e){if(e>65535){var r=55296+((e-=65536)>>10),t=56320+(1023&e);return String.fromCharCode(r,t)}return String.fromCharCode(e)}var o=/\\([!"#$%&'()*+,\-.\/:;<=>?@[\\\]^_`{|}~])/g,a=new RegExp(o.source+"|"+/&([a-z#][a-z0-9]{1,31});/gi.source,"gi"),i=/^#((?:x[a-f0-9]{1,8}|[0-9]{1,8}))$/i,l=entities$1;var c=/[&<>"]/,u=/[&<>"]/g,p={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;"};function h(e){return p[e]}var d=/[.?*+^$[\]\\(){}|-]/g;var f=regex$4;e.lib={},e.lib.mdurl=mdurl$1,e.lib.ucmicro=uc_micro,e.assign=function(e){return Array.prototype.slice.call(arguments,1).forEach((function(r){if(r){if("object"!=typeof r)throw new TypeError(r+"must be object");Object.keys(r).forEach((function(t){e[t]=r[t]}))}})),e},e.isString=function(e){return"[object String]"===function(e){return Object.prototype.toString.call(e)}(e)},e.has=t,e.unescapeMd=function(e){return e.indexOf("\\")<0?e:e.replace(o,"$1")},e.unescapeAll=function(e){return e.indexOf("\\")<0&&e.indexOf("&")<0?e:e.replace(a,(function(e,r,o){return r||function(e,r){var o;return t(l,r)?l[r]:35===r.charCodeAt(0)&&i.test(r)&&n(o="x"===r[1].toLowerCase()?parseInt(r.slice(2),16):parseInt(r.slice(1),10))?s(o):e}(e,o)}))},e.isValidEntityCode=n,e.fromCodePoint=s,e.escapeHtml=function(e){return c.test(e)?e.replace(u,h):e},e.arrayReplaceAt=function(e,r,t){return[].concat(e.slice(0,r),t,e.slice(r+1))},e.isSpace=function(e){switch(e){case 9:case 32:return!0}return!1},e.isWhiteSpace=function(e){if(e>=8192&&e<=8202)return!0;switch(e){case 9:case 10:case 11:case 12:case 13:case 32:case 160:case 5760:case 8239:case 8287:case 12288:return!0}return!1},e.isMdAsciiPunct=function(e){switch(e){case 33:case 34:case 35:case 36:case 37:case 38:case 39:case 40:case 41:case 42:case 43:case 44:case 45:case 46:case 47:case 58:case 59:case 60:case 61:case 62:case 63:case 64:case 91:case 92:case 93:case 94:case 95:case 96:case 123:case 124:case 125:case 126:return!0;default:return!1}},e.isPunctChar=function(e){return f.test(e)},e.escapeRE=function(e){return e.replace(d,"\\$&")},e.normalizeReference=function(e){return e=e.trim().replace(/\s+/g," "),"Ṿ"==="ẞ".toLowerCase()&&(e=e.replace(/ẞ/g,"ß")),e.toLowerCase().toUpperCase()}}(utils$1);var helpers$1={},parse_link_label=function(e,r,t){var n,s,o,a,i=-1,l=e.posMax,c=e.pos;for(e.pos=r+1,n=1;e.pos<l;){if(93===(o=e.src.charCodeAt(e.pos))&&0===--n){s=!0;break}if(a=e.pos,e.md.inline.skipToken(e),91===o)if(a===e.pos-1)n++;else if(t)return e.pos=c,-1}return s&&(i=e.pos),e.pos=c,i},unescapeAll$2=utils$1.unescapeAll,parse_link_destination=function(e,r,t){var n,s,o=r,a={ok:!1,pos:0,lines:0,str:""};if(60===e.charCodeAt(o)){for(o++;o<t;){if(10===(n=e.charCodeAt(o)))return a;if(60===n)return a;if(62===n)return a.pos=o+1,a.str=unescapeAll$2(e.slice(r+1,o)),a.ok=!0,a;92===n&&o+1<t?o+=2:o++}return a}for(s=0;o<t&&32!==(n=e.charCodeAt(o))&&!(n<32||127===n);)if(92===n&&o+1<t){if(32===e.charCodeAt(o+1))break;o+=2}else{if(40===n&&++s>32)return a;if(41===n){if(0===s)break;s--}o++}return r===o||0!==s||(a.str=unescapeAll$2(e.slice(r,o)),a.pos=o,a.ok=!0),a},unescapeAll$1=utils$1.unescapeAll,parse_link_title=function(e,r,t){var n,s,o=0,a=r,i={ok:!1,pos:0,lines:0,str:""};if(a>=t)return i;if(34!==(s=e.charCodeAt(a))&&39!==s&&40!==s)return i;for(a++,40===s&&(s=41);a<t;){if((n=e.charCodeAt(a))===s)return i.pos=a+1,i.lines=o,i.str=unescapeAll$1(e.slice(r+1,a)),i.ok=!0,i;if(40===n&&41===s)return i;10===n?o++:92===n&&a+1<t&&(a++,10===e.charCodeAt(a)&&o++),a++}return i};helpers$1.parseLinkLabel=parse_link_label,helpers$1.parseLinkDestination=parse_link_destination,helpers$1.parseLinkTitle=parse_link_title;var assign$1=utils$1.assign,unescapeAll=utils$1.unescapeAll,escapeHtml=utils$1.escapeHtml,default_rules={};function Renderer$1(){this.rules=assign$1({},default_rules)}default_rules.code_inline=function(e,r,t,n,s){var o=e[r];return"<code"+s.renderAttrs(o)+">"+escapeHtml(o.content)+"</code>"},default_rules.code_block=function(e,r,t,n,s){var o=e[r];return"<pre"+s.renderAttrs(o)+"><code>"+escapeHtml(e[r].content)+"</code></pre>\n"},default_rules.fence=function(e,r,t,n,s){var o,a,i,l,c,u=e[r],p=u.info?unescapeAll(u.info).trim():"",h="",d="";return p&&(h=(i=p.split(/(\s+)/g))[0],d=i.slice(2).join("")),0===(o=t.highlight&&t.highlight(u.content,h,d)||escapeHtml(u.content)).indexOf("<pre")?o+"\n":p?(a=u.attrIndex("class"),l=u.attrs?u.attrs.slice():[],a<0?l.push(["class",t.langPrefix+h]):(l[a]=l[a].slice(),l[a][1]+=" "+t.langPrefix+h),c={attrs:l},"<pre><code"+s.renderAttrs(c)+">"+o+"</code></pre>\n"):"<pre><code"+s.renderAttrs(u)+">"+o+"</code></pre>\n"},default_rules.image=function(e,r,t,n,s){var o=e[r];return o.attrs[o.attrIndex("alt")][1]=s.renderInlineAsText(o.children,t,n),s.renderToken(e,r,t)},default_rules.hardbreak=function(e,r,t){return t.xhtmlOut?"<br />\n":"<br>\n"},default_rules.softbreak=function(e,r,t){return t.breaks?t.xhtmlOut?"<br />\n":"<br>\n":"\n"},default_rules.text=function(e,r){return escapeHtml(e[r].content)},default_rules.html_block=function(e,r){return e[r].content},default_rules.html_inline=function(e,r){return e[r].content},Renderer$1.prototype.renderAttrs=function(e){var r,t,n;if(!e.attrs)return"";for(n="",r=0,t=e.attrs.length;r<t;r++)n+=" "+escapeHtml(e.attrs[r][0])+'="'+escapeHtml(e.attrs[r][1])+'"';return n},Renderer$1.prototype.renderToken=function(e,r,t){var n,s="",o=!1,a=e[r];return a.hidden?"":(a.block&&-1!==a.nesting&&r&&e[r-1].hidden&&(s+="\n"),s+=(-1===a.nesting?"</":"<")+a.tag,s+=this.renderAttrs(a),0===a.nesting&&t.xhtmlOut&&(s+=" /"),a.block&&(o=!0,1===a.nesting&&r+1<e.length&&("inline"===(n=e[r+1]).type||n.hidden||-1===n.nesting&&n.tag===a.tag)&&(o=!1)),s+=o?">\n":">")},Renderer$1.prototype.renderInline=function(e,r,t){for(var n,s="",o=this.rules,a=0,i=e.length;a<i;a++)void 0!==o[n=e[a].type]?s+=o[n](e,a,r,t,this):s+=this.renderToken(e,a,r);return s},Renderer$1.prototype.renderInlineAsText=function(e,r,t){for(var n="",s=0,o=e.length;s<o;s++)"text"===e[s].type?n+=e[s].content:"image"===e[s].type?n+=this.renderInlineAsText(e[s].children,r,t):"softbreak"===e[s].type&&(n+="\n");return n},Renderer$1.prototype.render=function(e,r,t){var n,s,o,a="",i=this.rules;for(n=0,s=e.length;n<s;n++)"inline"===(o=e[n].type)?a+=this.renderInline(e[n].children,r,t):void 0!==i[o]?a+=i[o](e,n,r,t,this):a+=this.renderToken(e,n,r,t);return a};var renderer=Renderer$1;function Ruler$3(){this.__rules__=[],this.__cache__=null}Ruler$3.prototype.__find__=function(e){for(var r=0;r<this.__rules__.length;r++)if(this.__rules__[r].name===e)return r;return-1},Ruler$3.prototype.__compile__=function(){var e=this,r=[""];e.__rules__.forEach((function(e){e.enabled&&e.alt.forEach((function(e){r.indexOf(e)<0&&r.push(e)}))})),e.__cache__={},r.forEach((function(r){e.__cache__[r]=[],e.__rules__.forEach((function(t){t.enabled&&(r&&t.alt.indexOf(r)<0||e.__cache__[r].push(t.fn))}))}))},Ruler$3.prototype.at=function(e,r,t){var n=this.__find__(e),s=t||{};if(-1===n)throw new Error("Parser rule not found: "+e);this.__rules__[n].fn=r,this.__rules__[n].alt=s.alt||[],this.__cache__=null},Ruler$3.prototype.before=function(e,r,t,n){var s=this.__find__(e),o=n||{};if(-1===s)throw new Error("Parser rule not found: "+e);this.__rules__.splice(s,0,{name:r,enabled:!0,fn:t,alt:o.alt||[]}),this.__cache__=null},Ruler$3.prototype.after=function(e,r,t,n){var s=this.__find__(e),o=n||{};if(-1===s)throw new Error("Parser rule not found: "+e);this.__rules__.splice(s+1,0,{name:r,enabled:!0,fn:t,alt:o.alt||[]}),this.__cache__=null},Ruler$3.prototype.push=function(e,r,t){var n=t||{};this.__rules__.push({name:e,enabled:!0,fn:r,alt:n.alt||[]}),this.__cache__=null},Ruler$3.prototype.enable=function(e,r){Array.isArray(e)||(e=[e]);var t=[];return e.forEach((function(e){var n=this.__find__(e);if(n<0){if(r)return;throw new Error("Rules manager: invalid rule name "+e)}this.__rules__[n].enabled=!0,t.push(e)}),this),this.__cache__=null,t},Ruler$3.prototype.enableOnly=function(e,r){Array.isArray(e)||(e=[e]),this.__rules__.forEach((function(e){e.enabled=!1})),this.enable(e,r)},Ruler$3.prototype.disable=function(e,r){Array.isArray(e)||(e=[e]);var t=[];return e.forEach((function(e){var n=this.__find__(e);if(n<0){if(r)return;throw new Error("Rules manager: invalid rule name "+e)}this.__rules__[n].enabled=!1,t.push(e)}),this),this.__cache__=null,t},Ruler$3.prototype.getRules=function(e){return null===this.__cache__&&this.__compile__(),this.__cache__[e]||[]};var ruler=Ruler$3,NEWLINES_RE=/\r\n?|\n/g,NULL_RE=/\0/g,normalize=function(e){var r;r=(r=e.src.replace(NEWLINES_RE,"\n")).replace(NULL_RE,"�"),e.src=r},block=function(e){var r;e.inlineMode?((r=new e.Token("inline","",0)).content=e.src,r.map=[0,1],r.children=[],e.tokens.push(r)):e.md.block.parse(e.src,e.md,e.env,e.tokens)},inline=function(e){var r,t,n,s=e.tokens;for(t=0,n=s.length;t<n;t++)"inline"===(r=s[t]).type&&e.md.inline.parse(r.content,e.md,e.env,r.children)},arrayReplaceAt=utils$1.arrayReplaceAt;function isLinkOpen$1(e){return/^<a[>\s]/i.test(e)}function isLinkClose$1(e){return/^<\/a\s*>/i.test(e)}var linkify$1=function(e){var r,t,n,s,o,a,i,l,c,u,p,h,d,f,m,g,_,b=e.tokens;if(e.md.options.linkify)for(t=0,n=b.length;t<n;t++)if("inline"===b[t].type&&e.md.linkify.pretest(b[t].content))for(d=0,r=(s=b[t].children).length-1;r>=0;r--)if("link_close"!==(a=s[r]).type){if("html_inline"===a.type&&(isLinkOpen$1(a.content)&&d>0&&d--,isLinkClose$1(a.content)&&d++),!(d>0)&&"text"===a.type&&e.md.linkify.test(a.content)){for(c=a.content,_=e.md.linkify.match(c),i=[],h=a.level,p=0,_.length>0&&0===_[0].index&&r>0&&"text_special"===s[r-1].type&&(_=_.slice(1)),l=0;l<_.length;l++)f=_[l].url,m=e.md.normalizeLink(f),e.md.validateLink(m)&&(g=_[l].text,g=_[l].schema?"mailto:"!==_[l].schema||/^mailto:/i.test(g)?e.md.normalizeLinkText(g):e.md.normalizeLinkText("mailto:"+g).replace(/^mailto:/,""):e.md.normalizeLinkText("http://"+g).replace(/^http:\/\//,""),(u=_[l].index)>p&&((o=new e.Token("text","",0)).content=c.slice(p,u),o.level=h,i.push(o)),(o=new e.Token("link_open","a",1)).attrs=[["href",m]],o.level=h++,o.markup="linkify",o.info="auto",i.push(o),(o=new e.Token("text","",0)).content=g,o.level=h,i.push(o),(o=new e.Token("link_close","a",-1)).level=--h,o.markup="linkify",o.info="auto",i.push(o),p=_[l].lastIndex);p<c.length&&((o=new e.Token("text","",0)).content=c.slice(p),o.level=h,i.push(o)),b[t].children=s=arrayReplaceAt(s,r,i)}}else for(r--;s[r].level!==a.level&&"link_open"!==s[r].type;)r--},RARE_RE=/\+-|\.\.|\?\?\?\?|!!!!|,,|--/,SCOPED_ABBR_TEST_RE=/\((c|tm|r)\)/i,SCOPED_ABBR_RE=/\((c|tm|r)\)/gi,SCOPED_ABBR={c:"©",r:"®",tm:"™"};function replaceFn(e,r){return SCOPED_ABBR[r.toLowerCase()]}function replace_scoped(e){var r,t,n=0;for(r=e.length-1;r>=0;r--)"text"!==(t=e[r]).type||n||(t.content=t.content.replace(SCOPED_ABBR_RE,replaceFn)),"link_open"===t.type&&"auto"===t.info&&n--,"link_close"===t.type&&"auto"===t.info&&n++}function replace_rare(e){var r,t,n=0;for(r=e.length-1;r>=0;r--)"text"!==(t=e[r]).type||n||RARE_RE.test(t.content)&&(t.content=t.content.replace(/\+-/g,"±").replace(/\.{2,}/g,"…").replace(/([?!])…/g,"$1..").replace(/([?!]){4,}/g,"$1$1$1").replace(/,{2,}/g,",").replace(/(^|[^-])---(?=[^-]|$)/gm,"$1—").replace(/(^|\s)--(?=\s|$)/gm,"$1–").replace(/(^|[^-\s])--(?=[^-\s]|$)/gm,"$1–")),"link_open"===t.type&&"auto"===t.info&&n--,"link_close"===t.type&&"auto"===t.info&&n++}var replacements=function(e){var r;if(e.md.options.typographer)for(r=e.tokens.length-1;r>=0;r--)"inline"===e.tokens[r].type&&(SCOPED_ABBR_TEST_RE.test(e.tokens[r].content)&&replace_scoped(e.tokens[r].children),RARE_RE.test(e.tokens[r].content)&&replace_rare(e.tokens[r].children))},isWhiteSpace$1=utils$1.isWhiteSpace,isPunctChar$1=utils$1.isPunctChar,isMdAsciiPunct$1=utils$1.isMdAsciiPunct,QUOTE_TEST_RE=/['"]/,QUOTE_RE=/['"]/g,APOSTROPHE="’";function replaceAt(e,r,t){return e.slice(0,r)+t+e.slice(r+1)}function process_inlines(e,r){var t,n,s,o,a,i,l,c,u,p,h,d,f,m,g,_,b,k,v,y,w;for(v=[],t=0;t<e.length;t++){for(n=e[t],l=e[t].level,b=v.length-1;b>=0&&!(v[b].level<=l);b--);if(v.length=b+1,"text"===n.type){a=0,i=(s=n.content).length;e:for(;a<i&&(QUOTE_RE.lastIndex=a,o=QUOTE_RE.exec(s));){if(g=_=!0,a=o.index+1,k="'"===o[0],u=32,o.index-1>=0)u=s.charCodeAt(o.index-1);else for(b=t-1;b>=0&&("softbreak"!==e[b].type&&"hardbreak"!==e[b].type);b--)if(e[b].content){u=e[b].content.charCodeAt(e[b].content.length-1);break}if(p=32,a<i)p=s.charCodeAt(a);else for(b=t+1;b<e.length&&("softbreak"!==e[b].type&&"hardbreak"!==e[b].type);b++)if(e[b].content){p=e[b].content.charCodeAt(0);break}if(h=isMdAsciiPunct$1(u)||isPunctChar$1(String.fromCharCode(u)),d=isMdAsciiPunct$1(p)||isPunctChar$1(String.fromCharCode(p)),f=isWhiteSpace$1(u),(m=isWhiteSpace$1(p))?g=!1:d&&(f||h||(g=!1)),f?_=!1:h&&(m||d||(_=!1)),34===p&&'"'===o[0]&&u>=48&&u<=57&&(_=g=!1),g&&_&&(g=h,_=d),g||_){if(_)for(b=v.length-1;b>=0&&(c=v[b],!(v[b].level<l));b--)if(c.single===k&&v[b].level===l){c=v[b],k?(y=r.md.options.quotes[2],w=r.md.options.quotes[3]):(y=r.md.options.quotes[0],w=r.md.options.quotes[1]),n.content=replaceAt(n.content,o.index,w),e[c.token].content=replaceAt(e[c.token].content,c.pos,y),a+=w.length-1,c.token===t&&(a+=y.length-1),i=(s=n.content).length,v.length=b;continue e}g?v.push({token:t,pos:o.index,single:k,level:l}):_&&k&&(n.content=replaceAt(n.content,o.index,APOSTROPHE))}else k&&(n.content=replaceAt(n.content,o.index,APOSTROPHE))}}}}var smartquotes=function(e){var r;if(e.md.options.typographer)for(r=e.tokens.length-1;r>=0;r--)"inline"===e.tokens[r].type&&QUOTE_TEST_RE.test(e.tokens[r].content)&&process_inlines(e.tokens[r].children,e)},text_join=function(e){var r,t,n,s,o,a,i=e.tokens;for(r=0,t=i.length;r<t;r++)if("inline"===i[r].type){for(o=(n=i[r].children).length,s=0;s<o;s++)"text_special"===n[s].type&&(n[s].type="text");for(s=a=0;s<o;s++)"text"===n[s].type&&s+1<o&&"text"===n[s+1].type?n[s+1].content=n[s].content+n[s+1].content:(s!==a&&(n[a]=n[s]),a++);s!==a&&(n.length=a)}};function Token$3(e,r,t){this.type=e,this.tag=r,this.attrs=null,this.map=null,this.nesting=t,this.level=0,this.children=null,this.content="",this.markup="",this.info="",this.meta=null,this.block=!1,this.hidden=!1}Token$3.prototype.attrIndex=function(e){var r,t,n;if(!this.attrs)return-1;for(t=0,n=(r=this.attrs).length;t<n;t++)if(r[t][0]===e)return t;return-1},Token$3.prototype.attrPush=function(e){this.attrs?this.attrs.push(e):this.attrs=[e]},Token$3.prototype.attrSet=function(e,r){var t=this.attrIndex(e),n=[e,r];t<0?this.attrPush(n):this.attrs[t]=n},Token$3.prototype.attrGet=function(e){var r=this.attrIndex(e),t=null;return r>=0&&(t=this.attrs[r][1]),t},Token$3.prototype.attrJoin=function(e,r){var t=this.attrIndex(e);t<0?this.attrPush([e,r]):this.attrs[t][1]=this.attrs[t][1]+" "+r};var token=Token$3,Token$2=token;function StateCore(e,r,t){this.src=e,this.env=t,this.tokens=[],this.inlineMode=!1,this.md=r}StateCore.prototype.Token=Token$2;var state_core=StateCore,Ruler$2=ruler,_rules$2=[["normalize",normalize],["block",block],["inline",inline],["linkify",linkify$1],["replacements",replacements],["smartquotes",smartquotes],["text_join",text_join]];function Core(){this.ruler=new Ruler$2;for(var e=0;e<_rules$2.length;e++)this.ruler.push(_rules$2[e][0],_rules$2[e][1])}Core.prototype.process=function(e){var r,t,n;for(r=0,t=(n=this.ruler.getRules("")).length;r<t;r++)n[r](e)},Core.prototype.State=state_core;var parser_core=Core,isSpace$a=utils$1.isSpace;function getLine(e,r){var t=e.bMarks[r]+e.tShift[r],n=e.eMarks[r];return e.src.slice(t,n)}function escapedSplit(e){var r,t=[],n=0,s=e.length,o=!1,a=0,i="";for(r=e.charCodeAt(n);n<s;)124===r&&(o?(i+=e.substring(a,n-1),a=n):(t.push(i+e.substring(a,n)),i="",a=n+1)),o=92===r,n++,r=e.charCodeAt(n);return t.push(i+e.substring(a)),t}var table=function(e,r,t,n){var s,o,a,i,l,c,u,p,h,d,f,m,g,_,b,k,v,y;if(r+2>t)return!1;if(c=r+1,e.sCount[c]<e.blkIndent)return!1;if(e.sCount[c]-e.blkIndent>=4)return!1;if((a=e.bMarks[c]+e.tShift[c])>=e.eMarks[c])return!1;if(124!==(v=e.src.charCodeAt(a++))&&45!==v&&58!==v)return!1;if(a>=e.eMarks[c])return!1;if(124!==(y=e.src.charCodeAt(a++))&&45!==y&&58!==y&&!isSpace$a(y))return!1;if(45===v&&isSpace$a(y))return!1;for(;a<e.eMarks[c];){if(124!==(s=e.src.charCodeAt(a))&&45!==s&&58!==s&&!isSpace$a(s))return!1;a++}for(u=(o=getLine(e,r+1)).split("|"),d=[],i=0;i<u.length;i++){if(!(f=u[i].trim())){if(0===i||i===u.length-1)continue;return!1}if(!/^:?-+:?$/.test(f))return!1;58===f.charCodeAt(f.length-1)?d.push(58===f.charCodeAt(0)?"center":"right"):58===f.charCodeAt(0)?d.push("left"):d.push("")}if(-1===(o=getLine(e,r).trim()).indexOf("|"))return!1;if(e.sCount[r]-e.blkIndent>=4)return!1;if((u=escapedSplit(o)).length&&""===u[0]&&u.shift(),u.length&&""===u[u.length-1]&&u.pop(),0===(p=u.length)||p!==d.length)return!1;if(n)return!0;for(_=e.parentType,e.parentType="table",k=e.md.block.ruler.getRules("blockquote"),(h=e.push("table_open","table",1)).map=m=[r,0],(h=e.push("thead_open","thead",1)).map=[r,r+1],(h=e.push("tr_open","tr",1)).map=[r,r+1],i=0;i<u.length;i++)h=e.push("th_open","th",1),d[i]&&(h.attrs=[["style","text-align:"+d[i]]]),(h=e.push("inline","",0)).content=u[i].trim(),h.children=[],h=e.push("th_close","th",-1);for(h=e.push("tr_close","tr",-1),h=e.push("thead_close","thead",-1),c=r+2;c<t&&!(e.sCount[c]<e.blkIndent);c++){for(b=!1,i=0,l=k.length;i<l;i++)if(k[i](e,c,t,!0)){b=!0;break}if(b)break;if(!(o=getLine(e,c).trim()))break;if(e.sCount[c]-e.blkIndent>=4)break;for((u=escapedSplit(o)).length&&""===u[0]&&u.shift(),u.length&&""===u[u.length-1]&&u.pop(),c===r+2&&((h=e.push("tbody_open","tbody",1)).map=g=[r+2,0]),(h=e.push("tr_open","tr",1)).map=[c,c+1],i=0;i<p;i++)h=e.push("td_open","td",1),d[i]&&(h.attrs=[["style","text-align:"+d[i]]]),(h=e.push("inline","",0)).content=u[i]?u[i].trim():"",h.children=[],h=e.push("td_close","td",-1);h=e.push("tr_close","tr",-1)}return g&&(h=e.push("tbody_close","tbody",-1),g[1]=c),h=e.push("table_close","table",-1),m[1]=c,e.parentType=_,e.line=c,!0},code=function(e,r,t){var n,s,o;if(e.sCount[r]-e.blkIndent<4)return!1;for(s=n=r+1;n<t;)if(e.isEmpty(n))n++;else{if(!(e.sCount[n]-e.blkIndent>=4))break;s=++n}return e.line=s,(o=e.push("code_block","code",0)).content=e.getLines(r,s,4+e.blkIndent,!1)+"\n",o.map=[r,e.line],!0},fence=function(e,r,t,n){var s,o,a,i,l,c,u,p=!1,h=e.bMarks[r]+e.tShift[r],d=e.eMarks[r];if(e.sCount[r]-e.blkIndent>=4)return!1;if(h+3>d)return!1;if(126!==(s=e.src.charCodeAt(h))&&96!==s)return!1;if(l=h,(o=(h=e.skipChars(h,s))-l)<3)return!1;if(u=e.src.slice(l,h),a=e.src.slice(h,d),96===s&&a.indexOf(String.fromCharCode(s))>=0)return!1;if(n)return!0;for(i=r;!(++i>=t)&&!((h=l=e.bMarks[i]+e.tShift[i])<(d=e.eMarks[i])&&e.sCount[i]<e.blkIndent);)if(e.src.charCodeAt(h)===s&&!(e.sCount[i]-e.blkIndent>=4||(h=e.skipChars(h,s))-l<o||(h=e.skipSpaces(h))<d)){p=!0;break}return o=e.sCount[r],e.line=i+(p?1:0),(c=e.push("fence","code",0)).info=a,c.content=e.getLines(r+1,i,o,!0),c.markup=u,c.map=[r,e.line],!0},isSpace$9=utils$1.isSpace,blockquote=function(e,r,t,n){var s,o,a,i,l,c,u,p,h,d,f,m,g,_,b,k,v,y,w,C,A=e.lineMax,E=e.bMarks[r]+e.tShift[r],x=e.eMarks[r];if(e.sCount[r]-e.blkIndent>=4)return!1;if(62!==e.src.charCodeAt(E))return!1;if(n)return!0;for(d=[],f=[],_=[],b=[],y=e.md.block.ruler.getRules("blockquote"),g=e.parentType,e.parentType="blockquote",p=r;p<t&&(C=e.sCount[p]<e.blkIndent,!((E=e.bMarks[p]+e.tShift[p])>=(x=e.eMarks[p])));p++)if(62!==e.src.charCodeAt(E++)||C){if(c)break;for(v=!1,a=0,l=y.length;a<l;a++)if(y[a](e,p,t,!0)){v=!0;break}if(v){e.lineMax=p,0!==e.blkIndent&&(d.push(e.bMarks[p]),f.push(e.bsCount[p]),b.push(e.tShift[p]),_.push(e.sCount[p]),e.sCount[p]-=e.blkIndent);break}d.push(e.bMarks[p]),f.push(e.bsCount[p]),b.push(e.tShift[p]),_.push(e.sCount[p]),e.sCount[p]=-1}else{for(i=e.sCount[p]+1,32===e.src.charCodeAt(E)?(E++,i++,s=!1,k=!0):9===e.src.charCodeAt(E)?(k=!0,(e.bsCount[p]+i)%4==3?(E++,i++,s=!1):s=!0):k=!1,h=i,d.push(e.bMarks[p]),e.bMarks[p]=E;E<x&&(o=e.src.charCodeAt(E),isSpace$9(o));)9===o?h+=4-(h+e.bsCount[p]+(s?1:0))%4:h++,E++;c=E>=x,f.push(e.bsCount[p]),e.bsCount[p]=e.sCount[p]+1+(k?1:0),_.push(e.sCount[p]),e.sCount[p]=h-i,b.push(e.tShift[p]),e.tShift[p]=E-e.bMarks[p]}for(m=e.blkIndent,e.blkIndent=0,(w=e.push("blockquote_open","blockquote",1)).markup=">",w.map=u=[r,0],e.md.block.tokenize(e,r,p),(w=e.push("blockquote_close","blockquote",-1)).markup=">",e.lineMax=A,e.parentType=g,u[1]=e.line,a=0;a<b.length;a++)e.bMarks[a+r]=d[a],e.tShift[a+r]=b[a],e.sCount[a+r]=_[a],e.bsCount[a+r]=f[a];return e.blkIndent=m,!0},isSpace$8=utils$1.isSpace,hr=function(e,r,t,n){var s,o,a,i,l=e.bMarks[r]+e.tShift[r],c=e.eMarks[r];if(e.sCount[r]-e.blkIndent>=4)return!1;if(42!==(s=e.src.charCodeAt(l++))&&45!==s&&95!==s)return!1;for(o=1;l<c;){if((a=e.src.charCodeAt(l++))!==s&&!isSpace$8(a))return!1;a===s&&o++}return!(o<3)&&(n||(e.line=r+1,(i=e.push("hr","hr",0)).map=[r,e.line],i.markup=Array(o+1).join(String.fromCharCode(s))),!0)},isSpace$7=utils$1.isSpace;function skipBulletListMarker(e,r){var t,n,s,o;return n=e.bMarks[r]+e.tShift[r],s=e.eMarks[r],42!==(t=e.src.charCodeAt(n++))&&45!==t&&43!==t||n<s&&(o=e.src.charCodeAt(n),!isSpace$7(o))?-1:n}function skipOrderedListMarker(e,r){var t,n=e.bMarks[r]+e.tShift[r],s=n,o=e.eMarks[r];if(s+1>=o)return-1;if((t=e.src.charCodeAt(s++))<48||t>57)return-1;for(;;){if(s>=o)return-1;if(!((t=e.src.charCodeAt(s++))>=48&&t<=57)){if(41===t||46===t)break;return-1}if(s-n>=10)return-1}return s<o&&(t=e.src.charCodeAt(s),!isSpace$7(t))?-1:s}function markTightParagraphs(e,r){var t,n,s=e.level+2;for(t=r+2,n=e.tokens.length-2;t<n;t++)e.tokens[t].level===s&&"paragraph_open"===e.tokens[t].type&&(e.tokens[t+2].hidden=!0,e.tokens[t].hidden=!0,t+=2)}var list=function(e,r,t,n){var s,o,a,i,l,c,u,p,h,d,f,m,g,_,b,k,v,y,w,C,A,E,x,q,D,S,L,T=r,R=!1,$=!0;if(e.sCount[T]-e.blkIndent>=4)return!1;if(e.listIndent>=0&&e.sCount[T]-e.listIndent>=4&&e.sCount[T]<e.blkIndent)return!1;if(n&&"paragraph"===e.parentType&&e.sCount[T]>=e.blkIndent&&(R=!0),(E=skipOrderedListMarker(e,T))>=0){if(u=!0,q=e.bMarks[T]+e.tShift[T],g=Number(e.src.slice(q,E-1)),R&&1!==g)return!1}else{if(!((E=skipBulletListMarker(e,T))>=0))return!1;u=!1}if(R&&e.skipSpaces(E)>=e.eMarks[T])return!1;if(n)return!0;for(m=e.src.charCodeAt(E-1),f=e.tokens.length,u?(L=e.push("ordered_list_open","ol",1),1!==g&&(L.attrs=[["start",g]])):L=e.push("bullet_list_open","ul",1),L.map=d=[T,0],L.markup=String.fromCharCode(m),x=!1,S=e.md.block.ruler.getRules("list"),v=e.parentType,e.parentType="list";T<t;){for(A=E,_=e.eMarks[T],c=b=e.sCount[T]+E-(e.bMarks[T]+e.tShift[T]);A<_;){if(9===(s=e.src.charCodeAt(A)))b+=4-(b+e.bsCount[T])%4;else{if(32!==s)break;b++}A++}if((l=(o=A)>=_?1:b-c)>4&&(l=1),i=c+l,(L=e.push("list_item_open","li",1)).markup=String.fromCharCode(m),L.map=p=[T,0],u&&(L.info=e.src.slice(q,E-1)),C=e.tight,w=e.tShift[T],y=e.sCount[T],k=e.listIndent,e.listIndent=e.blkIndent,e.blkIndent=i,e.tight=!0,e.tShift[T]=o-e.bMarks[T],e.sCount[T]=b,o>=_&&e.isEmpty(T+1)?e.line=Math.min(e.line+2,t):e.md.block.tokenize(e,T,t,!0),e.tight&&!x||($=!1),x=e.line-T>1&&e.isEmpty(e.line-1),e.blkIndent=e.listIndent,e.listIndent=k,e.tShift[T]=w,e.sCount[T]=y,e.tight=C,(L=e.push("list_item_close","li",-1)).markup=String.fromCharCode(m),T=e.line,p[1]=T,T>=t)break;if(e.sCount[T]<e.blkIndent)break;if(e.sCount[T]-e.blkIndent>=4)break;for(D=!1,a=0,h=S.length;a<h;a++)if(S[a](e,T,t,!0)){D=!0;break}if(D)break;if(u){if((E=skipOrderedListMarker(e,T))<0)break;q=e.bMarks[T]+e.tShift[T]}else if((E=skipBulletListMarker(e,T))<0)break;if(m!==e.src.charCodeAt(E-1))break}return(L=u?e.push("ordered_list_close","ol",-1):e.push("bullet_list_close","ul",-1)).markup=String.fromCharCode(m),d[1]=T,e.line=T,e.parentType=v,$&&markTightParagraphs(e,f),!0},normalizeReference$2=utils$1.normalizeReference,isSpace$6=utils$1.isSpace,reference=function(e,r,t,n){var s,o,a,i,l,c,u,p,h,d,f,m,g,_,b,k,v=0,y=e.bMarks[r]+e.tShift[r],w=e.eMarks[r],C=r+1;if(e.sCount[r]-e.blkIndent>=4)return!1;if(91!==e.src.charCodeAt(y))return!1;for(;++y<w;)if(93===e.src.charCodeAt(y)&&92!==e.src.charCodeAt(y-1)){if(y+1===w)return!1;if(58!==e.src.charCodeAt(y+1))return!1;break}for(i=e.lineMax,b=e.md.block.ruler.getRules("reference"),d=e.parentType,e.parentType="reference";C<i&&!e.isEmpty(C);C++)if(!(e.sCount[C]-e.blkIndent>3||e.sCount[C]<0)){for(_=!1,c=0,u=b.length;c<u;c++)if(b[c](e,C,i,!0)){_=!0;break}if(_)break}for(w=(g=e.getLines(r,C,e.blkIndent,!1).trim()).length,y=1;y<w;y++){if(91===(s=g.charCodeAt(y)))return!1;if(93===s){h=y;break}(10===s||92===s&&++y<w&&10===g.charCodeAt(y))&&v++}if(h<0||58!==g.charCodeAt(h+1))return!1;for(y=h+2;y<w;y++)if(10===(s=g.charCodeAt(y)))v++;else if(!isSpace$6(s))break;if(!(f=e.md.helpers.parseLinkDestination(g,y,w)).ok)return!1;if(l=e.md.normalizeLink(f.str),!e.md.validateLink(l))return!1;for(o=y=f.pos,a=v+=f.lines,m=y;y<w;y++)if(10===(s=g.charCodeAt(y)))v++;else if(!isSpace$6(s))break;for(f=e.md.helpers.parseLinkTitle(g,y,w),y<w&&m!==y&&f.ok?(k=f.str,y=f.pos,v+=f.lines):(k="",y=o,v=a);y<w&&(s=g.charCodeAt(y),isSpace$6(s));)y++;if(y<w&&10!==g.charCodeAt(y)&&k)for(k="",y=o,v=a;y<w&&(s=g.charCodeAt(y),isSpace$6(s));)y++;return!(y<w&&10!==g.charCodeAt(y))&&(!!(p=normalizeReference$2(g.slice(1,h)))&&(n||(void 0===e.env.references&&(e.env.references={}),void 0===e.env.references[p]&&(e.env.references[p]={title:k,href:l}),e.parentType=d,e.line=r+v+1),!0))},html_blocks=["address","article","aside","base","basefont","blockquote","body","caption","center","col","colgroup","dd","details","dialog","dir","div","dl","dt","fieldset","figcaption","figure","footer","form","frame","frameset","h1","h2","h3","h4","h5","h6","head","header","hr","html","iframe","legend","li","link","main","menu","menuitem","nav","noframes","ol","optgroup","option","p","param","section","source","summary","table","tbody","td","tfoot","th","thead","title","tr","track","ul"],html_re={},attr_name="[a-zA-Z_:][a-zA-Z0-9:._-]*",unquoted="[^\"'=<>`\\x00-\\x20]+",single_quoted="'[^']*'",double_quoted='"[^"]*"',attr_value="(?:"+unquoted+"|"+single_quoted+"|"+double_quoted+")",attribute="(?:\\s+"+attr_name+"(?:\\s*=\\s*"+attr_value+")?)",open_tag="<[A-Za-z][A-Za-z0-9\\-]*"+attribute+"*\\s*\\/?>",close_tag="<\\/[A-Za-z][A-Za-z0-9\\-]*\\s*>",comment="\x3c!----\x3e|\x3c!--(?:-?[^>-])(?:-?[^-])*--\x3e",processing="<[?][\\s\\S]*?[?]>",declaration="<![A-Z]+\\s+[^>]*>",cdata="<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",HTML_TAG_RE$1=new RegExp("^(?:"+open_tag+"|"+close_tag+"|"+comment+"|"+processing+"|"+declaration+"|"+cdata+")"),HTML_OPEN_CLOSE_TAG_RE$1=new RegExp("^(?:"+open_tag+"|"+close_tag+")");html_re.HTML_TAG_RE=HTML_TAG_RE$1,html_re.HTML_OPEN_CLOSE_TAG_RE=HTML_OPEN_CLOSE_TAG_RE$1;var block_names=html_blocks,HTML_OPEN_CLOSE_TAG_RE=html_re.HTML_OPEN_CLOSE_TAG_RE,HTML_SEQUENCES=[[/^<(script|pre|style|textarea)(?=(\s|>|$))/i,/<\/(script|pre|style|textarea)>/i,!0],[/^<!--/,/-->/,!0],[/^<\?/,/\?>/,!0],[/^<![A-Z]/,/>/,!0],[/^<!\[CDATA\[/,/\]\]>/,!0],[new RegExp("^</?("+block_names.join("|")+")(?=(\\s|/?>|$))","i"),/^$/,!0],[new RegExp(HTML_OPEN_CLOSE_TAG_RE.source+"\\s*$"),/^$/,!1]],html_block=function(e,r,t,n){var s,o,a,i,l=e.bMarks[r]+e.tShift[r],c=e.eMarks[r];if(e.sCount[r]-e.blkIndent>=4)return!1;if(!e.md.options.html)return!1;if(60!==e.src.charCodeAt(l))return!1;for(i=e.src.slice(l,c),s=0;s<HTML_SEQUENCES.length&&!HTML_SEQUENCES[s][0].test(i);s++);if(s===HTML_SEQUENCES.length)return!1;if(n)return HTML_SEQUENCES[s][2];if(o=r+1,!HTML_SEQUENCES[s][1].test(i))for(;o<t&&!(e.sCount[o]<e.blkIndent);o++)if(l=e.bMarks[o]+e.tShift[o],c=e.eMarks[o],i=e.src.slice(l,c),HTML_SEQUENCES[s][1].test(i)){0!==i.length&&o++;break}return e.line=o,(a=e.push("html_block","",0)).map=[r,o],a.content=e.getLines(r,o,e.blkIndent,!0),!0},isSpace$5=utils$1.isSpace,heading=function(e,r,t,n){var s,o,a,i,l=e.bMarks[r]+e.tShift[r],c=e.eMarks[r];if(e.sCount[r]-e.blkIndent>=4)return!1;if(35!==(s=e.src.charCodeAt(l))||l>=c)return!1;for(o=1,s=e.src.charCodeAt(++l);35===s&&l<c&&o<=6;)o++,s=e.src.charCodeAt(++l);return!(o>6||l<c&&!isSpace$5(s))&&(n||(c=e.skipSpacesBack(c,l),(a=e.skipCharsBack(c,35,l))>l&&isSpace$5(e.src.charCodeAt(a-1))&&(c=a),e.line=r+1,(i=e.push("heading_open","h"+String(o),1)).markup="########".slice(0,o),i.map=[r,e.line],(i=e.push("inline","",0)).content=e.src.slice(l,c).trim(),i.map=[r,e.line],i.children=[],(i=e.push("heading_close","h"+String(o),-1)).markup="########".slice(0,o)),!0)},lheading=function(e,r,t){var n,s,o,a,i,l,c,u,p,h,d=r+1,f=e.md.block.ruler.getRules("paragraph");if(e.sCount[r]-e.blkIndent>=4)return!1;for(h=e.parentType,e.parentType="paragraph";d<t&&!e.isEmpty(d);d++)if(!(e.sCount[d]-e.blkIndent>3)){if(e.sCount[d]>=e.blkIndent&&(l=e.bMarks[d]+e.tShift[d])<(c=e.eMarks[d])&&(45===(p=e.src.charCodeAt(l))||61===p)&&(l=e.skipChars(l,p),(l=e.skipSpaces(l))>=c)){u=61===p?1:2;break}if(!(e.sCount[d]<0)){for(s=!1,o=0,a=f.length;o<a;o++)if(f[o](e,d,t,!0)){s=!0;break}if(s)break}}return!!u&&(n=e.getLines(r,d,e.blkIndent,!1).trim(),e.line=d+1,(i=e.push("heading_open","h"+String(u),1)).markup=String.fromCharCode(p),i.map=[r,e.line],(i=e.push("inline","",0)).content=n,i.map=[r,e.line-1],i.children=[],(i=e.push("heading_close","h"+String(u),-1)).markup=String.fromCharCode(p),e.parentType=h,!0)},paragraph=function(e,r,t){var n,s,o,a,i,l,c=r+1,u=e.md.block.ruler.getRules("paragraph");for(l=e.parentType,e.parentType="paragraph";c<t&&!e.isEmpty(c);c++)if(!(e.sCount[c]-e.blkIndent>3||e.sCount[c]<0)){for(s=!1,o=0,a=u.length;o<a;o++)if(u[o](e,c,t,!0)){s=!0;break}if(s)break}return n=e.getLines(r,c,e.blkIndent,!1).trim(),e.line=c,(i=e.push("paragraph_open","p",1)).map=[r,e.line],(i=e.push("inline","",0)).content=n,i.map=[r,e.line],i.children=[],i=e.push("paragraph_close","p",-1),e.parentType=l,!0},Token$1=token,isSpace$4=utils$1.isSpace;function StateBlock(e,r,t,n){var s,o,a,i,l,c,u,p;for(this.src=e,this.md=r,this.env=t,this.tokens=n,this.bMarks=[],this.eMarks=[],this.tShift=[],this.sCount=[],this.bsCount=[],this.blkIndent=0,this.line=0,this.lineMax=0,this.tight=!1,this.ddIndent=-1,this.listIndent=-1,this.parentType="root",this.level=0,this.result="",p=!1,a=i=c=u=0,l=(o=this.src).length;i<l;i++){if(s=o.charCodeAt(i),!p){if(isSpace$4(s)){c++,9===s?u+=4-u%4:u++;continue}p=!0}10!==s&&i!==l-1||(10!==s&&i++,this.bMarks.push(a),this.eMarks.push(i),this.tShift.push(c),this.sCount.push(u),this.bsCount.push(0),p=!1,c=0,u=0,a=i+1)}this.bMarks.push(o.length),this.eMarks.push(o.length),this.tShift.push(0),this.sCount.push(0),this.bsCount.push(0),this.lineMax=this.bMarks.length-1}StateBlock.prototype.push=function(e,r,t){var n=new Token$1(e,r,t);return n.block=!0,t<0&&this.level--,n.level=this.level,t>0&&this.level++,this.tokens.push(n),n},StateBlock.prototype.isEmpty=function(e){return this.bMarks[e]+this.tShift[e]>=this.eMarks[e]},StateBlock.prototype.skipEmptyLines=function(e){for(var r=this.lineMax;e<r&&!(this.bMarks[e]+this.tShift[e]<this.eMarks[e]);e++);return e},StateBlock.prototype.skipSpaces=function(e){for(var r,t=this.src.length;e<t&&(r=this.src.charCodeAt(e),isSpace$4(r));e++);return e},StateBlock.prototype.skipSpacesBack=function(e,r){if(e<=r)return e;for(;e>r;)if(!isSpace$4(this.src.charCodeAt(--e)))return e+1;return e},StateBlock.prototype.skipChars=function(e,r){for(var t=this.src.length;e<t&&this.src.charCodeAt(e)===r;e++);return e},StateBlock.prototype.skipCharsBack=function(e,r,t){if(e<=t)return e;for(;e>t;)if(r!==this.src.charCodeAt(--e))return e+1;return e},StateBlock.prototype.getLines=function(e,r,t,n){var s,o,a,i,l,c,u,p=e;if(e>=r)return"";for(c=new Array(r-e),s=0;p<r;p++,s++){for(o=0,u=i=this.bMarks[p],l=p+1<r||n?this.eMarks[p]+1:this.eMarks[p];i<l&&o<t;){if(a=this.src.charCodeAt(i),isSpace$4(a))9===a?o+=4-(o+this.bsCount[p])%4:o++;else{if(!(i-u<this.tShift[p]))break;o++}i++}c[s]=o>t?new Array(o-t+1).join(" ")+this.src.slice(i,l):this.src.slice(i,l)}return c.join("")},StateBlock.prototype.Token=Token$1;var state_block=StateBlock,Ruler$1=ruler,_rules$1=[["table",table,["paragraph","reference"]],["code",code],["fence",fence,["paragraph","reference","blockquote","list"]],["blockquote",blockquote,["paragraph","reference","blockquote","list"]],["hr",hr,["paragraph","reference","blockquote","list"]],["list",list,["paragraph","reference","blockquote"]],["reference",reference],["html_block",html_block,["paragraph","reference","blockquote"]],["heading",heading,["paragraph","reference","blockquote"]],["lheading",lheading],["paragraph",paragraph]];function ParserBlock$1(){this.ruler=new Ruler$1;for(var e=0;e<_rules$1.length;e++)this.ruler.push(_rules$1[e][0],_rules$1[e][1],{alt:(_rules$1[e][2]||[]).slice()})}ParserBlock$1.prototype.tokenize=function(e,r,t){for(var n,s,o,a=this.ruler.getRules(""),i=a.length,l=r,c=!1,u=e.md.options.maxNesting;l<t&&(e.line=l=e.skipEmptyLines(l),!(l>=t))&&!(e.sCount[l]<e.blkIndent);){if(e.level>=u){e.line=t;break}for(o=e.line,s=0;s<i;s++)if(n=a[s](e,l,t,!1)){if(o>=e.line)throw new Error("block rule didn't increment state.line");break}if(!n)throw new Error("none of the block rules matched");e.tight=!c,e.isEmpty(e.line-1)&&(c=!0),(l=e.line)<t&&e.isEmpty(l)&&(c=!0,l++,e.line=l)}},ParserBlock$1.prototype.parse=function(e,r,t,n){var s;e&&(s=new this.State(e,r,t,n),this.tokenize(s,s.line,s.lineMax))},ParserBlock$1.prototype.State=state_block;var parser_block=ParserBlock$1;function isTerminatorChar(e){switch(e){case 10:case 33:case 35:case 36:case 37:case 38:case 42:case 43:case 45:case 58:case 60:case 61:case 62:case 64:case 91:case 92:case 93:case 94:case 95:case 96:case 123:case 125:case 126:return!0;default:return!1}}for(var text=function(e,r){for(var t=e.pos;t<e.posMax&&!isTerminatorChar(e.src.charCodeAt(t));)t++;return t!==e.pos&&(r||(e.pending+=e.src.slice(e.pos,t)),e.pos=t,!0)},SCHEME_RE=/(?:^|[^a-z0-9.+-])([a-z][a-z0-9.+-]*)$/i,linkify=function(e,r){var t,n,s,o,a,i,l;return!!e.md.options.linkify&&(!(e.linkLevel>0)&&(!((t=e.pos)+3>e.posMax)&&(58===e.src.charCodeAt(t)&&(47===e.src.charCodeAt(t+1)&&(47===e.src.charCodeAt(t+2)&&(!!(n=e.pending.match(SCHEME_RE))&&(s=n[1],!!(o=e.md.linkify.matchAtStart(e.src.slice(t-s.length)))&&(!((a=o.url).length<=s.length)&&(a=a.replace(/\*+$/,""),i=e.md.normalizeLink(a),!!e.md.validateLink(i)&&(r||(e.pending=e.pending.slice(0,-s.length),(l=e.push("link_open","a",1)).attrs=[["href",i]],l.markup="linkify",l.info="auto",(l=e.push("text","",0)).content=e.md.normalizeLinkText(a),(l=e.push("link_close","a",-1)).markup="linkify",l.info="auto"),e.pos+=a.length-s.length,!0))))))))))},isSpace$3=utils$1.isSpace,newline=function(e,r){var t,n,s,o=e.pos;if(10!==e.src.charCodeAt(o))return!1;if(t=e.pending.length-1,n=e.posMax,!r)if(t>=0&&32===e.pending.charCodeAt(t))if(t>=1&&32===e.pending.charCodeAt(t-1)){for(s=t-1;s>=1&&32===e.pending.charCodeAt(s-1);)s--;e.pending=e.pending.slice(0,s),e.push("hardbreak","br",0)}else e.pending=e.pending.slice(0,-1),e.push("softbreak","br",0);else e.push("softbreak","br",0);for(o++;o<n&&isSpace$3(e.src.charCodeAt(o));)o++;return e.pos=o,!0},isSpace$2=utils$1.isSpace,ESCAPED=[],i=0;i<256;i++)ESCAPED.push(0);"\\!\"#$%&'()*+,./:;<=>?@[]^_`{|}~-".split("").forEach((function(e){ESCAPED[e.charCodeAt(0)]=1}));var _escape=function(e,r){var t,n,s,o,a,i=e.pos,l=e.posMax;if(92!==e.src.charCodeAt(i))return!1;if(++i>=l)return!1;if(10===(t=e.src.charCodeAt(i))){for(r||e.push("hardbreak","br",0),i++;i<l&&(t=e.src.charCodeAt(i),isSpace$2(t));)i++;return e.pos=i,!0}return o=e.src[i],t>=55296&&t<=56319&&i+1<l&&(n=e.src.charCodeAt(i+1))>=56320&&n<=57343&&(o+=e.src[i+1],i++),s="\\"+o,r||(a=e.push("text_special","",0),t<256&&0!==ESCAPED[t]?a.content=o:a.content=s,a.markup=s,a.info="escape"),e.pos=i+1,!0},backticks=function(e,r){var t,n,s,o,a,i,l,c,u=e.pos;if(96!==e.src.charCodeAt(u))return!1;for(t=u,u++,n=e.posMax;u<n&&96===e.src.charCodeAt(u);)u++;if(l=(s=e.src.slice(t,u)).length,e.backticksScanned&&(e.backticks[l]||0)<=t)return r||(e.pending+=s),e.pos+=l,!0;for(i=u;-1!==(a=e.src.indexOf("`",i));){for(i=a+1;i<n&&96===e.src.charCodeAt(i);)i++;if((c=i-a)===l)return r||((o=e.push("code_inline","code",0)).markup=s,o.content=e.src.slice(u,a).replace(/\n/g," ").replace(/^ (.+) $/,"$1")),e.pos=i,!0;e.backticks[c]=a}return e.backticksScanned=!0,r||(e.pending+=s),e.pos+=l,!0},strikethrough={};function postProcess$1(e,r){var t,n,s,o,a,i=[],l=r.length;for(t=0;t<l;t++)126===(s=r[t]).marker&&-1!==s.end&&(o=r[s.end],(a=e.tokens[s.token]).type="s_open",a.tag="s",a.nesting=1,a.markup="~~",a.content="",(a=e.tokens[o.token]).type="s_close",a.tag="s",a.nesting=-1,a.markup="~~",a.content="","text"===e.tokens[o.token-1].type&&"~"===e.tokens[o.token-1].content&&i.push(o.token-1));for(;i.length;){for(n=(t=i.pop())+1;n<e.tokens.length&&"s_close"===e.tokens[n].type;)n++;t!==--n&&(a=e.tokens[n],e.tokens[n]=e.tokens[t],e.tokens[t]=a)}}strikethrough.tokenize=function(e,r){var t,n,s,o,a=e.pos,i=e.src.charCodeAt(a);if(r)return!1;if(126!==i)return!1;if(s=(n=e.scanDelims(e.pos,!0)).length,o=String.fromCharCode(i),s<2)return!1;for(s%2&&(e.push("text","",0).content=o,s--),t=0;t<s;t+=2)e.push("text","",0).content=o+o,e.delimiters.push({marker:i,length:0,token:e.tokens.length-1,end:-1,open:n.can_open,close:n.can_close});return e.pos+=n.length,!0},strikethrough.postProcess=function(e){var r,t=e.tokens_meta,n=e.tokens_meta.length;for(postProcess$1(e,e.delimiters),r=0;r<n;r++)t[r]&&t[r].delimiters&&postProcess$1(e,t[r].delimiters)};var emphasis={};function postProcess(e,r){var t,n,s,o,a,i;for(t=r.length-1;t>=0;t--)95!==(n=r[t]).marker&&42!==n.marker||-1!==n.end&&(s=r[n.end],i=t>0&&r[t-1].end===n.end+1&&r[t-1].marker===n.marker&&r[t-1].token===n.token-1&&r[n.end+1].token===s.token+1,a=String.fromCharCode(n.marker),(o=e.tokens[n.token]).type=i?"strong_open":"em_open",o.tag=i?"strong":"em",o.nesting=1,o.markup=i?a+a:a,o.content="",(o=e.tokens[s.token]).type=i?"strong_close":"em_close",o.tag=i?"strong":"em",o.nesting=-1,o.markup=i?a+a:a,o.content="",i&&(e.tokens[r[t-1].token].content="",e.tokens[r[n.end+1].token].content="",t--))}emphasis.tokenize=function(e,r){var t,n,s=e.pos,o=e.src.charCodeAt(s);if(r)return!1;if(95!==o&&42!==o)return!1;for(n=e.scanDelims(e.pos,42===o),t=0;t<n.length;t++)e.push("text","",0).content=String.fromCharCode(o),e.delimiters.push({marker:o,length:n.length,token:e.tokens.length-1,end:-1,open:n.can_open,close:n.can_close});return e.pos+=n.length,!0},emphasis.postProcess=function(e){var r,t=e.tokens_meta,n=e.tokens_meta.length;for(postProcess(e,e.delimiters),r=0;r<n;r++)t[r]&&t[r].delimiters&&postProcess(e,t[r].delimiters)};var normalizeReference$1=utils$1.normalizeReference,isSpace$1=utils$1.isSpace,link=function(e,r){var t,n,s,o,a,i,l,c,u="",p="",h=e.pos,d=e.posMax,f=e.pos,m=!0;if(91!==e.src.charCodeAt(e.pos))return!1;if(a=e.pos+1,(o=e.md.helpers.parseLinkLabel(e,e.pos,!0))<0)return!1;if((i=o+1)<d&&40===e.src.charCodeAt(i)){for(m=!1,i++;i<d&&(n=e.src.charCodeAt(i),isSpace$1(n)||10===n);i++);if(i>=d)return!1;if(f=i,(l=e.md.helpers.parseLinkDestination(e.src,i,e.posMax)).ok){for(u=e.md.normalizeLink(l.str),e.md.validateLink(u)?i=l.pos:u="",f=i;i<d&&(n=e.src.charCodeAt(i),isSpace$1(n)||10===n);i++);if(l=e.md.helpers.parseLinkTitle(e.src,i,e.posMax),i<d&&f!==i&&l.ok)for(p=l.str,i=l.pos;i<d&&(n=e.src.charCodeAt(i),isSpace$1(n)||10===n);i++);}(i>=d||41!==e.src.charCodeAt(i))&&(m=!0),i++}if(m){if(void 0===e.env.references)return!1;if(i<d&&91===e.src.charCodeAt(i)?(f=i+1,(i=e.md.helpers.parseLinkLabel(e,i))>=0?s=e.src.slice(f,i++):i=o+1):i=o+1,s||(s=e.src.slice(a,o)),!(c=e.env.references[normalizeReference$1(s)]))return e.pos=h,!1;u=c.href,p=c.title}return r||(e.pos=a,e.posMax=o,e.push("link_open","a",1).attrs=t=[["href",u]],p&&t.push(["title",p]),e.linkLevel++,e.md.inline.tokenize(e),e.linkLevel--,e.push("link_close","a",-1)),e.pos=i,e.posMax=d,!0},normalizeReference=utils$1.normalizeReference,isSpace=utils$1.isSpace,image=function(e,r){var t,n,s,o,a,i,l,c,u,p,h,d,f,m="",g=e.pos,_=e.posMax;if(33!==e.src.charCodeAt(e.pos))return!1;if(91!==e.src.charCodeAt(e.pos+1))return!1;if(i=e.pos+2,(a=e.md.helpers.parseLinkLabel(e,e.pos+1,!1))<0)return!1;if((l=a+1)<_&&40===e.src.charCodeAt(l)){for(l++;l<_&&(n=e.src.charCodeAt(l),isSpace(n)||10===n);l++);if(l>=_)return!1;for(f=l,(u=e.md.helpers.parseLinkDestination(e.src,l,e.posMax)).ok&&(m=e.md.normalizeLink(u.str),e.md.validateLink(m)?l=u.pos:m=""),f=l;l<_&&(n=e.src.charCodeAt(l),isSpace(n)||10===n);l++);if(u=e.md.helpers.parseLinkTitle(e.src,l,e.posMax),l<_&&f!==l&&u.ok)for(p=u.str,l=u.pos;l<_&&(n=e.src.charCodeAt(l),isSpace(n)||10===n);l++);else p="";if(l>=_||41!==e.src.charCodeAt(l))return e.pos=g,!1;l++}else{if(void 0===e.env.references)return!1;if(l<_&&91===e.src.charCodeAt(l)?(f=l+1,(l=e.md.helpers.parseLinkLabel(e,l))>=0?o=e.src.slice(f,l++):l=a+1):l=a+1,o||(o=e.src.slice(i,a)),!(c=e.env.references[normalizeReference(o)]))return e.pos=g,!1;m=c.href,p=c.title}return r||(s=e.src.slice(i,a),e.md.inline.parse(s,e.md,e.env,d=[]),(h=e.push("image","img",0)).attrs=t=[["src",m],["alt",""]],h.children=d,h.content=s,p&&t.push(["title",p])),e.pos=l,e.posMax=_,!0},EMAIL_RE=/^([a-zA-Z0-9.!#$%&'*+\/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*)$/,AUTOLINK_RE=/^([a-zA-Z][a-zA-Z0-9+.\-]{1,31}):([^<>\x00-\x20]*)$/,autolink=function(e,r){var t,n,s,o,a,i,l=e.pos;if(60!==e.src.charCodeAt(l))return!1;for(a=e.pos,i=e.posMax;;){if(++l>=i)return!1;if(60===(o=e.src.charCodeAt(l)))return!1;if(62===o)break}return t=e.src.slice(a+1,l),AUTOLINK_RE.test(t)?(n=e.md.normalizeLink(t),!!e.md.validateLink(n)&&(r||((s=e.push("link_open","a",1)).attrs=[["href",n]],s.markup="autolink",s.info="auto",(s=e.push("text","",0)).content=e.md.normalizeLinkText(t),(s=e.push("link_close","a",-1)).markup="autolink",s.info="auto"),e.pos+=t.length+2,!0)):!!EMAIL_RE.test(t)&&(n=e.md.normalizeLink("mailto:"+t),!!e.md.validateLink(n)&&(r||((s=e.push("link_open","a",1)).attrs=[["href",n]],s.markup="autolink",s.info="auto",(s=e.push("text","",0)).content=e.md.normalizeLinkText(t),(s=e.push("link_close","a",-1)).markup="autolink",s.info="auto"),e.pos+=t.length+2,!0))},HTML_TAG_RE=html_re.HTML_TAG_RE;function isLinkOpen(e){return/^<a[>\s]/i.test(e)}function isLinkClose(e){return/^<\/a\s*>/i.test(e)}function isLetter(e){var r=32|e;return r>=97&&r<=122}var html_inline=function(e,r){var t,n,s,o,a=e.pos;return!!e.md.options.html&&(s=e.posMax,!(60!==e.src.charCodeAt(a)||a+2>=s)&&(!(33!==(t=e.src.charCodeAt(a+1))&&63!==t&&47!==t&&!isLetter(t))&&(!!(n=e.src.slice(a).match(HTML_TAG_RE))&&(r||((o=e.push("html_inline","",0)).content=n[0],isLinkOpen(o.content)&&e.linkLevel++,isLinkClose(o.content)&&e.linkLevel--),e.pos+=n[0].length,!0))))},entities=entities$1,has=utils$1.has,isValidEntityCode=utils$1.isValidEntityCode,fromCodePoint=utils$1.fromCodePoint,DIGITAL_RE=/^&#((?:x[a-f0-9]{1,6}|[0-9]{1,7}));/i,NAMED_RE=/^&([a-z][a-z0-9]{1,31});/i,entity=function(e,r){var t,n,s,o=e.pos,a=e.posMax;if(38!==e.src.charCodeAt(o))return!1;if(o+1>=a)return!1;if(35===e.src.charCodeAt(o+1)){if(n=e.src.slice(o).match(DIGITAL_RE))return r||(t="x"===n[1][0].toLowerCase()?parseInt(n[1].slice(1),16):parseInt(n[1],10),(s=e.push("text_special","",0)).content=isValidEntityCode(t)?fromCodePoint(t):fromCodePoint(65533),s.markup=n[0],s.info="entity"),e.pos+=n[0].length,!0}else if((n=e.src.slice(o).match(NAMED_RE))&&has(entities,n[1]))return r||((s=e.push("text_special","",0)).content=entities[n[1]],s.markup=n[0],s.info="entity"),e.pos+=n[0].length,!0;return!1};function processDelimiters(e){var r,t,n,s,o,a,i,l,c={},u=e.length;if(u){var p=0,h=-2,d=[];for(r=0;r<u;r++)if(n=e[r],d.push(0),e[p].marker===n.marker&&h===n.token-1||(p=r),h=n.token,n.length=n.length||0,n.close){for(c.hasOwnProperty(n.marker)||(c[n.marker]=[-1,-1,-1,-1,-1,-1]),o=c[n.marker][(n.open?3:0)+n.length%3],a=t=p-d[p]-1;t>o;t-=d[t]+1)if((s=e[t]).marker===n.marker&&s.open&&s.end<0&&(i=!1,(s.close||n.open)&&(s.length+n.length)%3==0&&(s.length%3==0&&n.length%3==0||(i=!0)),!i)){l=t>0&&!e[t-1].open?d[t-1]+1:0,d[r]=r-t+l,d[t]=l,n.open=!1,s.end=r,s.close=!1,a=-1,h=-2;break}-1!==a&&(c[n.marker][(n.open?3:0)+(n.length||0)%3]=a)}}}var balance_pairs=function(e){var r,t=e.tokens_meta,n=e.tokens_meta.length;for(processDelimiters(e.delimiters),r=0;r<n;r++)t[r]&&t[r].delimiters&&processDelimiters(t[r].delimiters)},fragments_join=function(e){var r,t,n=0,s=e.tokens,o=e.tokens.length;for(r=t=0;r<o;r++)s[r].nesting<0&&n--,s[r].level=n,s[r].nesting>0&&n++,"text"===s[r].type&&r+1<o&&"text"===s[r+1].type?s[r+1].content=s[r].content+s[r+1].content:(r!==t&&(s[t]=s[r]),t++);r!==t&&(s.length=t)},Token=token,isWhiteSpace=utils$1.isWhiteSpace,isPunctChar=utils$1.isPunctChar,isMdAsciiPunct=utils$1.isMdAsciiPunct;function StateInline(e,r,t,n){this.src=e,this.env=t,this.md=r,this.tokens=n,this.tokens_meta=Array(n.length),this.pos=0,this.posMax=this.src.length,this.level=0,this.pending="",this.pendingLevel=0,this.cache={},this.delimiters=[],this._prev_delimiters=[],this.backticks={},this.backticksScanned=!1,this.linkLevel=0}StateInline.prototype.pushPending=function(){var e=new Token("text","",0);return e.content=this.pending,e.level=this.pendingLevel,this.tokens.push(e),this.pending="",e},StateInline.prototype.push=function(e,r,t){this.pending&&this.pushPending();var n=new Token(e,r,t),s=null;return t<0&&(this.level--,this.delimiters=this._prev_delimiters.pop()),n.level=this.level,t>0&&(this.level++,this._prev_delimiters.push(this.delimiters),this.delimiters=[],s={delimiters:this.delimiters}),this.pendingLevel=this.level,this.tokens.push(n),this.tokens_meta.push(s),n},StateInline.prototype.scanDelims=function(e,r){var t,n,s,o,a,i,l,c,u,p=e,h=!0,d=!0,f=this.posMax,m=this.src.charCodeAt(e);for(t=e>0?this.src.charCodeAt(e-1):32;p<f&&this.src.charCodeAt(p)===m;)p++;return s=p-e,n=p<f?this.src.charCodeAt(p):32,l=isMdAsciiPunct(t)||isPunctChar(String.fromCharCode(t)),u=isMdAsciiPunct(n)||isPunctChar(String.fromCharCode(n)),i=isWhiteSpace(t),(c=isWhiteSpace(n))?h=!1:u&&(i||l||(h=!1)),i?d=!1:l&&(c||u||(d=!1)),r?(o=h,a=d):(o=h&&(!d||l),a=d&&(!h||u)),{can_open:o,can_close:a,length:s}},StateInline.prototype.Token=Token;var state_inline=StateInline,Ruler=ruler,_rules=[["text",text],["linkify",linkify],["newline",newline],["escape",_escape],["backticks",backticks],["strikethrough",strikethrough.tokenize],["emphasis",emphasis.tokenize],["link",link],["image",image],["autolink",autolink],["html_inline",html_inline],["entity",entity]],_rules2=[["balance_pairs",balance_pairs],["strikethrough",strikethrough.postProcess],["emphasis",emphasis.postProcess],["fragments_join",fragments_join]];function ParserInline$1(){var e;for(this.ruler=new Ruler,e=0;e<_rules.length;e++)this.ruler.push(_rules[e][0],_rules[e][1]);for(this.ruler2=new Ruler,e=0;e<_rules2.length;e++)this.ruler2.push(_rules2[e][0],_rules2[e][1])}ParserInline$1.prototype.skipToken=function(e){var r,t,n=e.pos,s=this.ruler.getRules(""),o=s.length,a=e.md.options.maxNesting,i=e.cache;if(void 0===i[n]){if(e.level<a){for(t=0;t<o;t++)if(e.level++,r=s[t](e,!0),e.level--,r){if(n>=e.pos)throw new Error("inline rule didn't increment state.pos");break}}else e.pos=e.posMax;r||e.pos++,i[n]=e.pos}else e.pos=i[n]},ParserInline$1.prototype.tokenize=function(e){for(var r,t,n,s=this.ruler.getRules(""),o=s.length,a=e.posMax,i=e.md.options.maxNesting;e.pos<a;){if(n=e.pos,e.level<i)for(t=0;t<o;t++)if(r=s[t](e,!1)){if(n>=e.pos)throw new Error("inline rule didn't increment state.pos");break}if(r){if(e.pos>=a)break}else e.pending+=e.src[e.pos++]}e.pending&&e.pushPending()},ParserInline$1.prototype.parse=function(e,r,t,n){var s,o,a,i=new this.State(e,r,t,n);for(this.tokenize(i),a=(o=this.ruler2.getRules("")).length,s=0;s<a;s++)o[s](i)},ParserInline$1.prototype.State=state_inline;var parser_inline=ParserInline$1,re=function(e){var r={};e=e||{},r.src_Any=regex$3.source,r.src_Cc=regex$2.source,r.src_Z=regex.source,r.src_P=regex$4.source,r.src_ZPCc=[r.src_Z,r.src_P,r.src_Cc].join("|"),r.src_ZCc=[r.src_Z,r.src_Cc].join("|");var t="[><｜]";return r.src_pseudo_letter="(?:(?![><｜]|"+r.src_ZPCc+")"+r.src_Any+")",r.src_ip4="(?:(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)",r.src_auth="(?:(?:(?!"+r.src_ZCc+"|[@/\\[\\]()]).)+@)?",r.src_port="(?::(?:6(?:[0-4]\\d{3}|5(?:[0-4]\\d{2}|5(?:[0-2]\\d|3[0-5])))|[1-5]?\\d{1,4}))?",r.src_host_terminator="(?=$|[><｜]|"+r.src_ZPCc+")(?!"+(e["---"]?"-(?!--)|":"-|")+"_|:\\d|\\.-|\\.(?!$|"+r.src_ZPCc+"))",r.src_path="(?:[/?#](?:(?!"+r.src_ZCc+"|"+t+"|[()[\\]{}.,\"'?!\\-;]).|\\[(?:(?!"+r.src_ZCc+"|\\]).)*\\]|\\((?:(?!"+r.src_ZCc+"|[)]).)*\\)|\\{(?:(?!"+r.src_ZCc+'|[}]).)*\\}|\\"(?:(?!'+r.src_ZCc+'|["]).)+\\"|\\\'(?:(?!'+r.src_ZCc+"|[']).)+\\'|\\'(?="+r.src_pseudo_letter+"|[-])|\\.{2,}[a-zA-Z0-9%/&]|\\.(?!"+r.src_ZCc+"|[.]|$)|"+(e["---"]?"\\-(?!--(?:[^-]|$))(?:-*)|":"\\-+|")+",(?!"+r.src_ZCc+"|$)|;(?!"+r.src_ZCc+"|$)|\\!+(?!"+r.src_ZCc+"|[!]|$)|\\?(?!"+r.src_ZCc+"|[?]|$))+|\\/)?",r.src_email_name='[\\-;:&=\\+\\$,\\.a-zA-Z0-9_][\\-;:&=\\+\\$,\\"\\.a-zA-Z0-9_]*',r.src_xn="xn--[a-z0-9\\-]{1,59}",r.src_domain_root="(?:"+r.src_xn+"|"+r.src_pseudo_letter+"{1,63})",r.src_domain="(?:"+r.src_xn+"|(?:"+r.src_pseudo_letter+")|(?:"+r.src_pseudo_letter+"(?:-|"+r.src_pseudo_letter+"){0,61}"+r.src_pseudo_letter+"))",r.src_host="(?:(?:(?:(?:"+r.src_domain+")\\.)*"+r.src_domain+"))",r.tpl_host_fuzzy="(?:"+r.src_ip4+"|(?:(?:(?:"+r.src_domain+")\\.)+(?:%TLDS%)))",r.tpl_host_no_ip_fuzzy="(?:(?:(?:"+r.src_domain+")\\.)+(?:%TLDS%))",r.src_host_strict=r.src_host+r.src_host_terminator,r.tpl_host_fuzzy_strict=r.tpl_host_fuzzy+r.src_host_terminator,r.src_host_port_strict=r.src_host+r.src_port+r.src_host_terminator,r.tpl_host_port_fuzzy_strict=r.tpl_host_fuzzy+r.src_port+r.src_host_terminator,r.tpl_host_port_no_ip_fuzzy_strict=r.tpl_host_no_ip_fuzzy+r.src_port+r.src_host_terminator,r.tpl_host_fuzzy_test="localhost|www\\.|\\.\\d{1,3}\\.|(?:\\.(?:%TLDS%)(?:"+r.src_ZPCc+"|>|$))",r.tpl_email_fuzzy='(^|[><｜]|"|\\(|'+r.src_ZCc+")("+r.src_email_name+"@"+r.tpl_host_fuzzy_strict+")",r.tpl_link_fuzzy="(^|(?![.:/\\-_@])(?:[$+<=>^`|｜]|"+r.src_ZPCc+"))((?![$+<=>^`|｜])"+r.tpl_host_port_fuzzy_strict+r.src_path+")",r.tpl_link_no_ip_fuzzy="(^|(?![.:/\\-_@])(?:[$+<=>^`|｜]|"+r.src_ZPCc+"))((?![$+<=>^`|｜])"+r.tpl_host_port_no_ip_fuzzy_strict+r.src_path+")",r};function assign(e){return Array.prototype.slice.call(arguments,1).forEach((function(r){r&&Object.keys(r).forEach((function(t){e[t]=r[t]}))})),e}function _class(e){return Object.prototype.toString.call(e)}function isString(e){return"[object String]"===_class(e)}function isObject(e){return"[object Object]"===_class(e)}function isRegExp(e){return"[object RegExp]"===_class(e)}function isFunction(e){return"[object Function]"===_class(e)}function escapeRE(e){return e.replace(/[.?*+^$[\]\\(){}|-]/g,"\\$&")}var defaultOptions={fuzzyLink:!0,fuzzyEmail:!0,fuzzyIP:!1};function isOptionsObj(e){return Object.keys(e||{}).reduce((function(e,r){return e||defaultOptions.hasOwnProperty(r)}),!1)}var defaultSchemas={"http:":{validate:function(e,r,t){var n=e.slice(r);return t.re.http||(t.re.http=new RegExp("^\\/\\/"+t.re.src_auth+t.re.src_host_port_strict+t.re.src_path,"i")),t.re.http.test(n)?n.match(t.re.http)[0].length:0}},"https:":"http:","ftp:":"http:","//":{validate:function(e,r,t){var n=e.slice(r);return t.re.no_http||(t.re.no_http=new RegExp("^"+t.re.src_auth+"(?:localhost|(?:(?:"+t.re.src_domain+")\\.)+"+t.re.src_domain_root+")"+t.re.src_port+t.re.src_host_terminator+t.re.src_path,"i")),t.re.no_http.test(n)?r>=3&&":"===e[r-3]||r>=3&&"/"===e[r-3]?0:n.match(t.re.no_http)[0].length:0}},"mailto:":{validate:function(e,r,t){var n=e.slice(r);return t.re.mailto||(t.re.mailto=new RegExp("^"+t.re.src_email_name+"@"+t.re.src_host_strict,"i")),t.re.mailto.test(n)?n.match(t.re.mailto)[0].length:0}}},tlds_2ch_src_re="a[cdefgilmnoqrstuwxz]|b[abdefghijmnorstvwyz]|c[acdfghiklmnoruvwxyz]|d[ejkmoz]|e[cegrstu]|f[ijkmor]|g[abdefghilmnpqrstuwy]|h[kmnrtu]|i[delmnoqrst]|j[emop]|k[eghimnprwyz]|l[abcikrstuvy]|m[acdeghklmnopqrstuvwxyz]|n[acefgilopruz]|om|p[aefghklmnrstwy]|qa|r[eosuw]|s[abcdeghijklmnortuvxyz]|t[cdfghjklmnortvwz]|u[agksyz]|v[aceginu]|w[fs]|y[et]|z[amw]",tlds_default="biz|com|edu|gov|net|org|pro|web|xxx|aero|asia|coop|info|museum|name|shop|рф".split("|");function resetScanCache(e){e.__index__=-1,e.__text_cache__=""}function createValidator(e){return function(r,t){var n=r.slice(t);return e.test(n)?n.match(e)[0].length:0}}function createNormalizer(){return function(e,r){r.normalize(e)}}function compile(e){var r=e.re=re(e.__opts__),t=e.__tlds__.slice();function n(e){return e.replace("%TLDS%",r.src_tlds)}e.onCompile(),e.__tlds_replaced__||t.push(tlds_2ch_src_re),t.push(r.src_xn),r.src_tlds=t.join("|"),r.email_fuzzy=RegExp(n(r.tpl_email_fuzzy),"i"),r.link_fuzzy=RegExp(n(r.tpl_link_fuzzy),"i"),r.link_no_ip_fuzzy=RegExp(n(r.tpl_link_no_ip_fuzzy),"i"),r.host_fuzzy_test=RegExp(n(r.tpl_host_fuzzy_test),"i");var s=[];function o(e,r){throw new Error('(LinkifyIt) Invalid schema "'+e+'": '+r)}e.__compiled__={},Object.keys(e.__schemas__).forEach((function(r){var t=e.__schemas__[r];if(null!==t){var n={validate:null,link:null};if(e.__compiled__[r]=n,isObject(t))return isRegExp(t.validate)?n.validate=createValidator(t.validate):isFunction(t.validate)?n.validate=t.validate:o(r,t),void(isFunction(t.normalize)?n.normalize=t.normalize:t.normalize?o(r,t):n.normalize=createNormalizer());isString(t)?s.push(r):o(r,t)}})),s.forEach((function(r){e.__compiled__[e.__schemas__[r]]&&(e.__compiled__[r].validate=e.__compiled__[e.__schemas__[r]].validate,e.__compiled__[r].normalize=e.__compiled__[e.__schemas__[r]].normalize)})),e.__compiled__[""]={validate:null,normalize:createNormalizer()};var a=Object.keys(e.__compiled__).filter((function(r){return r.length>0&&e.__compiled__[r]})).map(escapeRE).join("|");e.re.schema_test=RegExp("(^|(?!_)(?:[><｜]|"+r.src_ZPCc+"))("+a+")","i"),e.re.schema_search=RegExp("(^|(?!_)(?:[><｜]|"+r.src_ZPCc+"))("+a+")","ig"),e.re.schema_at_start=RegExp("^"+e.re.schema_search.source,"i"),e.re.pretest=RegExp("("+e.re.schema_test.source+")|("+e.re.host_fuzzy_test.source+")|@","i"),resetScanCache(e)}function Match(e,r){var t=e.__index__,n=e.__last_index__,s=e.__text_cache__.slice(t,n);this.schema=e.__schema__.toLowerCase(),this.index=t+r,this.lastIndex=n+r,this.raw=s,this.text=s,this.url=s}function createMatch(e,r){var t=new Match(e,r);return e.__compiled__[t.schema].normalize(t,e),t}function LinkifyIt$1(e,r){if(!(this instanceof LinkifyIt$1))return new LinkifyIt$1(e,r);r||isOptionsObj(e)&&(r=e,e={}),this.__opts__=assign({},defaultOptions,r),this.__index__=-1,this.__last_index__=-1,this.__schema__="",this.__text_cache__="",this.__schemas__=assign({},defaultSchemas,e),this.__compiled__={},this.__tlds__=tlds_default,this.__tlds_replaced__=!1,this.re={},compile(this)}LinkifyIt$1.prototype.add=function(e,r){return this.__schemas__[e]=r,compile(this),this},LinkifyIt$1.prototype.set=function(e){return this.__opts__=assign(this.__opts__,e),this},LinkifyIt$1.prototype.test=function(e){if(this.__text_cache__=e,this.__index__=-1,!e.length)return!1;var r,t,n,s,o,a,i,l;if(this.re.schema_test.test(e))for((i=this.re.schema_search).lastIndex=0;null!==(r=i.exec(e));)if(s=this.testSchemaAt(e,r[2],i.lastIndex)){this.__schema__=r[2],this.__index__=r.index+r[1].length,this.__last_index__=r.index+r[0].length+s;break}return this.__opts__.fuzzyLink&&this.__compiled__["http:"]&&(l=e.search(this.re.host_fuzzy_test))>=0&&(this.__index__<0||l<this.__index__)&&null!==(t=e.match(this.__opts__.fuzzyIP?this.re.link_fuzzy:this.re.link_no_ip_fuzzy))&&(o=t.index+t[1].length,(this.__index__<0||o<this.__index__)&&(this.__schema__="",this.__index__=o,this.__last_index__=t.index+t[0].length)),this.__opts__.fuzzyEmail&&this.__compiled__["mailto:"]&&e.indexOf("@")>=0&&null!==(n=e.match(this.re.email_fuzzy))&&(o=n.index+n[1].length,a=n.index+n[0].length,(this.__index__<0||o<this.__index__||o===this.__index__&&a>this.__last_index__)&&(this.__schema__="mailto:",this.__index__=o,this.__last_index__=a)),this.__index__>=0},LinkifyIt$1.prototype.pretest=function(e){return this.re.pretest.test(e)},LinkifyIt$1.prototype.testSchemaAt=function(e,r,t){return this.__compiled__[r.toLowerCase()]?this.__compiled__[r.toLowerCase()].validate(e,t,this):0},LinkifyIt$1.prototype.match=function(e){var r=0,t=[];this.__index__>=0&&this.__text_cache__===e&&(t.push(createMatch(this,r)),r=this.__last_index__);for(var n=r?e.slice(r):e;this.test(n);)t.push(createMatch(this,r)),n=n.slice(this.__last_index__),r+=this.__last_index__;return t.length?t:null},LinkifyIt$1.prototype.matchAtStart=function(e){if(this.__text_cache__=e,this.__index__=-1,!e.length)return null;var r=this.re.schema_at_start.exec(e);if(!r)return null;var t=this.testSchemaAt(e,r[2],r[0].length);return t?(this.__schema__=r[2],this.__index__=r.index+r[1].length,this.__last_index__=r.index+r[0].length+t,createMatch(this,0)):null},LinkifyIt$1.prototype.tlds=function(e,r){return e=Array.isArray(e)?e:[e],r?(this.__tlds__=this.__tlds__.concat(e).sort().filter((function(e,r,t){return e!==t[r-1]})).reverse(),compile(this),this):(this.__tlds__=e.slice(),this.__tlds_replaced__=!0,compile(this),this)},LinkifyIt$1.prototype.normalize=function(e){e.schema||(e.url="http://"+e.url),"mailto:"!==e.schema||/^mailto:/i.test(e.url)||(e.url="mailto:"+e.url)},LinkifyIt$1.prototype.onCompile=function(){};var linkifyIt=LinkifyIt$1;const maxInt=2147483647,base=36,tMin=1,tMax=26,skew=38,damp=700,initialBias=72,initialN=128,delimiter="-",regexPunycode=/^xn--/,regexNonASCII=/[^\0-\x7F]/,regexSeparators=/[\x2E\u3002\uFF0E\uFF61]/g,errors={overflow:"Overflow: input needs wider integers to process","not-basic":"Illegal input >= 0x80 (not a basic code point)","invalid-input":"Invalid input"},baseMinusTMin=35,floor=Math.floor,stringFromCharCode=String.fromCharCode;function error(e){throw new RangeError(errors[e])}function map(e,r){const t=[];let n=e.length;for(;n--;)t[n]=r(e[n]);return t}function mapDomain(e,r){const t=e.split("@");let n="";t.length>1&&(n=t[0]+"@",e=t[1]);return n+map((e=e.replace(regexSeparators,".")).split("."),r).join(".")}function ucs2decode(e){const r=[];let t=0;const n=e.length;for(;t<n;){const s=e.charCodeAt(t++);if(s>=55296&&s<=56319&&t<n){const n=e.charCodeAt(t++);56320==(64512&n)?r.push(((1023&s)<<10)+(1023&n)+65536):(r.push(s),t--)}else r.push(s)}return r}const ucs2encode=e=>String.fromCodePoint(...e),basicToDigit=function(e){return e>=48&&e<58?e-48+26:e>=65&&e<91?e-65:e>=97&&e<123?e-97:36},digitToBasic=function(e,r){return e+22+75*(e<26)-((0!=r)<<5)},adapt=function(e,r,t){let n=0;for(e=t?floor(e/700):e>>1,e+=floor(e/r);e>455;n+=36)e=floor(e/35);return floor(n+36*e/(e+38))},decode=function(e){const r=[],t=e.length;let n=0,s=128,o=72,a=e.lastIndexOf("-");a<0&&(a=0);for(let t=0;t<a;++t)e.charCodeAt(t)>=128&&error("not-basic"),r.push(e.charCodeAt(t));for(let i=a>0?a+1:0;i<t;){const a=n;for(let r=1,s=36;;s+=36){i>=t&&error("invalid-input");const a=basicToDigit(e.charCodeAt(i++));a>=36&&error("invalid-input"),a>floor((maxInt-n)/r)&&error("overflow"),n+=a*r;const l=s<=o?1:s>=o+26?26:s-o;if(a<l)break;const c=36-l;r>floor(maxInt/c)&&error("overflow"),r*=c}const l=r.length+1;o=adapt(n-a,l,0==a),floor(n/l)>maxInt-s&&error("overflow"),s+=floor(n/l),n%=l,r.splice(n++,0,s)}return String.fromCodePoint(...r)},encode=function(e){const r=[],t=(e=ucs2decode(e)).length;let n=128,s=0,o=72;for(const t of e)t<128&&r.push(stringFromCharCode(t));const a=r.length;let i=a;for(a&&r.push("-");i<t;){let t=maxInt;for(const r of e)r>=n&&r<t&&(t=r);const l=i+1;t-n>floor((maxInt-s)/l)&&error("overflow"),s+=(t-n)*l,n=t;for(const t of e)if(t<n&&++s>maxInt&&error("overflow"),t===n){let e=s;for(let t=36;;t+=36){const n=t<=o?1:t>=o+26?26:t-o;if(e<n)break;const s=e-n,a=36-n;r.push(stringFromCharCode(digitToBasic(n+s%a,0))),e=floor(s/a)}r.push(stringFromCharCode(digitToBasic(e,0))),o=adapt(s,l,i===a),s=0,++i}++s,++n}return r.join("")},toUnicode=function(e){return mapDomain(e,(function(e){return regexPunycode.test(e)?decode(e.slice(4).toLowerCase()):e}))},toASCII=function(e){return mapDomain(e,(function(e){return regexNonASCII.test(e)?"xn--"+encode(e):e}))},punycode$1={version:"2.1.0",ucs2:{decode:ucs2decode,encode:ucs2encode},decode:decode,encode:encode,toASCII:toASCII,toUnicode:toUnicode};var punycode_1=punycode$1,_default={options:{html:!1,xhtmlOut:!1,breaks:!1,langPrefix:"language-",linkify:!1,typographer:!1,quotes:"“”‘’",highlight:null,maxNesting:100},components:{core:{},block:{},inline:{}}},zero={options:{html:!1,xhtmlOut:!1,breaks:!1,langPrefix:"language-",linkify:!1,typographer:!1,quotes:"“”‘’",highlight:null,maxNesting:20},components:{core:{rules:["normalize","block","inline","text_join"]},block:{rules:["paragraph"]},inline:{rules:["text"],rules2:["balance_pairs","fragments_join"]}}},commonmark={options:{html:!0,xhtmlOut:!0,breaks:!1,langPrefix:"language-",linkify:!1,typographer:!1,quotes:"“”‘’",highlight:null,maxNesting:20},components:{core:{rules:["normalize","block","inline","text_join"]},block:{rules:["blockquote","code","fence","heading","hr","html_block","lheading","list","reference","paragraph"]},inline:{rules:["autolink","backticks","emphasis","entity","escape","html_inline","image","link","newline","text"],rules2:["balance_pairs","emphasis","fragments_join"]}}},utils=utils$1,helpers=helpers$1,Renderer=renderer,ParserCore=parser_core,ParserBlock=parser_block,ParserInline=parser_inline,LinkifyIt=linkifyIt,mdurl=mdurl$1,punycode=punycode_1,config={default:_default,zero:zero,commonmark:commonmark},BAD_PROTO_RE=/^(vbscript|javascript|file|data):/,GOOD_DATA_RE=/^data:image\/(gif|png|jpeg|webp);/;function validateLink(e){var r=e.trim().toLowerCase();return!BAD_PROTO_RE.test(r)||!!GOOD_DATA_RE.test(r)}var RECODE_HOSTNAME_FOR=["http:","https:","mailto:"];function normalizeLink(e){var r=mdurl.parse(e,!0);if(r.hostname&&(!r.protocol||RECODE_HOSTNAME_FOR.indexOf(r.protocol)>=0))try{r.hostname=punycode.toASCII(r.hostname)}catch(e){}return mdurl.encode(mdurl.format(r))}function normalizeLinkText(e){var r=mdurl.parse(e,!0);if(r.hostname&&(!r.protocol||RECODE_HOSTNAME_FOR.indexOf(r.protocol)>=0))try{r.hostname=punycode.toUnicode(r.hostname)}catch(e){}return mdurl.decode(mdurl.format(r),mdurl.decode.defaultChars+"%")}function MarkdownIt(e,r){if(!(this instanceof MarkdownIt))return new MarkdownIt(e,r);r||utils.isString(e)||(r=e||{},e="default"),this.inline=new ParserInline,this.block=new ParserBlock,this.core=new ParserCore,this.renderer=new Renderer,this.linkify=new LinkifyIt,this.validateLink=validateLink,this.normalizeLink=normalizeLink,this.normalizeLinkText=normalizeLinkText,this.utils=utils,this.helpers=utils.assign({},helpers),this.options={},this.configure(e),r&&this.set(r)}MarkdownIt.prototype.set=function(e){return utils.assign(this.options,e),this},MarkdownIt.prototype.configure=function(e){var r,t=this;if(utils.isString(e)&&!(e=config[r=e]))throw new Error('Wrong `markdown-it` preset "'+r+'", check name');if(!e)throw new Error("Wrong `markdown-it` preset, can't be empty");return e.options&&t.set(e.options),e.components&&Object.keys(e.components).forEach((function(r){e.components[r].rules&&t[r].ruler.enableOnly(e.components[r].rules),e.components[r].rules2&&t[r].ruler2.enableOnly(e.components[r].rules2)})),this},MarkdownIt.prototype.enable=function(e,r){var t=[];Array.isArray(e)||(e=[e]),["core","block","inline"].forEach((function(r){t=t.concat(this[r].ruler.enable(e,!0))}),this),t=t.concat(this.inline.ruler2.enable(e,!0));var n=e.filter((function(e){return t.indexOf(e)<0}));if(n.length&&!r)throw new Error("MarkdownIt. Failed to enable unknown rule(s): "+n);return this},MarkdownIt.prototype.disable=function(e,r){var t=[];Array.isArray(e)||(e=[e]),["core","block","inline"].forEach((function(r){t=t.concat(this[r].ruler.disable(e,!0))}),this),t=t.concat(this.inline.ruler2.disable(e,!0));var n=e.filter((function(e){return t.indexOf(e)<0}));if(n.length&&!r)throw new Error("MarkdownIt. Failed to disable unknown rule(s): "+n);return this},MarkdownIt.prototype.use=function(e){var r=[this].concat(Array.prototype.slice.call(arguments,1));return e.apply(e,r),this},MarkdownIt.prototype.parse=function(e,r){if("string"!=typeof e)throw new Error("Input data should be a String");var t=new this.core.State(e,this,r);return this.core.process(t),t.tokens},MarkdownIt.prototype.render=function(e,r){return r=r||{},this.renderer.render(this.parse(e,r),this.options,r)},MarkdownIt.prototype.parseInline=function(e,r){var t=new this.core.State(e,this,r);return t.inlineMode=!0,this.core.process(t),t.tokens},MarkdownIt.prototype.renderInline=function(e,r){return r=r||{},this.renderer.render(this.parseInline(e,r),this.options,r)};var lib=MarkdownIt,markdownIt=lib;const markdown=new markdownIt,md=e=>markdown.renderInline(e),InternalUnderlinedAccessKey=({accessKey:e,label:r})=>{let[t,...n]=r.split(e);return 0===n.length&&(e=e.toUpperCase(),[t,...n]=r.split(e)),0===n.length&&(e=e.toLowerCase(),[t,...n]=r.split(e)),h(Fragment,null,t,n.length?h(Fragment,null,h("u",null,e),n.join(e)):null)},KolSpanWc=proxyCustomElement(class extends HTMLElement{constructor(){super(),this.__registerHost(),this._accessKey=void 0,this._allowMarkdown=!1,this._hideLabel=!1,this._icons={},this._label=void 0,this.state={_allowMarkdown:!1,_hideLabel:!1,_icons:{},_label:""}}render(){var e,r,t,n,s;const o=!showExpertSlot(this.state._label);return h(Host,{class:{"hide-label":!!this.state._hideLabel}},this.state._icons.top&&h("kol-icon",{class:"icon top",style:this.state._icons.top.style,_label:null!==(e=this.state._icons.top.label)&&void 0!==e?e:"",_icons:this.state._icons.top.icon}),h("span",null,this.state._icons.left&&h("kol-icon",{class:"icon left",style:this.state._icons.left.style,_label:null!==(r=this.state._icons.left.label)&&void 0!==r?r:"",_icons:this.state._icons.left.icon}),!this.state._hideLabel&&o?this.state._allowMarkdown&&"string"==typeof this.state._label&&this.state._label.length>0?h("span",{class:"span-label md",innerHTML:md(this.state._label)}):h("span",{class:"span-label"},this.state._accessKey&&this.state._label.length?h(InternalUnderlinedAccessKey,{label:this.state._label,accessKey:this.state._accessKey}):null!==(t=this.state._label)&&void 0!==t?t:""):"",h("span",{"aria-hidden":o?"true":void 0,class:"span-label",hidden:o},h("slot",{name:"expert"})),this.state._accessKey&&h("span",{class:"access-key-hint","aria-hidden":"true"},this.state._accessKey),this.state._icons.right&&h("kol-icon",{class:"icon right",style:this.state._icons.right.style,_label:null!==(n=this.state._icons.right.label)&&void 0!==n?n:"",_icons:this.state._icons.right.icon})),this.state._icons.bottom&&h("kol-icon",{class:"icon bottom",style:this.state._icons.bottom.style,_label:null!==(s=this.state._icons.bottom.label)&&void 0!==s?s:"",_icons:this.state._icons.bottom.icon}))}validateAccessKey(e){validateAccessKey(this,e)}validateAllowMarkdown(e){watchBoolean(this,"_allowMarkdown",e,{defaultValue:!1})}validateHideLabel(e){validateHideLabel(this,e,{defaultValue:!1})}validateIcons(e){validateIcons(this,e)}validateLabel(e){validateLabelWithExpertSlot(this,e,{required:!0})}componentWillLoad(){this.validateAccessKey(this._accessKey),this.validateAllowMarkdown(this._allowMarkdown),this.validateHideLabel(this._hideLabel),this.validateIcons(this._icons),this.validateLabel(this._label)}static get watchers(){return{_accessKey:["validateAccessKey"],_allowMarkdown:["validateAllowMarkdown"],_hideLabel:["validateHideLabel"],_icons:["validateIcons"],_label:["validateLabel"]}}},[4,"kol-span-wc",{_accessKey:[1,"_access-key"],_allowMarkdown:[4,"_allow-markdown"],_hideLabel:[4,"_hide-label"],_icons:[1],_label:[1],state:[32]},void 0,{_accessKey:["validateAccessKey"],_allowMarkdown:["validateAllowMarkdown"],_hideLabel:["validateHideLabel"],_icons:["validateIcons"],_label:["validateLabel"]}]);function defineCustomElement(){if("undefined"==typeof customElements)return;["kol-span-wc","kol-icon"].forEach((e=>{switch(e){case"kol-span-wc":customElements.get(e)||customElements.define(e,KolSpanWc);break;case"kol-icon":customElements.get(e)||defineCustomElement$1()}}))}export{InternalUnderlinedAccessKey as I,KolSpanWc as K,defineCustomElement as d};